commit bfcb3453268b5d92906c89edbb922bdc0fac52c5
Author: Roger Leigh <rleigh@codelibre.net>
Date:   Mon May 5 21:18:35 2014 +0100

    debian: Set distribution to unstable

commit 409fd3bf555757a5610a9db746252d513cdfc7b6
Author: Roger Leigh <rleigh@codelibre.net>
Date:   Mon May 5 20:16:44 2014 +0100

    debian: Bump version to 1.6.10-1 and close #746905

commit 36797350f4ee6622ab62810f3f03a76e04d8607c
Author: Roger Leigh <rleigh@codelibre.net>
Date:   Mon May 5 20:14:49 2014 +0100

    NEWS: Bump version to 1.6.10

commit 2ecc6e7aeec096bbaece8b5df5547f9e448f7eb9
Merge: 97e0808 0f3e7dd
Author: Roger Leigh <rleigh@codelibre.net>
Date:   Mon May 5 20:13:52 2014 +0100

    Merge branch 'gcc49-regex' into schroot-1.6

commit 0f3e7dd44287af3a8b567514d3fadf6ec4d1c50c
Author: Roger Leigh <rleigh@codelibre.net>
Date:   Sun May 4 20:58:42 2014 +0100

    build: Correct regex checks
    
    cmake checks for working <regex> were incomplete since the existing
    logic had not had a working GCC to build against until now.  These
    are fixed with this commit.
    
    While GCC 4.9 now supports <regex>, the support appears to still be
    broken.  See
      http://gcc.gnu.org/bugzilla/show_bug.cgi?id=61059
    
    Extend the tests to check for this specific failure case to ensure
    boost::regex is still used with GCC 4.9.

commit 97e08087916c9bdf6084f3f67b876fd8d1938d9f
Author: Roger Leigh <rleigh@codelibre.net>
Date:   Mon Apr 7 21:46:00 2014 +0100

    debian: Set distribution to unstable

commit feb764d1f16927dc03f17639917551b40093bbc4
Author: Roger Leigh <rleigh@codelibre.net>
Date:   Mon Apr 7 21:26:50 2014 +0100

    debian: Close #726375

commit 2024eb6223f4b6bce9d678561228d794856700fc
Author: Roger Leigh <rleigh@codelibre.net>
Date:   Mon Apr 7 21:23:39 2014 +0100

    etc: 10mount: systemd workaround is only used on Linux

commit 8d910ef460ca561031f32fe3c853bd8ed8fe5db4
Author: Michael Stapelberg <stapelberg@debian.org>
Date:   Tue Nov 12 20:35:24 2013 +0100

    etc: 10mount: Use a private mountpoint for bind-mounting $chroot to /var/lib/schroot/mount/…

commit a855f6bd6ef9dec8b634739655384be63acb4949
Author: Roger Leigh <rleigh@codelibre.net>
Date:   Mon Apr 7 20:50:19 2014 +0100

    po: Update

commit 842c3bca06d019f65cdf6d962ff098f76ad5096e
Author: Roger Leigh <rleigh@codelibre.net>
Date:   Mon Apr 7 20:15:42 2014 +0100

    debian: Close #696543

commit b5f3ce69169025ced0789a84e676a5534ae4e578
Author: Peter Wu <lekensteyn@gmail.com>
Date:   Mon Apr 7 20:13:01 2014 +0100

    etc/bash_completion/schroot: Make bash completion work for colon values
    
    --chroot (and -c) accept values like chroot:foo and session:foo-abc. Standard
    bash completion treats colons as whitespace, hence we need a way to force that
    off.
    
    Fix based on http://stackoverflow.com/q/10528695/427545 (thanks Radu Gasler!)

commit b6d8ceb167ba8a73b81ebc8a587c9d7ba7af8bba
Author: Roger Leigh <rleigh@codelibre.net>
Date:   Mon Apr 7 20:08:22 2014 +0100

    debian: Close: #740427

commit cdbfaa9bac1ffecc0f072971a88661d1347ee4a4
Author: Roger Leigh <rleigh@codelibre.net>
Date:   Sat Mar 8 12:45:52 2014 +0000

    setup.d: Replace $HOST_OS usage with "uname -s"

commit 8f723b8951d6afe23dbc9a3c21040c4358ed5b6d
Author: Roger Leigh <rleigh@codelibre.net>
Date:   Mon Apr 7 20:05:54 2014 +0100

    debian: Close #742701

commit 6cd06f75921916581e7ce91510666a21301bc6f1
Author: Colin Watson <cjwatson@ubuntu.com>
Date:   Mon Apr 7 20:03:15 2014 +0100

    debian: Enable hardening in debian/rules

commit 4e5ee15c0ba59314280ca248eed9866a3b13c721
Author: Roger Leigh <rleigh@codelibre.net>
Date:   Mon Apr 7 20:15:57 2014 +0100

    NEWS: Bump version to 1.6.9

commit 81503cbd1d7833e1b639f6a906552b3d57cb04b0
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jan 4 11:08:09 2014 +0000

    debian: Set distribution to unstable

commit 27b9132691a722adc6c45fa84f12db915f825b23
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jan 4 00:26:24 2014 +0000

    man: Fix troff formatting errors in the fr translation
    
    \[ou] should be \[or] (i.e. not translated)
    \[CI] should be \f[CI] (typo)
    \[] removed (typo)

commit 6737b5ae4cb4ab13480360fc6d54a31ef36d84de
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jan 4 00:16:38 2014 +0000

    debian: Bump version to 1.6.8-1 and bump standards version

commit 79d3fb7634c8dc79a6882db6b6846797d44cca3c
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jan 4 00:16:12 2014 +0000

    NEWS: Bump version to 1.6.8

commit f566ebcfdc02ea28b12c3b3c275022584bda7283
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Jan 3 22:11:53 2014 +0000

    cmake: Correct transitive linking
    
    Conflicts:
    	sbuild/CMakeLists.txt
    	test/CMakeLists.txt

commit d925309f76b8e5ce02589046a4623547ec6777ce
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Jan 3 13:12:38 2014 +0000

    build: Distribute cmake/CompilerChecks.cmake

commit 3a7bf42f7788afbe9a7b4810a3d0325c6c37c32b
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Jan 3 13:06:15 2014 +0000

    debian: Set distribution to unstable

commit ed050b9540292305e91fa9797f4e51e1618821b6
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Jan 3 13:03:48 2014 +0000

    cmake: Don't build personality support conditionally
    
    Support is only conditionally built and linked for 1.7.

commit eb7401f9190e96d0102bcfa2524f111634464e3d
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Jan 3 12:06:38 2014 +0000

    debian: Bump version to 1.6.7-1 and don't use C++11

commit 7636134a012216235f31f2dc3dae008e54dcc654
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Jan 3 12:07:55 2014 +0000

    NEWS: Bump version to 1.6.7

commit c90cfd210a48d27395ed09c07f722f3d5e423f88
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Jan 3 12:03:14 2014 +0000

    cmake: Correct header checks for <memory>
    
    The checks were incorrect for GCC 4.6, where <memory>
    is present but not functional unless in C++11 mode.

commit 04fd9127d0c73e0f04eb98a2f9ff6051599a3687
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Jan 2 21:10:51 2014 +0000

    .gitignore: Ignore new automake helpers

commit c8c7f05decab6a49c743909e8ae3369836990f26
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Jan 2 21:03:50 2014 +0000

    po: Update

commit 50ec4cc1a289016998d91e2b43bd9cd6adbfe7c7
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Jan 2 20:59:11 2014 +0000

    NEWS: Tidy

commit efd4cdd50004f4dd57cf11b5b9e9cd0436113e8e
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Jan 2 20:57:52 2014 +0000

    debian: Set distribution to unstable

commit 354a790b6393aa1e6961b97b56b8d897e8fe5fd7
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Jan 2 20:42:05 2014 +0000

    debian: Close #728021

commit 6c2381837214fda3832e522f800de1625e293c96
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Jan 2 20:33:33 2014 +0000

    debian: Close #725608

commit 14867408bee333f1419f8c44dbabca591021c216
Author: Holger Wansing <linux@wansing-online.de>
Date:   Thu Jan 2 20:32:33 2014 +0000

    po: Update de translation

commit 1a48aacaaf788959ccffd8b54efe772b748093d2
Author: Joe Hansen <joedalton2@yahoo.dk>
Date:   Thu Jan 2 20:30:15 2014 +0000

    po: Update da translation

commit a9eb89fc2f01e139523a82f4759917b0607de9a2
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Jan 2 20:28:43 2014 +0000

    debian: Close #729317

commit ab708b340a0eacec65827d8e2e826684046be2d0
Author: Thomas Blein <tblein@tblein.eu>
Date:   Thu Jan 2 20:26:57 2014 +0000

    man: Update fr translation

commit a06a5f3930815aeed85c1c556d037386e9731d1c
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Jan 2 20:25:00 2014 +0000

    debian: Close #729319

commit 15ec932e2138c590555cb81e25e356cf3074ce18
Author: Thomas Blein <tblein@tblein.eu>
Date:   Thu Jan 2 20:24:16 2014 +0000

    po: Update fr translation

commit 997e1b36ffcc775b4428b3dcd8831fa50791e391
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Jan 2 20:22:03 2014 +0000

    debian: Close #728227

commit e6efd58af13c82f90483b23f3c298299b9344383
Author: Iñaki Larrañaga Murgoitio <dooteo@zundan.com>
Date:   Thu Jan 2 20:20:42 2014 +0000

    po: Update eu translation

commit fe9f3fa2f773ee644da9e5d867355e9d35916767
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Dec 15 21:22:17 2013 +0000

    build: Distribute cmake files with automake

commit 91d0163c7f924661f4e5c7b03feff9cf292d7dee
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Dec 15 21:01:01 2013 +0000

    cmake: Ignore generated GitVersion.cmake

commit f7c62ade9c3051b12acbb0662d3d1ba7aef6a7b5
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Dec 15 20:59:53 2013 +0000

    po: Update

commit 54ae6405873fc26119a6455a5bd2d047c601d4c3
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Dec 15 20:59:05 2013 +0000

    test: run-parts.ex2 is automatically created

commit c5981955c7a5d21ed36e92378eedbdd70fc52cdd
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Dec 15 20:57:21 2013 +0000

    build: Create cmake version metadata

commit a0d850cdda9f84c915d797a533761e19c0d79ff7
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Dec 15 19:17:25 2013 +0000

    NEWS: Document lockdev removal

commit 211508babe01f7a8bab08459234f2ba220065952
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Apr 1 21:24:53 2013 +0100

    README: Remove liblockdev and libuuid

commit 7e9686f2d4ef416cd241e07ed425391cf9b0711e
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Apr 1 17:53:48 2013 +0100

    debian: Remove liblockdev from Build-Depends
    
    Conflicts:
    	debian/changelog

commit 16099d2544e698cbadedbcfcd5e8b74f13b1689e
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Apr 1 17:52:19 2013 +0100

    Remove device locking
    
    - All use of liblockdev has been removed.
    - sbuild::device_lock has been removed; it may be restored using
      flock(2) at a later date, but the flock semantics are different
      to liblockdev persistent LCK.. lockfiles.
    - sbuild::chroot_block_device and sbuild::chroot_lvm_snapshot no
      longer use sbuild::device_lock; in reality, the use of
      device_lock here was ineffectual at best, so should not result
      in unsafe use of block devices, since we rely on lvcreate/
      lvremove to do appropriate locking for us.  For plain block
      devices and source chroots, these are not session-capable and
      so locking is pointless here anyway.
    - setupd.5/05lvm no longer releases locks with schroot-releaselock.
    - schroot-releaselock has been removed.
    
    Conflicts:
    	bin/schroot-releaselock/Makefile.am
    	bin/schroot-releaselock/schroot-releaselock-main.cc
    	bin/schroot-releaselock/schroot-releaselock-main.h
    	bin/schroot-releaselock/schroot-releaselock-options.cc
    	bin/schroot-releaselock/schroot-releaselock-options.h
    	bin/schroot-releaselock/schroot-releaselock.cc
    	doc/schroot.dox.in
    	sbuild/Makefile.am
    	sbuild/sbuild-config.h.in

commit 0ed09637c6384e35d8da1b0998005b71abb3e06b
Author: Chris Leick <c.leick@vollbio.de>
Date:   Wed Oct 2 22:09:58 2013 +0100

    man: Update de translation

commit 50df10d0e6fafe6e7175c049c1f824ed3fcba0f9
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Oct 2 21:40:05 2013 +0100

    po: cmake: Correct quoting bug in schroot.pot update

commit 89bdaad67ae0220732892b9f05aadc114e58f4ef
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Oct 2 11:46:09 2013 +0100

    debian: Upgrade to Standards-Version 3.9.4

commit c28d3e2258994b3c0048cbe57bb9740d763be970
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Oct 2 11:44:36 2013 +0100

    debian: Close #695313 and #718638

commit 7f3b94fa20531b62b864527ed50aee00f79a0d5d
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Oct 2 11:09:48 2013 +0100

    cmake: Don't retranslate manpages when config.man changes

commit e0c05d0c8155a29919a457a09b1946e80c02b541
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Oct 2 10:16:17 2013 +0100

    cmake: GitRelease: commit_opts should be commit_options

commit 10464917143e7062947714c740aa7139ab8dfd04
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Oct 1 22:00:30 2013 +0100

    cmake: Source release policy from source dir

commit aad9290f141c2311a0fc399d0fbe8a3609bac743
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Oct 1 21:48:57 2013 +0100

    man: Correct groff syntax in fr translation
    
    Conflicts:
    	man/po/fr.po

commit b49602290b3376f648a2486f2cdf69195d10ad4e
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Oct 1 20:35:59 2013 +0100

    cmake: Split out release settings into GitReleasePolicy

commit a46fa13c1e5e94387ef235277055a4e6edf7d88c
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Oct 1 19:57:17 2013 +0100

    cmake: po: Don't update POT-Creation-Date for automatic updates

commit e5a22e47f3fc8bbf60ab32182f067f2edbb964e4
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Oct 1 17:19:11 2013 +0100

    cmake: po: Always update timestamps

commit f2860869be2d6d4a17e1c5b20871499a194a631e
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Oct 1 17:18:57 2013 +0100

    cmake: po: Don't update schroot.pot automatically by default

commit 5747d4aad23623920def1517654c6cd351ac0eca
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Sep 30 23:10:52 2013 +0100

    cmake: Configure distribution branch name

commit 7ab01c077df5634326e30590829ec8c68cfb91a9
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Oct 1 22:09:31 2013 +0100

    test: Ensure testdata/run-parts.ex2 is created

commit 33fcf7bb1bca9741ec2f56ca13f4046768de34b0
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Sep 30 22:15:21 2013 +0100

    cmake: po: Build .gmo files

commit 120d1cb7e18255958fe6b5f6bd6e10aa1d2a7cd0
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Sep 30 21:28:43 2013 +0100

    cmake: Add distdir GitRelease target
    
    Use to add ChangeLog to the release.

commit 01df6e7a0df3e8a7c582c9cdd4ce010a9d75f566
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Sep 30 19:52:21 2013 +0100

    cmake: Don't allow building in the source directory

commit 10b9905d5ceed699cf348a5c0c8d5409967ed772
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Sep 30 19:53:59 2013 +0100

    Revert "cmake: Use gtest includes"
    
    This reverts commit 131faefd47cf62d9a4b8911a5449f75fd1160243.

commit 131faefd47cf62d9a4b8911a5449f75fd1160243
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Sep 30 19:02:59 2013 +0100

    cmake: Use gtest includes

commit d5033447eaba121c197b1aa827b940070ff95f85
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Sep 30 19:02:42 2013 +0100

    cmake: Fix typo in man

commit 05cbe6229fa2df20d86e218fe919c45e34e14025
Merge: 0c21e0a f4a359a
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Sep 29 23:50:07 2013 +0100

    Merge branch 'cmake-1.6' into schroot-1.6

commit f4a359a41ce1da81879301bda595a0400f8e39e4
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Sep 29 23:43:55 2013 +0100

    debian: Install translated manpages

commit a3403d8cc52edf52a712c1b409ce8fed5ccd6fb9
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Sep 29 23:14:42 2013 +0100

    po: Update

commit 4bf434c38bd9815d1296066e5c92ce3902f02ed3
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Sep 29 23:11:55 2013 +0100

    man: Backport de translation

commit c74ebc558bf44b71186b393d0089afc9a423f658
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Sep 29 21:39:40 2013 +0100

    debian: Bump version to 1.6.6-1 and close #683959, #683137
    
    Switch the build to use cmake rather than configure when
    building, which permits the installation of translated
    manual pages.

commit cbca64067ab16a7456c5f3a897b1074e5046e754
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Sep 29 23:07:29 2013 +0100

    NEWS: Bump version to 1.6.6
    
    Document cmake, bitbucket and manual page translations.

commit 39e74207cdae278bab8e58a99e4af6cbb3718f9a
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Sep 29 22:31:25 2013 +0100

    doc: Upgrade doxygen files

commit 78fd4474e5c7313309351093fc81c40f3ba6220e
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Sep 8 22:51:43 2013 +0100

    build: Add cmake build infrastructure
    
    This permits building using cmake rather than the existing
    autoconf/automake/libtool infrastructure.  Both autotools and
    cmake will be supported for all future 1.6 releases.

commit 0c21e0a70a9f20d910957b64644103b865c3266a
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jan 27 23:19:49 2013 +0000

    po: Update

commit b917becf3683edf3e902de9cabc063065cfd6c10
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jan 27 23:10:56 2013 +0000

    debian: Bump version to 1.6.5-1

commit 381e8db792a1796673795dd4bfaf21be3aacf41e
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jan 27 23:10:43 2013 +0000

    NEWS: Bump version to 1.6.5

commit 7223969e0605840de06e17ae7252e8e66457fa4d
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jan 27 23:05:56 2013 +0000

    Merge changes from 1.4.27

commit 69ba4c3bd04f508f7ce62dd9054da40a7dc31b23
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Jan 4 23:36:27 2013 +0000

    Replace tabs with spaces in all source code

commit 6adf795ff510b268ef91862a80a84e8aacd3d86a
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Dec 9 22:34:40 2012 +0000

    debian: Set distribution to unstable

commit 9bc4e6abef18fcb16ba8bf579dfa6946657cbfac
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Nov 3 15:49:40 2012 +0000

    debian: Close #692213

commit 73f9ab7ff14c348c262813fdd454132edf45ef5a
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Nov 3 15:18:49 2012 +0000

    etc: Add sbuild fstab template for freebsd

commit 51fc8922c55cd50aa169478969dd7f19a8e0f823
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Oct 29 20:05:08 2012 +0000

    debian: Bump version to 1.6.4-3 and close #691694

commit 4fcfb7141e45a5e7ca8a9b1f6297ad9885efe16d
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Oct 29 20:04:10 2012 +0000

    schroot-mount: Canonicalise base path
    
    In order to correctly compare the base path and full path,
    both paths require canonicalising.

commit 5fbab5b020922a454a1a8824ee6920e0ea26e088
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Oct 28 11:52:02 2012 +0000

    debian: Bump version to 1.6.4-2 and document build fix

commit 2ccd9c35074863fc1a050a15c7e86e72ba5d0ddc
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Oct 28 11:49:09 2012 +0000

    sbuild: Add header missing on non-Linux (LVM) builds

commit 47a850b1c160264f3361ed821c0e370ee8145f29
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Oct 27 23:37:25 2012 +0100

    schroot-mount: Remove unused variables

commit 18842347c72245afccd26a1d4adddf206ec8a77b
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Oct 27 23:30:55 2012 +0100

    debian: Finalise changelog for 1.6.4-1

commit 4b3154015cb6dfc5ce87e79e1d8ef01e04d7f485
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Oct 27 23:17:52 2012 +0100

    debian: Fix distribution and typo in schroot NEWS

commit 43dca81cd5b5f5ca3573e8f86f7faf3f0f0f6f18
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Oct 27 22:51:47 2012 +0100

    schroot-mount: Cope with recursion into single directories

commit cc414042e302440f3c0510d53d1f0aa0778d6184
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Oct 27 21:44:57 2012 +0100

    po: Update

commit 02c8cbb13042ea54fe0c16e5b4fd875fb691af3e
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Oct 27 21:43:59 2012 +0100

    sbuild: source block-device does not expect to have a union facet

commit 20e1bd7d2e3eada4d2e8051752db0e46c98c2055
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Oct 27 16:28:18 2012 +0100

    sbuild: Test source session cloning

commit 322284354df0816a67da159c1f1688f3ce309d08
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Oct 27 12:47:13 2012 +0100

    sbuild: Correct alias handling
    
    Alias names were being lost before being stored in the
    session metadata.  This has been corrected by using
    an alias->chroot mapping for the chroots selected by
    the user; plus keeping a list of alias names (to preserve
    the ordering).
    
    This has required some refactoring to accommodate the
    changes.  The information display functionality
    previously in sbuild::chroot_config has been moved into
    the client code.  The chroot validation is now also done
    in a single step, which makes the validation simpler and
    more robust.

commit 4265d103e67cd694db7adf137bce554e82497a88
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Oct 27 12:23:27 2012 +0100

    sbuild-mount: Correctly resolve paths with symlinks
    
    If the path does not exist, allow it to be created.
    Check path components separately to allow for correct
    normalisation if the last components of the path do
    not yet exist.
    
    Add support for lstat to sbuild::stat to correctly
    stat symlinks.

commit b3e58491d89c1cf2e221301c9358c8433dfc753e
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Oct 24 23:40:00 2012 +0100

    sbuild::chroot_facet_session: strip namespace from selected name

commit 19293f7a7b0943997397ef30465cd11686990a9b
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Oct 24 23:25:10 2012 +0100

    sbuild: Don't call set_mount_device indirectly from ctor
    
    See #691376.
    
    sbuild::chroot_block_device_base::set_device was called from
    the chroot_block_device_base ctor, and called
    sbuild::chroot_facet_mountable::set_mount_device for all chroot
    types except lvm-snapshot.  However, dynamic_cast<> fails during
    construction, leading to the mount device being overwritten, and
    --recover-session mounting the source LV rather than the snapshot
    LV.  This patch moves the call to set_mount_device to the session
    clone operation in sbuild::chroot_facet_session_clonable, which
    is where the equivalent operation is done for lvm-snapshot.  This
    is done prior to lvm-snapshot to ensure that the snapshot is not
    overwritten here either.

commit e0e5b34fbd9ebdd08ba3220b1704569a65957b34
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Oct 24 21:26:11 2012 +0100

    Revert "sbuild::chroot_config: Remove namespace from alias"
    
    This reverts commit 7003080d7b41b301fbb932c89f45135293a97859.

commit a6f731475a077ffd1a347d178be3e9bc89d18e2c
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Oct 16 22:52:50 2012 +0100

    debian: Document lockfile changes

commit fd7978b4a051c813ae0c2cb12c7357676fc593ec
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Oct 16 22:50:47 2012 +0100

    debian: Create lock directory on upgrade and startup

commit 1763a93ea220d0dc38cccbcbdf661b3219c736e3
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Oct 16 22:50:01 2012 +0100

    10mount: Use secure subdirectory of /var/lock for lockfile
    
    Use /var/lock/schroot/umount rather than putting the lockfile
    directly in /var/lock

commit 8f195a2e0f63aeb0e697293f482e419532159e3f
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Oct 15 22:48:12 2012 +0100

    po: Update

commit 24ccf69377225000a02693be55bb25ae4cbaf706
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Oct 15 21:56:36 2012 +0100

    debian: Set distribution to unstable

commit 2a72b5a6e806c8513200ec1b4e4ecd397274440d
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Oct 15 21:53:14 2012 +0100

    NEWS: Merge mountpoint item from 1.7

commit dbd749d0e3d0d709e78e9753fc7c98a197c06fce
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Oct 15 21:51:50 2012 +0100

    debian: Close #689078

commit 3b07fa0ca625ee15a198ec5064d89e8858fd9c49
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Oct 15 21:47:38 2012 +0100

    sbuild::chroot_config: Remove namespace from alias
    
    Don't canonicalise the alias name, and strip namespace
    if present.  This prevents the loss of the alias name
    for the "selected chroot name" and ensures that is will
    be set correctly in the user environment as
    SCHROOT_ALIAS_NAME.

commit e1c170ef84fb86d16c927e25a00f8ef5313702a4
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Oct 15 20:18:38 2012 +0100

    debian: Close #688304

commit f5e41bbc46774283e918e6dd4c763209d2c06cfe
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Oct 15 20:16:08 2012 +0100

    15binfmt: Send which error message to null
    
    If update-binfmts is missing, don't display this unnecessarily.

commit 468f8921898d89b47ac7e3601eb3de355ecc1e00
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Oct 14 23:03:15 2012 +0100

    debian: Close #686148

commit fb5bc26ad64a2deba05bcf3acfd1d28608c1be95
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Oct 14 22:56:17 2012 +0100

    man: Document symlink mountpoint canonicalisation

commit 0996519314df9c6049b7b79d5a513fcde73a412d
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Oct 14 22:48:58 2012 +0100

    schroot-mount: Canonicalise symlinks to avoid host mounts
    
    If a symlink inside the chroot is absolute, and this is used
    as part of the path in a mountpoint in the fstab file, then
    this currently gets mounted (incorrectly) on the host.  Use
    realpath(3) to canonicalise the path, and then add the chroot
    path back to it if missing, to ensure that symlinks can't be
    used to accidentally mount filesystems on the host.

commit 0ed9285a9198bb12437546387dd434a866e48724
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Oct 14 17:12:40 2012 +0100

    debian: Document schroot.conf(5) changes

commit f802ac7ae5c683f241244fee44786b35cf6b3901
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Oct 14 17:11:29 2012 +0100

    man: Update schroot.conf(5) to document script-config userkeys replacement

commit 343a53a10985616b125fc25596429f7753c46ce5
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Oct 14 17:08:40 2012 +0100

    debian: NEWS provides instructions for wheezy upgrades for profile key

commit bf484a4966f527ac5fce850dcc00eb56d5c3ff03
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jul 23 23:28:52 2012 +0100

    debian: Bump version to 1.6.4-1

commit 647c2a493cd438aa24188cf33d77dfd97e85b549
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jul 23 23:28:30 2012 +0100

    NEWS: Bump version to 1.6.4

commit 8de95450fe69ad0c3039cdb6dfa2cc5d1851acf1
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jul 23 22:44:14 2012 +0100

    debian: Set distribution to unstable

commit 60b21a2376bfc39aa5ae5669dc81f65fa52ee86d
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jul 23 20:51:27 2012 +0100

    debian: Document pam_env revert

commit 147c135bccb545f731cd417b348fe1460d5f4b6f
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jul 23 20:51:16 2012 +0100

    NEWS: Document pam_env revert

commit b93d258a09beb8531291e181808ed21b82ceedd0
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jul 23 20:49:00 2012 +0100

    Revert "pam.d: Use pam_env"
    
    This reverts commit 13f61b92a4d7cc58975991b044ac8143e028d409.

commit 0ac237f536371032dd662dc11a5b27213e801197
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jul 21 10:43:12 2012 +0100

    debian: Bump version to 1.6.3-1

commit f00147722cfe21c94e83eb7ddbe1ee4a58c883c5
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jul 21 10:42:49 2012 +0100

    NEWS: Bump version to 1.6.3

commit 32938497053bd06946ce5c6749718b4bb0f89a44
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jul 21 09:50:27 2012 +0100

    debian: Set distribution to unstable

commit c48aa531a2c88fd1b926dadba98c87498a94652a
Merge: 6ceb4eb 61ed3ed
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Jul 18 23:11:35 2012 +0100

    Merge branch 'master' of ssh+git://git.debian.org/git/buildd-tools/schroot
    
    Conflicts:
    	NEWS
    	debian/changelog

commit 6ceb4eb4332908007457c32d1b3293a750121d74
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Jul 18 22:32:15 2012 +0100

    debian: Set distribution to unstable

commit 2d1edafdf9512a4805d35f74911ff0aa5b84b9d4
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Jul 18 22:20:44 2012 +0100

    debian: Fix dchroot preinst

commit a988faa451c99ee3c665d9c3dfd21304af0d87fd
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Jul 18 21:26:46 2012 +0100

    debian: Close #680882

commit c219cee92c2c703580f43f1e1685995d3372edc1
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Jul 18 21:24:42 2012 +0100

    HACKING: Document git use and release process

commit 3b601ee56d234311d189d971ee34dde67e105c00
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Jul 18 20:37:48 2012 +0100

    debian: Close #677811

commit 78388afa357cb1e11faf10ded040c2e324119f46
Author: Vagrant Cascadian <vagrant@debian.org>
Date:   Wed Jul 18 20:35:19 2012 +0100

    15binfmt: Bind mount to avoid error during remount
    
    Change binfmt setup script to specify bind in the mount options on
    remount.  Idea from Julian Andres Klode.

commit d53199e200b4305589e222d6076042367780a1a9
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Jul 18 20:33:41 2012 +0100

    debian: Close #681876

commit b5ee281b85e0d8401a95ee959aa344bbbc3d7f91
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Jul 18 20:19:35 2012 +0100

    debian: Automatically upgrade dchroot configuration

commit 6e8c5f231e3ee306d483ed052c07a22e43b15e0a
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Jul 18 20:07:20 2012 +0100

    debian: Close #681931

commit a68330dd7909fafc5fe7730876e81aeb0f286b6f
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Jul 18 20:05:33 2012 +0100

    debian: Remove compatibility symlinks
    
    Compatibility symlinks were being created on install/upgrade
    in /etc/schroot.  Remove them.

commit 57334dd68cfadc85c0d56d594cced20da031ab91
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Jul 18 20:05:14 2012 +0100

    debian: Bump version to 1.6.1-1

commit 830dcc88101997aba093b27c27ad6c6b16891299
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Jul 18 20:05:05 2012 +0100

    NEWS: Bump version to 1.6.1

commit 61ed3ed09676f7c6995aa6cc842571336d070a9d
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Jul 4 08:30:07 2012 +0100

    debian: Bump version to 1.6.1-1 and document changes

commit ac5ee725ee17ddfeaf6d92449c46538df82a3c59
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Jul 4 08:29:01 2012 +0100

    NEWS: Bump version to 1.6.1
    
    Document PATH and pam_env changes

commit 13f61b92a4d7cc58975991b044ac8143e028d409
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Jul 4 08:28:41 2012 +0100

    pam.d: Use pam_env

commit 2b72655edaff33a55022971c68acc7cf6f65e906
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Jul 4 08:28:13 2012 +0100

    sbuild::auth: Remove /usr/bin/X11 and /usr/games from default PATH

commit beae4e9e5273ada2c9b233eeb07eed385d00d184
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jun 25 23:58:13 2012 +0100

    test: Fix path

commit 175e40eb31b69a349ed130053a23e853b04489b8
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jun 25 23:51:08 2012 +0100

    debian: Set distribution to unstable

commit 87ad6f2e6292ddaf8a82ed464434a3d952513b33
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jun 25 23:47:30 2012 +0100

    NEWS: Document profile and script-config changes

commit 6ed493b341be5d9440c6e6700d035dcae88c62de
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jun 25 23:40:44 2012 +0100

    TODO: Document setup variables

commit 9f885a27ab3b2a8a3fabc264e8522ce85f783207
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jun 25 23:39:53 2012 +0100

    sbuild::chroot: Add CHROOT_PROFILE_DIR
    
    CHROOT_PROFILE does not include a path.  The _DIR variant
    includes the absolute path.

commit 5dd98940541231555065e9f01e22ea4df1013035
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jun 25 22:52:17 2012 +0100

    test: Update testsuite for profile and script-config behaviour

commit e82c7cfa8af2cbef623d764585dfa1f88c8551e0
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jun 25 22:51:50 2012 +0100

    sbuild::chroot: Only set CHROOT_PROFILE if profile is set

commit 9f77d50e4adbf57ebeb0647746d44c1f1ad8f293
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jun 25 22:08:25 2012 +0100

    common-config: Set defaults before sourcing script-config

commit 81d5246d4e7c770b1a557ff15d4ac85440e71ba4
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jun 25 22:07:11 2012 +0100

    sbuild::chroot: Only set SCHROOT_SCRIPT_CONFIG when available
    
    If script-config was not used, don't set.  This prevents
    SCHROOT_SCRIPT_CONFIG being set to "/etc/" rather than
    "/etc/schroot/profile/config" when script_config is empty.

commit 793411aacd3d3fe5627733359043081fae0aa63b
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jun 25 00:13:07 2012 +0100

    po: Update

commit 7d8b00ae44c8b4f8e26bf7baef28da234d330e53
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jun 25 00:12:23 2012 +0100

    po: Update en translation

commit 8b9af4874dd4921afca0aaf916851d404c836603
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jun 25 00:09:02 2012 +0100

    po: Update

commit bf3b887b0e038fe06aa1096fa81a9c43966649bc
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jun 25 00:08:18 2012 +0100

    debian: Close #675398

commit 77b0e5806a8c96c82717d71ec38ab444a62799df
Author: Joe Hansen <joedalton2@yahoo.dk>
Date:   Mon Jun 25 00:06:08 2012 +0100

    po: Update da translation

commit 9f90e2ff21a70490977ca066deab300b767a985c
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jun 25 00:05:29 2012 +0100

    debian: Close #676380

commit 37a5e9a686efe843371c34ee34c2993dba30fa64
Author: Holger Wansing <linux@wansing-online.de>
Date:   Mon Jun 25 00:03:57 2012 +0100

    po: Update de translation

commit a5a22db6088a8cf43843a9d532a52e118b8f7888
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jun 25 00:02:40 2012 +0100

    debian: Close #676413

commit b81f8b16226ef901223203b9b3f79663f1890168
Author: Thomas Blein <tblein@tblein.eu>
Date:   Mon Jun 25 00:02:14 2012 +0100

    po: Update fr translation

commit 4f8d9de6e32c51e17484cf7be657c1cd6d477d0f
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jun 25 00:01:41 2012 +0100

    debian: Close #676416

commit 4531bf02980085231307e4f0b8ff3c6ad93106ef
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jun 25 00:00:18 2012 +0100

    man: Use correct path for po4a addendum

commit 6a907d827eb8df6dc411af917de065fb69d42d12
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 24 23:59:36 2012 +0100

    man: Move addendum template to man/add

commit af949950d2aa9f1e84d84d6c1c42a2fe8ce495db
Author: Thomas Blein <tblein@tblein.eu>
Date:   Sun Jun 24 23:58:56 2012 +0100

    man: Add fr translation for po4a and addendum

commit 9c055de0437e42efb8faaa5de3f89e90ccdc31b1
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 24 23:13:28 2012 +0100

    debian: Close #676813

commit 05a5b0d9595c18cc2886ef19a8aeb1a5a61c118e
Author: Pedro Ribeiro <p.m42.ribeiro@gmail.com>
Date:   Sun Jun 24 23:12:41 2012 +0100

    po: Update pt translation

commit f2b9b8470a7122d0e65e5089b78c54ab24175657
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 24 23:09:54 2012 +0100

    debian: Close #675408

commit 52322cc73cc8a9c636b0dd6f32d9bb2ea46c2c9e
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 24 23:03:19 2012 +0100

    sbuild::chroot: Separate script-config and profile
    
    Don't set profile if script-config is used.  The backward
    compatibility code is moved to the common-config script.

commit 949ca7fc46c375888d7703822840381e23922daf
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 24 23:02:37 2012 +0100

    common-config: Set backward compatibility vars

commit 101805a75c346a59d29d2af0bb7882c3fe18cd21
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 24 23:01:02 2012 +0100

    po: Update

commit b388168e327cc086c8816199e26c74119d4f7e18
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 24 23:00:36 2012 +0100

    man: Update FAQ for NSSDATABASES

commit 162859a0cdbe45732ae6b0d2661dee1d04c80d3e
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 24 22:23:02 2012 +0100

    po: Update

commit d9a17439a0b3939fb62884e024a53b0fbcd36f33
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 24 22:22:34 2012 +0100

    man: Document setup.services

commit d640e1928a8e52573db57f1ab2a0692fe7f36416
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 24 21:26:49 2012 +0100

    sbuild-chroot: Correct script-config serialisation

commit dd98123cbfe28b81c3fe85186adebb1a8c23050c
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 24 20:22:23 2012 +0100

    debian: Correct schroot runlevel and close #677501
    
    Ensure we migrate to using standard runlevels in place of rcS
    on upgrade.

commit 3122a55a301c463f988bdf5f715c8d84f24b5556
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 24 20:19:02 2012 +0100

    debian: Bump version to 1.6.0-1

commit 09390bc04512c3720abf72cd7b57cce76be7a266
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 24 20:18:51 2012 +0100

    NEWS: Bump version to 1.6.0

commit 51ccba7088f665e0e463778c09230fc44a38106a
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed May 30 21:50:05 2012 +0100

    sbuild::chroot: set_script_config calls set_profile

commit 0b7121f135ae11b3dd474f1cae8ae7d2d980e1b0
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed May 30 21:15:33 2012 +0100

    debian: Set distribution to unstable

commit ebae8d9f36c4249ee86e88e66a4b1da7a50c4fab
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed May 30 21:10:19 2012 +0100

    debian: Close #675189

commit 90f29e56a0b6a6c28e12d76859588c27340d0712
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed May 30 21:07:47 2012 +0100

    Reset version to 1.5.4

commit ec7dfa554f5802d835c645d12244da9edf20405d
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed May 30 21:06:47 2012 +0100

    sbuild::chroot: Initialise profile correctly.
    
    This was set in the class initialiser list, but the set_profile
    method wasn't called, which sets additional user data.  Call
    set_profile in the constructor.

commit 9b3c876cf13f3e7fb34ba9ea601a07e89229395b
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue May 29 22:53:56 2012 +0100

    debian: Bump version to 1.6.0-1

commit 3e059cdd897193d71f2de9f0bd1a082a33bc50b7
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue May 29 22:53:06 2012 +0100

    NEWS: Bump version to 1.6.0

commit d15a6d760325243a12dc225068d228826fa2d246
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue May 29 21:34:50 2012 +0100

    test: Fix path for CHROOT_PROFILE environment variable

commit c7583192e7671926229a198eab9e605cd7f41205
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue May 29 21:27:14 2012 +0100

    debian: Finalise for 1.5.3-1

commit 9f5b9d79b0333c24803cf70259d2fea5f9dec32b
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue May 29 20:52:32 2012 +0100

    po: Update

commit 369ad0e8408265e30e57ba6192458d276fefe859
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue May 29 20:52:18 2012 +0100

    man: Document 15binfmt

commit 893b3050fb798d870d065ce21e8f4bb7d977509f
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue May 29 00:01:46 2012 +0100

    debian: Fix typo in control

commit 1e00462cca4f6e01465a10079ebc9abe1751ac29
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon May 28 23:49:26 2012 +0100

    NEWS: Document QEMU support

commit 0841e36f1c2d90c38943aecff94d81f7cea2d520
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon May 28 23:45:15 2012 +0100

    10mount: do_mount does not mount on symbolic links
    
    schroot-mount already has this check, this just extends it to the
    shell mount function as well.

commit 7055bb9e4e9afa094adb42ef79cdd0a7a89f9450
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon May 28 23:44:57 2012 +0100

    debian: Close #604268

commit 14d73e71cb406e19fddc300df17375c00b8154f0
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon May 28 23:41:25 2012 +0100

    etc/setup.d: Provide 15binfmt
    
    This replaces the 99binfmt contrib script.

commit 183821e17e600dd8a012d12600130181bc4d8fc2
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed May 23 23:49:48 2012 +0100

    po: Update

commit c28314922ec03e1231336685f650734caedfd98d
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed May 23 23:43:59 2012 +0100

    po: Update

commit 7a518cca572bf5c794b575aad625879ba46e9aa7
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed May 23 23:43:33 2012 +0100

    debian: Close #674041

commit f42eefd2de07cfb3384357244c3ddcc738f36fbc
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed May 23 23:42:10 2012 +0100

    debian: Document shell fallbacks and close #674040

commit 90c028d83d188b1f07e8fc08e351263b1cc124c7
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed May 23 23:40:18 2012 +0100

    NEWS: Document shell fallbacks

commit 023de5dcce7b7be68de9af7d4515ea3fb7e99dc3
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed May 23 23:37:31 2012 +0100

    sbuild::session:
    
    Handle case where we can't chdir to /.  Should not fail, but
    handle anyway.

commit 7cb1d632d59f154a117af858215508b1c76398cc
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed May 23 23:36:57 2012 +0100

    sbuild::session: Don't warn about nonexistent groups
    
    Debug message only.

commit 852920bb983cd7b7d5e55446de2963b9ae966eb4
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed May 23 23:34:19 2012 +0100

    schroot: Add shell fallbacks and chroot and user overrides
    
    Fallback list:
    $SHELL (if preserving environment)
    passwd pw_shell
    /bin/bash
    /bin/sh
    
    Overridable using the shell= key, which is in turn overridable using
    the --shell option.  SHELL is set in the user environment.

commit d921792ac9318389f42392a7ed1e09e779d5d247
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed May 23 23:09:18 2012 +0100

    debian: Document dchroot use of /bin/sh

commit 297ef6ce0370bb5d67f0956b399019ccba800960
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed May 23 23:08:54 2012 +0100

    NEWS: Document dchroot use of /bin/sh

commit 7702eb5abb23ff2c91e10ba5e4f75bdd48bebbf9
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed May 23 23:08:39 2012 +0100

    dchroot: Run command using /bin/sh, not user shell

commit 96b10d979c314e327e9e27d70ae7d5d8b938bbf3
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun May 20 10:30:04 2012 +0100

    Bump version to 1.5.3-1

commit a9d2905491a55ca0e0b4855040d08848f7f74dab
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun May 20 10:29:56 2012 +0100

    Bump version to 1.5.3

commit 0139f3aec2a7796d398bb8f2b777a535e4b26ba3
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue May 15 22:10:21 2012 +0100

    .gitignore: Update

commit da663bf551197faa9a9441be2b34b16c29efc73f
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue May 15 22:06:55 2012 +0100

    debian: Document schroot incompatibilities in schroot.NEWS

commit 4b116d70b953bd25d2fb7321749f6246afaef9fb
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue May 15 22:06:46 2012 +0100

    NEWS: Document profile key

commit d8b2f4680308316642c4750a7e40b5650d44563b
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue May 15 20:59:18 2012 +0100

    debian: Disable use of po4a for this release

commit c4c55fd74d599a7cf373a9dcbac2dee0a07a60c9
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue May 15 20:58:51 2012 +0100

    build: Correct broken conditional use of po4a

commit abe005ec36fe6c169fe32fb9095ae6de4b7f5808
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue May 15 20:12:16 2012 +0100

    build: groff uses UTF-8 input

commit 386885ba107fba4436fc0c9d4dbf9f586ac96c9b
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue May 15 00:32:02 2012 +0100

    debian: Close #672113

commit 735cc8317f176a9689b244840103e82fb43023c3
Author: Julien Viard de Galbert <julien@vdg.blogsite.org>
Date:   Tue May 15 00:30:41 2012 +0100

    setup: 15killprocs kills processes under CHROOT_PATH rather than CHROOT_MOUNT_LOCATION

commit 45f603c4d61e290892267ecf7d91791fa735b525
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue May 15 00:26:39 2012 +0100

    man: Update translations

commit 8bad8f87a473b3d694ad3837a0435b56443fec25
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue May 15 00:21:37 2012 +0100

    man: Move script-config key documentation into schroot.conf(5)

commit b86b985ff523cef962e032182f5e3f6b6904a4f5
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue May 15 00:18:45 2012 +0100

    debian: Document gshadow copying

commit 6a7ddeb2fde30259963937bb5878463b710258fd
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue May 15 00:17:13 2012 +0100

    etc: Move gshadow copying to nssdatabases
    
    All the systems we run on now have gshadow support in getent.

commit 99c924ba906903de4cfed1dd7ce8608d32be4325
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon May 14 23:32:08 2012 +0100

    debian: Correct schroot init script LSB header

commit 14b7a9cfe1e7524dd0ac3d78bfadd46b98b9e861
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon May 14 23:31:24 2012 +0100

    debian: Tidy changelog

commit 186e79b5ea23db68cfebdf865813d226165ae254
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon May 14 23:19:43 2012 +0100

    man: Update translations

commit b34b5ae770f535c9c3a5469e37425ae79a298863
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon May 14 23:15:57 2012 +0100

    debian: Document PATH in setup scripts

commit 077bd180a0cd41888165cf8d97e81a8cf7e66858
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon May 14 23:14:01 2012 +0100

    sbuild::session: Set PATH when running setup scripts

commit b73bc938159a06714b5683ac15896d6b866421ec
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon May 14 22:44:30 2012 +0100

    debian: Close #666497

commit e038604028cc9e9fd9557b6c7bc8d67a49999c0d
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon May 14 22:42:02 2012 +0100

    bin: Don't use boost validation_error exception
    
    Create custom schroot_base::options::error wrapper around
    std::runtime error.  This results in much nicer exception
    formatting.

commit e42916ab4a556f1ed75c77e5b22cb53461e1f76d
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon May 14 21:18:33 2012 +0100

    debian: Close #666274

commit 2381c36d460fab4a85c60d2254e134828d195a4f
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon May 14 21:06:32 2012 +0100

    debian: Close #670881

commit f7fe7b8bf6a986e3f40f1257f6298e7a4032e23a
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon May 14 21:04:39 2012 +0100

    man: Update schroot(1) overview
    
    Include more detail about what schroot does, and the restrictions
    of the plain chroot type.

commit 2959ad60653df080e2690e416cdb7c8f3df2ed10
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon May 14 00:20:45 2012 +0100

    debian: Close #625205

commit 14652b3c135a5f97adf6305c11a43061d48feb63
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon May 14 00:20:36 2012 +0100

    NEWS: Document service startup and shutdown

commit 3c476e0abebc212f4fcc4cfdd8a5bd0be51ce3b1
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon May 14 00:14:56 2012 +0100

    setup.d: Add 70services
    
    This new setup script permits services to the started and
    stopped in the chroot on session startup and shutdown.

commit bf1cf1c5a1ddf6def7320a69df45e2df935330a6
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun May 13 23:40:53 2012 +0100

    debian: Close #625202

commit 86aa1024af90ea65a800c8803b4535779ff6ee71
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun May 13 23:34:28 2012 +0100

    debian: schroot.init can end sessions on stop and is in runlevel 2
    
    Move from runlevel S to 2, since it's not required for system
    startup, and may require services which are started later for
    session recovery.
    
    Rename SESSIONS_RECOVER to START_ACTION and add STOP_ACTION to
    /etc/default/schroot.  Both may be set to "end", which will cause
    the session to be ended when given the "start" or "stop" action,
    respectively.

commit 99786ec2140fb5d499d0be671cc96ee7843db69e
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun May 13 23:34:00 2012 +0100

    build: po4a.cfg is in the srcdir

commit f7d739bf8ab8622cfd5d6d5bfbc0519afe99cf8f
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun May 13 17:03:58 2012 +0100

    build: Generate localised pdf and ps in man/translated

commit f4646483fcfdb9337db04e0f36bd686781e82010
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun May 13 16:43:15 2012 +0100

    build: Distribute and clean po4a files

commit 7e69f6d67027882e55c7836939677cc6e5fd7139
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun May 13 15:29:25 2012 +0100

    man: Add po/LIGUAS

commit d13a2dfa536d366d786a0586e32de3f9590e1fc3
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun May 13 15:25:31 2012 +0100

    man: Update po

commit e3eb2c9e3bd122ed9041fef6ea8a86a71cbfefc8
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun May 13 15:24:37 2012 +0100

    man: Update copyright year

commit d1b87248af54c43379818ed2e4f9303f80d2b57b
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun May 13 15:24:16 2012 +0100

    man: Correct po4a configuration

commit 2567d7ce376422ed742d942fe9d421145d16baa6
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun May 13 15:21:47 2012 +0100

    build: Update for po4a changes

commit 704847ba4f0e5682fc3260195197971e2aaad474
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun May 13 15:20:15 2012 +0100

    man: Move po4a files up one level

commit 1dfb063f4759008a2f56dd6c798ab321cbf6deec
Author: Thomas Blein <tblein@tblein.eu>
Date:   Sat May 12 23:36:49 2012 +0100

    man: Add fr translation for po4a

commit 4c7d0ad59940c6374ddbdebff0ec9e31a56b386f
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat May 12 21:09:07 2012 +0100

    sbuild::chroot: Set profile key correctly

commit 0698b5736387020de8b6e00361dd626b42d853a5
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat May 12 21:03:03 2012 +0100

    Merge schroot-1.4 changelogs

commit d96754d60ee0977694b4481f1c757df1d2d79345
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat May 12 19:55:46 2012 +0100

    po: Update

commit b80f6574bfc5d30860fc2709d2412684316709e1
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat May 12 19:35:13 2012 +0100

    debian: Close #659967

commit a292e613ca195f8d8aed3d47224e6c42fb374a34
Author: Ji ZhengYu <zhengyuji@gmail.com>
Date:   Sat May 12 19:34:32 2012 +0100

    po: Update zh_CN translation

commit 6a0ca01971b0bee9b5e212be0a8e86787f7ffb4c
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat May 12 19:34:15 2012 +0100

    debian: Close #661514

commit 15e5566adbdcc1e435165d9e397c09b1f53c0e6a
Author: Thomas Blein <tblein@tblein.eu>
Date:   Sat May 12 19:33:36 2012 +0100

    po: Update fr translation

commit 405d3a0920c449b08f546c10ef0f2e5e2e74cfdf
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat May 12 19:33:16 2012 +0100

    debian: Close #660040

commit 9eb7b9ced708f869298bd47ccd6cc8db521d339a
Author: Pedro Ribeiro <p.m42.ribeiro@gmail.com>
Date:   Sat May 12 19:32:39 2012 +0100

    po: Update pt translation

commit 5cf7802f7b8bf3465e64ff4595c50412de55adb5
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat May 12 19:31:20 2012 +0100

    debian: Close #659524

commit 5dc5b935a7ff50dda29a6a445a0c6be8f1806540
Author: Holger Wansing <linux@wansing-online.de>
Date:   Sat May 12 19:30:40 2012 +0100

    po: Update de translation

commit ddfc8b2c5698ff751b41e05b684f79d61fce5d27
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat May 12 19:29:33 2012 +0100

    debian: Close #658544

commit ab4ca6a34b5bcebab82cd5b831d4b0c36ea6df78
Author: Joe Hansen <joedalton2@yahoo.dk>
Date:   Sat May 12 19:28:17 2012 +0100

    po: Update da translation

commit 058c06ac411e96685b5001b98a4ef21b01741887
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu May 10 00:47:05 2012 +0100

    setup: script-config file is now optional
    
    Don't fail if it's no longer readable; the necessary settings
    will be set in the environment automatically.

commit 80ce127af3c8c5fe098b0b401cdfacaa891a7b92
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu May 10 00:15:32 2012 +0100

    po: Update

commit b0f881e094e06deacfbd28ee7e73f7605fafda92
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu May 10 00:15:07 2012 +0100

    debian: Delete config (script-config) files in schroot preinst

commit bf5f11de893b38c9cc6a9f2613f94c4ef072907b
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu May 10 00:12:46 2012 +0100

    debian: Update standards version and build dependencies

commit 64322ab7cc7e12ef5972b35b996c176e13ef973c
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu May 10 00:12:04 2012 +0100

    etc: Don't generate config (script-config) files

commit 47250f0d80beb1e97b2443060b6c45ce8daf3e49
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed May 9 23:18:46 2012 +0100

    debian: Use Boost 1.49

commit 6e09bf109607af62c6d2aff01fc74ef16f3b4caf
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed May 9 23:15:31 2012 +0100

    debian: Document NEWS changes and close #477937

commit 09d7aecf887334a0a4b29c2e5f0794dac303b8a4
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed May 9 23:12:11 2012 +0100

    NEWS: Document custom chroot types

commit 99fe7728c90a3e886366bbd825ff7dddb601e14f
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed May 9 23:11:22 2012 +0100

    10mount: Mount fstab entries irrespective of chroot type
    
    This just rearranges the logic to make it easier for custom
    chroot types to work without needing to hack 10mount.

commit 9f1f6d4390d9f90351a3ef5b9671c3f2fd18434f
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed May 9 23:10:07 2012 +0100

    contrib: Add 05customdir example
    
    This is an example of how to use the custom chroot type.

commit 0297c911b136e70b70fe3007b030151c22f6a191
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed May 9 22:40:33 2012 +0100

    man: Document deprecation of script-config file with custom keys

commit 972c224aece2a4ef0f9d44c1fb2e930a1568b715
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed May 9 22:40:17 2012 +0100

    sbuild: Add custom chroot type

commit bc2bf8ee2401e10fbcb3abd3e8ddad4feb239c82
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue May 8 23:57:37 2012 +0100

    test: Ensure that userdata reserved namespaces checks fail correctly
    
    Also tighten check for setup.data.dir.

commit 96f2db6ffd235ce64556a777d6a828b0ed4d0d25
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue May 8 23:31:24 2012 +0100

    setup: Fix paths for userdata
    
    They require prefixing with the SYSCONFDIR.  Also ensure
    that SCHROOT_SETUP_DIR is not user-settable.

commit d04e32dd3cc39ea641fc2848957292fe94751925
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Apr 3 23:29:40 2012 +0100

    etc/setup.d: Update scripts to use profile and user data
    
    Split out sourcing of SCHROOT_SCRIPT_CONFIG/SETUP_CONFIG
    into common-config script, which all setup scripts source.
    Use SETUP_CONFIG, SETUP_FSTAB, SETUP_COPYFILES and
    SETUP_NSSDATABASES, but permit old names to be used for
    backward compatibility.

commit b8e564087278600fe72e2bf1ca334524945082d6
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Apr 3 23:26:09 2012 +0100

    sbuild::chroot: Add profile property
    
    This supersedes and deprecates script_config.  profile will be
    inferred from script_config if not present.  script_config will
    otherwise be set from the profile (profile + "/config").
    
    User data (setup.config, setup.fstab, setup.copyfiles, and
    setup.nssdatabases) are set if profile is set.  These are
    intended to replace SCHROOT_SCRIPT_CONFIG, FSTAB, COPYFILES
    and NSSDATABASES, enabling all configurable parameters to be
    set directly within schroot.conf and thereby removing a
    needless source of complexity.

commit de9df772d20d7a971b3e502ca3d5901251719856
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Apr 3 23:34:04 2012 +0100

    sbuild::chroot_facet_userdata: Allow bypass of namespace checks
    
    Add _system set_data variant which bypasses the key name
    checks used for user and root setting.  This permits chroot
    objects to set keys in the restricted part of the namespace.

commit deb9ee8bf63f39d68466058bf04c79898575db1c
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Apr 3 23:33:36 2012 +0100

    man: Document profile option in schroot.conf(5)

commit 4e61a7c350b260c360296cf8b3b96fb01568a7be
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Apr 3 23:19:13 2012 +0100

    Document user options and --option

commit 036fe3ddbb9029367a7faf42eed50f0e21dc716f
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Mar 25 19:53:26 2012 +0100

    sbuild: Add sbuild::chroot_facet_userdata and --option option

commit 046829da98ac40511b395ffdf16a840814e3bf0a
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Mar 25 19:52:36 2012 +0100

    sbuild::chroot: Move keys checking out of operators

commit 31a7e0718bb65f9d897e6b0068b6597eb13c3c80
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Mar 25 19:51:46 2012 +0100

    sbuild::chroot_config: Fix typo in Doxygen comments

commit 0ff58ef9cd950fbf994e8ac32d3b46f244fbca4f
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Mar 25 19:50:31 2012 +0100

    Correct includes for strict correctness and GCC 4.7 compatibility

commit 05b5690f2cc5b7a164d660b43580fb8205f5dde2
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Mar 25 18:29:24 2012 +0100

    sbuild::regex: Use C++11 regex in addition to boost::regex
    
    Optionally support C++11 regex as a base for sbuild::regex.
    Use encapsulation rather than inheritance to keep the interface
    sane.
    Note that the current GCC std::regex implementation appears
    broken; this is explicitly tested for by configure.  In this
    situation boost::regex will continue to be used.

commit 92716b134ec0db997d9e8b50062c9137fa6a55be
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Mar 24 22:50:35 2012 +0000

    sbuild: Replace TR1 types with C++11 types
    
    Use std namespace in place of std::tr1.  For compilers
    lacking C++11 support, or which have C++11 support
    disabled, import the TR1 types into the std namespace for
    compatibility.  Additionally, import the corresponding
    Boost types into the std namespace for compilers lacking
    TR1 support.
    
    Use C++11 types throughout in place of TR1 types.

commit eef642dfbb4aaa475d290544fd5ac3d9c002fd0e
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Feb 27 10:15:14 2012 +0000

    schroot: Add --exclude-aliases option
    
    This removes aliases from the chroot selection.

commit 66ed29e00c313a17b945e6d80ce57a3cffac31e3
Author: Joe Hansen <joedalton2@yahoo.dk>
Date:   Sat Feb 4 10:13:56 2012 +0000

    po: Update da translation

commit b5c5d2c82a5f6f1d268001d7a4af9a62b8f1c001
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jan 23 09:52:51 2012 +0000

    NEWS: Document overlayfs addition

commit 4319a9d0ff963e03365f332820e0d5943ee5d7e6
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jan 23 09:49:20 2012 +0000

    debian: Close #648450

commit 6c71d1aecec99018ca4b14c0d4dd2e5b5b361d98
Author: Evan Broder <evan@ebroder.net>
Date:   Mon Jan 23 09:47:35 2012 +0000

    sbuild::chroot_facet_union: Add support for overlayfs
    
    Signed-off-by: Roger Leigh <rleigh@debian.org>

commit 3e3dcf6ec42267741f88ac4a555fcb924c6fe8e5
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jan 23 09:35:00 2012 +0000

    debian: Close #588962

commit c88cec18c7a3a18d4b4447a5fdca8f667ea450ff
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jan 23 09:30:00 2012 +0000

    man: Update po4a copyright and package name and version

commit e590ed029ea43ab5b4740dabf777f6b60d91876b
Merge: 5ac4317 f04845f
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jan 23 09:15:50 2012 +0000

    Merge branch 'po4a'

commit 5ac4317c648d7cbcd65c052a31c5459dcefbab4a
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Jan 17 23:57:56 2012 +0000

    Incorporate 1.4.24 logs

commit 5e829c0d848e4cb6f3e8eedb10ff168153e89c91
Author: Ralf Corsépius <corsepiu@fedoraproject.org>
Date:   Tue Jan 17 18:29:44 2012 +0000

    sbuild: Fix name lookup issue with GCC 4.7

commit 961b35b1c67b5b9f830be3db0104dd1e657c6a4e
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Jan 4 00:19:36 2012 +0000

    schroot_base::main: Don't require retranslation for copyright date changes

commit 21035d212b689a716efcba4b50cf27e01574ae99
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Jan 3 21:34:45 2012 +0000

    Update all translatable strings to use UTF-8 characters in source code
    
    This is now supported by the eglibc C locale, meaning that it is
    pointless to use the gettext machinery for "translating" symbols;
    it can now be used solely for actual translation, with appropriate
    fallbacks for non-UTF-8 locales.

commit d4af957bd9e52d2baa3078708b7d7d8fff446abb
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Dec 30 15:58:55 2011 +0000

    debian: Fix and close #653732

commit d7a797247eaba4738f8f7cc4cfe1db4998f26673
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Dec 30 15:57:21 2011 +0000

    debian: Bump version to 1.5.2-1 and use current Boost libraries

commit 0bd7edbcb1cfffcda152c835f9d932915e6661f7
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Dec 30 15:56:24 2011 +0000

    NEWS: Bump version to 1.5.2

commit 17194260b1abf0b4ac65c9b773004decc2a8e982
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Dec 30 13:42:43 2011 +0000

    man: Search srcdir when running soelim

commit 02467c5a213a4f809a453f9b2617d7d1e5b00a0b
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Dec 30 13:42:02 2011 +0000

    build: Distribute schroot.conf

commit ee5ee06e1715a03e85ac524a39333340910d690a
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Dec 30 12:20:23 2011 +0000

    po: Update current source files

commit 46dc780b1e1b1f28f9d2781798cf8976b2f211e6
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Dec 30 12:01:15 2011 +0000

    debian: schroot Breaks sbuild << 0.62.6

commit bb6ee3c1522607649d0589c2054f2b1b660bb23d
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Dec 30 11:55:02 2011 +0000

    sbuild: Add sbuild::feature

commit e8015bb25b6e4501750f497c3cfcd3876cf55da8
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Dec 25 14:27:40 2011 +0000

    sbuild: Support boost::iostreams < 1.44
    
    Add configure check and conditionals.

commit 9e310ce6aba030598b97a8ef574e641021d94b74
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Dec 4 18:07:42 2011 +0000

    sbuild::feature: Add and use class to register features
    
    This class registers and reports the presence of optional features.

commit f04845fb6a9d18ab1d66288ed3112a44f13683eb
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Nov 28 23:39:33 2011 +0000

    man: Add initial po4a potfile

commit 142b8ca78714825a94761490491c8e5256b62cd4
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Nov 28 23:36:51 2011 +0000

    man: Don't run po4a at top level

commit 99adb8a8f137fe5fd69457d333d223ba415fbdcb
Author: David Prévot <david@tilapin.org>
Date:   Sun Nov 27 22:26:27 2011 +0000

    man: Add initial support for po4a translations

commit fa42f4267dca7634cd69ba1a56e8b9283da1f6a0
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Nov 28 22:14:56 2011 +0000

    man: Document dchroot.conf support removal

commit cff35eced0581d6e1a2bf037735bf4d022a21c09
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Nov 28 21:58:29 2011 +0000

    debian: Document dchroot.conf support removal

commit 105dd10c837583923dcb7fbb7d81d92df0a6bb4a
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Nov 28 21:58:13 2011 +0000

    NEWS: Document dchroot.conf support removal

commit a20c3759814996cc84d2d215eb326d8af2053816
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Nov 28 21:53:23 2011 +0000

    dchroot: Drop support for dchroot.conf and alternative security checks
    
    Only schroot.conf is used for storing chroot configuration, and
    only sbuild::session is used for authentication.  I.e.
    get_chroot_auth_status may not be overridden to provide alternative
    authentication strategies.  This aligns all dchroot authentication
    with schroot, while still having separate execution and directory
    fallback behaviour.

commit ec96214874e9a4671c8818a5f144157e15b7f035
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Nov 27 20:55:41 2011 +0000

    debian: Fix missing comma in dependency

commit c79ac3306006e0119dc5bfa85ebd8d0737d772ec
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Nov 27 20:43:03 2011 +0000

    sbuild::session: Add informative message for nonexisting directory in chroot

commit e5a9f47743b509afa88353fd0895cc6cfc3bbb0b
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Nov 27 18:10:34 2011 +0000

    man: Reformat examples and corrections

commit 3f0abc31cb65f32c23ca447fe4e7104210fcd8f6
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Nov 27 15:50:27 2011 +0000

    debian: Close #633671

commit 2deaef9edd90fca8acd8c06863f03d525ca082fa
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Nov 27 15:47:34 2011 +0000

    Document directory fallbacks in manual pages

commit 617c40f20232d8e1c8c0d20d972bed13a296631e
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Nov 27 14:07:09 2011 +0000

    NEWS: Document CHROOT_ALIAS and SCHROOT_ALIAS_NAME

commit 17e39910b84b66c3ed5833452a6c0713d9620e13
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Nov 27 14:05:37 2011 +0000

    debian: Close #635320

commit 6f64852a8853056d633c4bacbee9d535c879f7f8
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Nov 27 13:58:45 2011 +0000

    debian: Build-Depend upon groff-base for soelim

commit afa9c9fa03f2499290ef2b871dddadde64b84a8d
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Nov 27 13:55:43 2011 +0000

    build: Move all path specification to global.mk
    
    It's not possible to evaluate directory variables at configure
    time, even with eval.  Move all preprocessor definitions to
    DEFS in global.mk.
    
    Note that this also required changing the substitution mechanism
    in the manual pages, which have been changed to source a
    generated config.man fragment, which is sourced using the .so
    directive, and the manual page generated using soelim(1).
    The boilerplate for the authors and copyright sections has also
    been split out at the same time.

commit 241b823cdefd61d124168030a7556aff0e4ece6b
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Nov 27 00:51:13 2011 +0000

    sbuild::chroot_facet_session: Store alias used as selected_name
    
    Set in environment as CHROOT_ALIAS.

commit f95e0b5ba03c5d54056ef7188d37dd3e9a63547e
Author: Patrick Ohly <patrick.ohly@intel.com>
Date:   Sat Nov 26 20:33:34 2011 +0000

    15killprocs: Warn about race condition when killing processes
    
    Invoking /bin/kill on processes fails if the process already
    quit by itself while the schroot shutdown runs. Because of "set -e"
    this causes the whole shutdown to fail.
    
    I have seen this occasionally in a nightly testing setup involving
    a D-Bus session: when the D-Bus daemon stops, all other processes
    depending on it also shut down automatically, with or without being
    killed.

commit f72402876178d7adb143adf69b6b31c18a06e079
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Nov 26 20:26:24 2011 +0000

    debian: Use Standards-Version 3.9.2

commit 6352c2b69fe9338e4ff1d9d33a11a48d9bf71310
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Jul 27 20:15:21 2011 +0100

    debian: Remove generated install files

commit 1cc305cee33e98fad1f93d72d2e5c570f6bc6f4a
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Jul 27 20:14:08 2011 +0100

    build: Distribute 99binfmt

commit bfb691cc483f8bc906908de0537d3cb5bb4ac23c
Author: Julian Andres Klode <jak@debian.org>
Date:   Wed Jul 27 20:12:49 2011 +0100

    contrib: Add setup script for qemu

commit cfd69350f07150e5a11c9cd527adabb9ff026fb1
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jul 11 20:23:29 2011 +0100

    debian: Update control relations from schroot-1.4

commit 17646f05547e5cc127e321963c51d25c0d5c795f
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jul 11 11:24:31 2011 +0100

    debian: Use multiarch paths

commit 0676faa732cbb66ef0c789cdc6270f19b58189b4
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jul 11 11:23:58 2011 +0100

    sbuild::session: Remove duplicated prototype

commit bab16cf0e5885e6305ef52347d3c18d7df05e6e9
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jul 9 16:43:27 2011 +0100

    NEWS: Merge changes from schroot-1.4

commit 4f3c9a92b3f95fbb3de4deb2990d2354beaf30ef
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jul 9 16:41:57 2011 +0100

    debian: Merge changelog from schroot-1.4

commit d7dad33687cb6b959731453dca9e74c67af6a2b5
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Apr 29 11:29:24 2011 +0100

    etc: Add buildd profile-template from sbuild
    
    Conflicts:
    
    	etc/profile-templates/buildd/all/copyfiles
    	etc/profile-templates/buildd/linux/fstab

commit 3f603d9d7740b72c7db5369d11f33ca8d4dc1d99
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Apr 29 13:38:45 2011 +0100

    sbuild::session: is_group_member is a member function

commit 852e56fd830aacca7f54cc49d7751a93ffbe6fe8
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon May 2 11:46:56 2011 +0100

    sbuild::auth: Allow setting of remote user

commit e3e294b7e539ca6a86b4c26913d51854c952d527
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon May 2 11:47:53 2011 +0100

    build: Add libschroot-all library
    
    Used for linking modified schroot binaries.

commit 773c890ed9e53400ffc2b8a078467bad5bba8409
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu May 12 13:57:35 2011 +0100

    dchroot_dsa::main: Load dchroot.conf using new interface
    
    dchroot-dsa was mistakenly using the old interface, and aborting
    with a fatal exception on startup in consequence.  This only
    occurred if using dchroot.conf; schroot.conf parsing was
    unaffected.

commit 87445d34b9a60f50ab66eb6038a95f13ad11ecef
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu May 12 16:00:50 2011 +0100

    sbuild::session: is_group_member is protected
    
    Needed to check if the user is in a particular group.
    May be moved out as a utility function.
    
    Conflicts:
    
    	sbuild/sbuild-session.h

commit 197719e1a2a063e1f12daf3d525a8ce5fc46c38e
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu May 12 16:02:48 2011 +0100

    schroot-sbuild: Add wrapper for sbuild
    
    This wrapper is the same as the normal schroot, but it sets
    the remote user to "sbuild" if the invoking user is in the
    sbuild group.

commit 1735f4006d69824efa6ca2c8effeab16d6398dc4
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat May 14 00:02:56 2011 +0100

    etc: profiles don't use rbind
    
    rbind doesn't work with systemd because binding autofs
    mountpoints causes breakage, due to unmountable mountpoints
    being created.  As a result, only use specific bind mounts.
    
    Conflicts:
    
    	etc/profile-templates/buildd/linux/fstab
    	etc/profile-templates/desktop/freebsd/fstab
    	etc/profile-templates/desktop/linux/fstab

commit 095e9cd4b68a9d1405abfff8a8eae9db59058b14
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat May 14 00:49:29 2011 +0100

    man: Fix unterminated underline of /proc

commit 899fe92717de9c9eea67716d4f74a041d284d3ea
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat May 14 18:47:08 2011 +0100

    schroot: Preserve original chroot name after session cloning
    
    - In setup scripts, store in CHROOT_NAME
    - In user shell, store in SCHROOT_CHROOT_NAME
    - In info output, display as Original Chroot Name
    - In session state file, store as original-name
      (deserialisation is optional to cater for older sessions not
      having the information).

commit ef09f6e4bc19095454c3c24c63dd05318bb91842
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun May 15 14:21:56 2011 +0100

    man: Update chroot types implementing extra options
    
    Conflicts:
    
    	man/schroot.conf.5.in

commit 85ceb5697a42489ab773bb3b9af9ef69e6f9226f
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun May 15 16:20:54 2011 +0100

    etc: Enable buildd profile and sync with sbuild
    
    Also move bits out of the base all profile which do not
    belong in the buildd profile.
    
    Conflicts:
    
    	etc/profile-templates/buildd/all/copyfiles

commit d234610d85a3d112f7364d9f02f3ccb9532a33ad
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon May 30 20:55:11 2011 +0100

    man: Enhance documentation of source chroots
    
    Conflicts:
    
    	man/schroot.conf.5.in

commit 47709a8cfd206bb62a6aa59dd747a1f291ea512f
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Jun 24 23:26:59 2011 +0100

    etc: sbuild and buildd bind mount scratch space on /build
    
    Bind mount /var/lib/sbuild/build on /build.
    
    Conflicts:
    
    	etc/profile-templates/buildd/linux/fstab

commit 7bd350229112524e515c718607ea3fc78a7f36c4
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jul 9 14:29:25 2011 +0100

    debian: Use dh v9

commit da04e67ecab5b90be4b5ca75d78dcab57f9ebc15
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Jun 10 12:01:10 2011 +0100

    build: automake uses dist-xz to xz compress the tarball

commit cee818f9886a9deab95d5062d20b54a6e9ccef8d
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Jun 3 19:43:48 2011 +0100

    debian: Build using dh

commit 1da026c711be57175f90b9126d2af6758bdcc1da
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Mar 27 16:53:37 2011 +0100

    NEWS: Document large file support

commit e1763b91505a82ebc21214890a04ccc237535c06
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Mar 27 16:47:36 2011 +0100

    build: Add configure checks for unshare system call

commit 77932da9e6dd94181c087eed9562090caa856399
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Mar 27 16:46:30 2011 +0100

    build: Enable large file support by default

commit e27d1c53df10d542365244458a8c48b39ac4031e
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Mar 11 13:12:24 2011 +0000

    man: Document use of eatmydata with command-prefix for performance

commit af2c244fb354d5ad325af42476978ddf989a4ee9
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Mar 11 13:06:53 2011 +0000

    sbuild::session: Don't unset argv[0] when command-prefix is invalid

commit e12d63e48e82892254fb9ca77d1ab10cd8b32ad9
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Mar 1 16:19:57 2011 +0000

    debian: Close #609067

commit 4f7c6b56d431e3444ea1cb1b0fb18eb4158082d7
Author: Jonathan Callen <abcd@gentoo.org>
Date:   Wed Jan 5 01:26:26 2011 -0500

    schroot-base: fix build with --enable-debug
    
    Rename last instance of the variable sbuild::debug_level to
    sbuild::debug_log_level.  This appears to have been missed in commit
    04c19bb6c28295a387e60066c48db7f443e5b925.
    
    Signed-off-by: Roger Leigh <rleigh@debian.org>

commit ef85bd49dbca8b1a281d492ef579a40baac4b2c9
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Mar 1 13:06:21 2011 +0000

    debian: Bump version to 1.5.1-1 and document Boost changes

commit 2e6332d8979a0b8151d4811137cb74d4cb3a8681
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Mar 1 13:05:03 2011 +0000

    NEWS: Bump version to 1.5.1 and document GCC-specific feature removal

commit de7bb2758f9dedc3071435533a1d7cea542b7a37
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Mar 1 13:03:39 2011 +0000

    debian: Build-Depend on libboost-iostreams1.46-dev

commit 9c3e4a1bd08147524674b878d8c824a2aeafa191
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Feb 28 23:44:19 2011 +0000

    debian: Depend on Boost 1.46 packages
    
    Until boost-defaults is at version 1.46, use specific packages.

commit 262d06719592460541da36d9db62805eb774fd71
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Feb 28 08:11:19 2011 +0000

    debian: Build with Boost 1.46 and remove old versions from build depends

commit 0fffa8573eec10016e848f180932f29b9656c6a0
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Mar 1 12:58:41 2011 +0000

    sbuild: Replace GCC-specific stdio_filebuf with Boost.Iostreams
    
    Use Boost.Iostreams file_descriptor classes with stream to replace
    __gnu_cxx::stdio_filebuf.  This means that the source no longer
    absolutely depends upon GCC to build, so may build with other
    compilers.

commit 71d4992ea38501959f24521375018f2f0cd5933f
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Feb 11 18:15:52 2011 +0000

    THANKS: Add Zach Carter

commit 2d0826366e90a795e7a01c26ed8c0890c929e319
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Feb 11 17:59:53 2011 +0000

    sbuild: Work with boost::filesystem v3
    
    The new Boost filesystem library was provided with version 1.44,
    but not available as the default until 1.46.  In order to be
    backward compatible, we check which version is available and
    conditionally compile based upon that.

commit 2375195699f77185d373fab39d49d9063998db2e
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Jan 18 21:11:53 2011 +0000

    sbuild: Prefix all chroot type usage with sbuild namespace qualifier
    
    As for the sbuild::chroot class, qualify all remaining uses of
    chroot type with full namespace.

commit aca8b074a5aad3d89a9faf48cb88aef9b478778f
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jan 17 23:54:12 2011 +0000

    sbuild::chroot: Use sbuild:: namespace for all file scope definitions
    
    Some definitions used chroot:: rather than sbuild::chroot, which was
    causing a misbuild on the alpha architecture.  This may have been
    due to the chroot(2) function being declared for some reason.

commit ed623555ab0b7593999343a3e89201c31074c12c
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jan 16 22:18:47 2011 +0000

    po: Update copyright year

commit d97b8d63203b37c3f607aeec7c0729d3aed1bbef
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jan 16 22:17:38 2011 +0000

    schroot::base_main: Update copyright for 2011

commit 479e2d35e410974c9c7a5535242ad10d82d19b77
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jan 16 22:05:36 2011 +0000

    debian: Document 1.5.0 changes

commit 3d2c6e4b7c1db73ddc6961b9136ed74ac6b39190
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Oct 22 22:06:54 2010 +0100

    setup.d: 10mount: Don't special case file chroot purging
    
    Now that 05file unpacks tarballs into a separate directory,
    10mount should not skip purging the mount directory, since
    it won't otherwise be cleaned up.

commit 7b3e160bfca2fe7f280ba52b1a79b5fb207f65d9
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jan 16 21:54:30 2011 +0000

    po: Update from schroot-1.4 branch

commit 08c15853cb9dfb88cb74449698c092c0237252e3
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jan 16 21:43:38 2011 +0000

    NEWS: Document AUTH_VERBOSITY removal

commit a8e995a571ef7fd93ce0fd3636124f35a25b7dc5
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jan 16 21:29:02 2011 +0000

    Merge changes from schroot-1.4 branch

commit 4871c19d91be8507fbe257a18000fca9cfb9454d
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jan 15 22:35:22 2011 +0000

    doc/historical/sbuild-chroot-helper.c: Add oldest available version of schroot

commit 0015cfd4620f097e1027c0ba6351ddbfce2e3409
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Jan 11 00:10:23 2011 +0000

    dchroot::dsa_session: Don't include <uuid/uuid.h>
    
    This header is no longer used, and it breaks building on platforms
    without the header available.

commit 119dbbb0ce413e788eecaa0d61816b6e19561e28
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jan 10 23:38:24 2011 +0000

    50chrootname: Make executable again

commit 9f7c2a75e92c43eaf1839388753fce172981a877
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jan 10 22:18:21 2011 +0000

    50chrootname: Use more restrictive regex for time and PID
    
    Drop old ISO-8601 date and pid regex which is no longer supported.
    Use 10+ digit match for time (UNIX time is a minimum of 10 digits now).
    Use 3+ digit match for PID.

commit b34295fbb82420ac8a6f29c35dca2cea53229439
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Jan 7 14:48:54 2011 +0000

    50chrootname: Strip time/pid from session name in addition to UUID

commit 1969cce35a375730f3850859eb424924d287c66d
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Jan 7 14:48:34 2011 +0000

    build: bootstrap works outside git repository

commit 98497dd3e424b9c8fc4cc13afdcbfa67f3396bcb
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Jan 6 21:53:24 2011 +0000

    debian: Disable UUID support on kfreebsd
    
    The FreeBSD kernel does not allow mounting of paths longer than
    88 characters (80 in practice) due to a limitation in its
    struct statfs structure (fixed-length character arrays).  This
    isn't fixable by us, so work around it by not using long UUIDs
    to mitigate the issue.

commit fa18e8979f90c565ec23c5ef9d34bf7b78078ce3
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Jan 6 21:51:28 2011 +0000

    build: Correct libuuid configuration
    
    libuuid --enable-uuid and --disable-uuid options now work.  The
    configure logic was incorrect and now handles enabling, disabling
    and automatic configuration correctly.  Only link with libuuid
    when UUID support is enabled.  Only build with UUID support when
    enabled, not merely present.

commit 44b372fc16b9d77c88aa666fbae80f0aa73f614e
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Jan 6 21:50:50 2011 +0000

    build: Don't link with libpam when PAM is disabled

commit f814f9959fe53b5ee6cba72885c1ee3443ad04e6
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Dec 29 16:38:09 2010 +0000

    15killprocs: Device and inode do not uniquely identify a chroot
    
    15killprocs switched to comparing device/inode numbers to kill
    processes inside a chroot.  Unfortunately, when multiple sessions
    are run inside a non-cloned chroot, the sessions all share a the
    same device/inode as the chroot root directory, resulting in all
    processes in all the sessions being killed when one of the sessions
    is ended.
    
    Retain the device/inode check for efficiency, but additionally
    check the paths when a match is found to avoid killing processes
    in other sessions.

commit 25235a875c865a347a8d91378132082bbca7d23f
Author: Ji ZhengYu <zhengyuji@gmail.com>
Date:   Sun Dec 12 12:02:25 2010 +0000

    po: Update zh_CN translation

commit 951de144d4cb6ad799be7ecc1fb98922b44157e9
Author: Thomas Blein <tblein@tblein.eu>
Date:   Wed Dec 8 22:39:36 2010 +0000

    po: Update fr translation

commit a898ccfe658788f4037d262b6ee25defc0546d8d
Author: Vincenzo Campanella <vinz65@gmail.com>
Date:   Wed Dec 8 12:12:02 2010 +0000

    po: Update it translation

commit 88485260e782e5d2ae2eeb95fd31b81fb19f0878
Author: Joe Hansen <joedalton2@yahoo.dk>
Date:   Wed Dec 8 12:00:19 2010 +0000

    po: Update da translation

commit 2bd87ddb41bf5b614bbba0058757640b3482f4e3
Author: Holger Wansing <linux@wansing-online.de>
Date:   Wed Dec 8 11:56:46 2010 +0000

    po: Update de translation

commit 016d94e2ed3915b69984a40d1c22ec906f6d061d
Author: Anders Kaseorg <andersk@ksplice.com>
Date:   Mon Dec 6 17:39:24 2010 -0500

    setup.d: 15killprocs: Don’t run /bin/readlink for every process
    
    On a system with thousands of processes, this loop took about a minute;
    now it takes about a second.
    
    Signed-off-by: Anders Kaseorg <andersk@ksplice.com>
    Signed-off-by: Roger Leigh <rleigh@debian.org>

commit c62266abc04e2da83bf1b0565d49c399c5d0aba2
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Dec 6 15:57:24 2010 +0000

    sbuild::chroot: Make invalid name reason generic
    
    No retranslation required if rules are changed.

commit 737d6ec0299185b469efbba04474f541117e4dd7
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Dec 5 22:54:16 2010 +0000

    man: Fully document chroot naming restrictions
    
    Add detailed rationale.

commit 41f02c2d9191573b4c7b82b637b69d9936537751
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Dec 5 22:53:21 2010 +0000

    sbuild: is_valid_sessionname: Ignore editor backups
    
    Ignore trailing tilde.

commit e7a04dffec40116170ef21f2a47ca80296b728c1
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Dec 5 21:43:29 2010 +0000

    man: Document chroot naming restrictions

commit 86e9f85c045d6803107a90c3601221430a722cf5
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Dec 5 21:36:16 2010 +0000

    sbuild::chroot_config: Add comments detailing validation check limitations

commit 8d57c6c6a741812c440ae58cfd136178db040191
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Dec 5 21:29:14 2010 +0000

    sbuild::util: Relax session name restrictions in is_valid_sessionname
    
    Use of is_valid_sessionname:
      schroot::options_base (validate user input)
       schroot::main_base (actual use of input)
       → session::set_session_id
       → chroot::clone_session
       → chroot_facet_session_clonable::clone_session_setup
       → chroot::set_name
      sbuild::chroot (set_name)
      sbuild::chroot (set_aliases)
      sbuild::chroot_config::add_config_directory (validate filename)
    
    The only function of is_valid_sessionname is to ensure we have a "safe"
    session name when writing out a session file and/or making use of that
    session name in setup scripts.  set_name is the main point of checking;
    everything else is just aborting earlier when a good diagnostic can be
    issued (e.g. validating options and filenames), but they would hit the
    set_name check ultimately if the extra checks weren't present.
    
    Validation requirements:
    • no leading dot to allow writing in parent directories
    • no slashes to allow writing in subdirectories
    • no colons (used as a namespace delimiter, and also LVM snapshot names
      can't contain a colon or else lvcreate errors out)
    • no commas (we use comma-separated lists in the config file, so alias
      names and hence session names can't contain a comma)
    
    A simple regex satisfies all these requirements:
    
      static regex file_namespace("^[^:/,.][^:/,]*$");
      static regex debian_dpkg_conffile_cruft("dpkg-(old|dist|new|tmp)$");
    
      if (regex_search(name, file_namespace) &&
          !regex_search(name, debian_dpkg_conffile_cruft)) {
        match = true;
      }
    
    dpkg cruft checks added from is_valid_filename, because these are also
    needed for avoiding conffile cruft under /etc/schroot/chroot.d
    (previously, the existing restrictions prevented this anyway).  So dots
    are allowed anywhere except the first position, and ':', '/' and ','
    are not permitted anywhere.

commit eed74e4f2d13872c57713f10418bc57d845e6480
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Dec 5 21:28:03 2010 +0000

    sbuild::chroot: Validate set_aliases as for set_name
    
    Use is_valid_sessionname to validate each alias name.

commit 0a67ef07ece85ad55670fecdc5fcce0ca4396812
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Dec 5 19:08:45 2010 +0000

    man: Document security implications of profiles in schroot.conf(5)

commit 928e83043baa1e7563270347079e0d92987dc703
Author: Nelson Elhage <nelhage@mit.edu>
Date:   Sun Dec 5 18:44:37 2010 +0000

    setup.d: 10mount: Make all mountable chroots respect mount options from configuration
    
    10mount, when computing mount options for some chroot types
    (e.g. loopback) overrides the mount options set in config, instead of
    using both sets.
    
    For some chroots we were setting mount options inside the script, which
    entirely overrode the ones the user passed in. Combine them instead.
    
    Signed-off-by: Roger Leigh <rleigh@debian.org>

commit 94a8f8978a3c38e566a9f4df7bf60dae3744edc9
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Dec 5 18:36:43 2010 +0000

    man: Document -- option delimiter

commit d5dc7f1e4ea14ec5f9083f7f64f6bfd94747bd89
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Nov 14 13:43:29 2010 +0000

    profiles: Add dbus support to desktop profile

commit 023322db3bbf5b8d5e739dc0a80ea95077675fff
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Sep 25 10:47:57 2010 +0100

    schroot::main_base: Correctly handle errors for source chroots

commit b151c37c2e0931b9bbbec986d5bc4e2f1ebbb449
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Sep 25 10:36:22 2010 +0100

    schroot::main_base: Only warn about no chroots when verbose

commit fa1daa52d897c0498b8ea042e0cf47e02907f4f7
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Sep 25 10:29:27 2010 +0100

    sbuild::chroot_config: Create proxy sessions for plain chroots
    
    Session actions such as --run-session and --end-session do not
    work with plain chroots, due to no chroot existing in the
    session namespace.  Create aliases in the session namespace for
    plain chroots.
    
    Also load all chroots on all actions requiring sessions to
    ensure the presence of the session proxy aliases.

commit 3d8a59d6bcf2e637ec5a6acbebaa91e1ae038781
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Sep 6 11:50:28 2010 +0100

    build: git-dist.mk: Provide ENABLE_RELEASE_GIT and ENABLE_DIST_GIT to sub-makes

commit f26f3b9fb497d5847247f7088b32f63af71d9182
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Sep 5 18:34:49 2010 +0100

    po: Remove duplicate zh_CN string

commit 4b14610134afb75e0d683eb50289e3d1159d651c
Merge: afdea51 476b4fa
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Sep 5 18:30:18 2010 +0100

    Merge branch 'schroot-1.4-merge2'
    
    Conflicts:
    	debian/changelog
    	debian/control
    	debian/schroot.postrm
    	etc/setup.d/05file
    	man/schroot.conf.5.in
    	po/cs.po
    	po/da.po
    	po/de.po
    	po/en.po
    	po/eu.po
    	po/fr.po
    	po/it.po
    	po/pt.po
    	po/schroot.pot
    	po/sv.po
    	po/vi.po
    	po/zh_CN.po
    	sbuild/sbuild-chroot-config.cc
    	sbuild/sbuild-chroot.cc
    	sbuild/sbuild-session.cc

commit 476b4fa21fc827b5709ce7df1455bf41c344315a
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Sep 5 17:58:40 2010 +0100

    debian: Close #594720

commit 94b728c85b09e6dae765cceaaab6527e24bebb6f
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Sep 2 23:29:04 2010 +0100

    build: git-dist: Correct punctuation and spacing in comments

commit 283a00e8ce03c5838cba0341ae1d5a88f8ec2c4c
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Sep 2 21:11:22 2010 +0100

    build: Add initial git release distribution infrastructure

commit 7d465c5fd33af046d78eec09fd63817248201579
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Sep 1 09:12:41 2010 +0100

    scripts: Always send output of git rev-parse to /dev/null

commit afdea51b0b1899c611d1cffab6ba00e947055226
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Sep 2 23:29:04 2010 +0100

    build: git-dist: Correct punctuation and spacing in comments

commit 31c7296a57a3dbc5eba7a9ae380bf2427ac5a888
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Sep 5 17:45:50 2010 +0100

    debian: Close #595647

commit 08df8d81e93f9905f00d4968aefcaf8fadcfc89e
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Sep 5 17:43:28 2010 +0100

    sbuild::chroot_config: Use namespace hints correctly
    
    If a chroot name doesn't contain an explict namespace,
    fall back to the provided namespace hint before falling
    back to the "chroot" namespace if no hint was provided.

commit da9212e263ddb7062aa89e18711135b5a98ce3a0
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Sep 5 17:43:17 2010 +0100

    debian: Bump version to 1.4.12-1

commit eaa7ec9bda1a98b2f42c0180c94bcdd273727475
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Sep 5 17:43:02 2010 +0100

    NEWS: Bump version to 1.4.12

commit 6728b782e6f71f25dfa6c5ef43778ba7d7e29c5b
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Sep 2 21:52:09 2010 +0100

    po: Update

commit 110d1b82dbfbe84c3df9fe77de729d2273302cef
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Sep 2 21:11:22 2010 +0100

    build: Add initial git release distribution infrastructure

commit 5b5eb480a56880db783ca8348a02e8d0587b81dc
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Sep 1 09:12:41 2010 +0100

    scripts: Always send output of git rev-parse to /dev/null

commit ede5e07cdea230282a9022015314ceda7673bfb0
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Aug 29 12:31:34 2010 +0100

    NEWS: Fix typo

commit d522467de66a811ea63cc1db41f09580c1646a86
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Aug 29 12:31:34 2010 +0100

    NEWS: Fix typo

commit a4b53975b456d0672a1ab97141ffb1427e0fbcb8
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Aug 29 12:01:20 2010 +0100

    debian: Add Btrfs snapshot support to package description

commit aaee45ab3052c6990b783bafd1f276eaf65c160e
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Aug 29 12:01:03 2010 +0100

    debian: schroot no longer suggests unzip

commit 323d3a82137a396b956f2dcab79d2a9be6d6bdf5
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Aug 29 11:58:51 2010 +0100

    chroot::file: Remove support for zip archives
    
    zip does not archive FIFOs or device nodes, and so is not usable
    for archiving chroots

commit 77950c26ac0f23a0bf4c88d772d0600ef2e0d103
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Aug 28 21:45:26 2010 +0100

    sbuild::chroot: Translate error reasons

commit 4a1c5004eb74842975729a1b3bea310c274e654b
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Aug 28 21:42:57 2010 +0100

    sbuild::chroot: Remove use of format string for invalid chroot name reason

commit 97f01198e14c90b5fac3008555dceb7300d15af2
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Aug 28 21:45:26 2010 +0100

    sbuild::chroot: Translate error reasons

commit bd8a8fe048e1a028fb2c4fce0e95a5fdc3f8828a
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Aug 28 21:42:57 2010 +0100

    sbuild::chroot: Remove use of format string for invalid chroot name reason

commit 9f56edfc414f4929fec4c4e68f22245ecac2eea6
Merge: 1af9dd0 78a5e91
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Aug 28 17:10:50 2010 +0100

    Merge remote branch 'origin/master'

commit 1af9dd0df23daffb0a249e26945f9824fca01adb
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Aug 28 12:36:38 2010 +0100

    debian: Bump version to 1.4.11-1 and close #594677

commit 18c8c10adbe6f802a6f03a0f66a04f5f305d7fca
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Aug 28 12:35:03 2010 +0100

    NEWS: Bump version to 1.4.11

commit ff814eb9ed55c70c6e2bee774288fa7a6880c3ce
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Aug 25 22:03:38 2010 +0100

    debian: Bump version to 1.4.10-2 and close #594024 and #594239

commit 23ab1020854e588da542f9f4b4083a9f6c1ee63c
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Aug 28 12:33:26 2010 +0100

    dchroot: Use chroot namespace
    
    Use new form of sbuild::chroot_config::add, putting
    choots into chroot namespace.

commit ae9683c20c8ee32c2caf99aa2b9f7c369a485110
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Aug 28 12:32:38 2010 +0100

    dchroot: dchroot.conf parser uses directory key
    
    Use "directory" key in place of deprecated key "location"

commit 23b604090ec87a4e401400fba0c4256c8101afda
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Aug 28 12:36:38 2010 +0100

    debian: Bump version to 1.4.11-1 and close #594677

commit fea2c053f5209ad245fc25822074a683a5ad50e8
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Aug 28 12:35:03 2010 +0100

    NEWS: Bump version to 1.4.11

commit 7c125d14f7b8e3be9eb4d194a6889d5581bc7779
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Aug 28 12:33:26 2010 +0100

    dchroot: Use chroot namespace
    
    Use new form of sbuild::chroot_config::add, putting
    choots into chroot namespace.

commit 145fe1c24bf01a5ebee255280738160f9e300bb9
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Aug 28 12:32:38 2010 +0100

    dchroot: dchroot.conf parser uses directory key
    
    Use "directory" key in place of deprecated key "location"

commit 78a5e918afa4708c3cb3fe7a2bcf4e8f56378107
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Aug 28 12:33:26 2010 +0100

    dchroot: Use chroot namespace
    
    Use new form of sbuild::chroot_config::add, putting
    choots into chroot namespace.

commit efbc357a60ae064c00e5814b242ac475e482996a
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Aug 28 12:32:38 2010 +0100

    dchroot: dchroot.conf parser uses directory key
    
    Use "directory" key in place of deprecated key "location"

commit 42132178afe25a3ee7fcbcf05d12a22e98326688
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Aug 25 22:03:38 2010 +0100

    debian: Bump version to 1.4.10-2 and close #594024 and #594239

commit c323eb3f50f12d8789330327afd5f0d911969a3d
Author: Thomas Blein <tblein@tblein.eu>
Date:   Wed Aug 25 21:59:55 2010 +0100

    po: Update fr translation

commit f00f6c15d22a657854dfc9c3fc880db57286a710
Author: Holger Wansing <linux@wansing-online.de>
Date:   Wed Aug 25 21:58:39 2010 +0100

    po: Update de translation

commit 4327b4e1bdfddbe8d472679a4ba1b8d0154b6661
Author: Thomas Blein <tblein@tblein.eu>
Date:   Wed Aug 25 21:59:55 2010 +0100

    po: Update fr translation

commit 2ec8c8e10d9dcde9fd5f7615a15685352696116a
Author: Holger Wansing <linux@wansing-online.de>
Date:   Wed Aug 25 21:58:39 2010 +0100

    po: Update de translation

commit 4cd5caf2d8728c9c9098d4193c1a88c8967b3fc1
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Aug 22 10:16:40 2010 +0100

    debian: rules: Explicitly specify LVREMOVE

commit b37a0226386c47837102e95a95381b19f3d4008e
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Aug 22 09:47:40 2010 +0100

    build: Simplify doxygen conditional usage

commit 18e47d5027356aa949fd8720ae2a488b12508eea
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Aug 22 09:46:41 2010 +0100

    debian: Bump version to 1.4.10-1 and don't enable doxygen explicitly

commit c6aa7944dbb744b63f91ba08d708116a00a0854d
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Aug 22 09:45:36 2010 +0100

    NEWS: Bump version to 1.4.10

commit 68e324cbd27c7cc81a75ef4b3e6d4bd38194d111
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Aug 22 09:44:25 2010 +0100

    build: Conditionally enable features if present
    
    Existing logic for automatic enabling of features was broken

commit d8f3b42f924896077b4b24e75c32104679cc7a03
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Aug 21 23:51:45 2010 +0100

    debian: rules: Run dh_install separately for install-arch and -indep
    
    Also install arch-indep files separately in install-indep rule

commit 20eb84545e041ed9c8c31e0a9f446a6ad9c9615a
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Aug 21 23:25:48 2010 +0100

    debian: rules: Use -a and -i arguments for dh_prep

commit dfb3674f028f8f266d833fc21eb6ec94641140e4
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Aug 21 23:03:23 2010 +0100

    po: Update

commit 0406040b54a1c9070266cef106cb398749a1fadb
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Aug 21 23:02:56 2010 +0100

    debian: rules: Add build rule to call build-indep and build-arch

commit 22662fff764c0d5bb1cb836e76f7acd8bfa70ce5
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Aug 21 22:45:48 2010 +0100

    debian: Close #593516

commit 983656e7af34e0e7a3265f4ae809cbcfebc35a75
Author: Greg Price <price@ksplice.com>
Date:   Sat Aug 21 22:37:45 2010 +0100

    setup: 10mount: Use flock to prevent race reading /proc/mounts
    
    See Debian #593516 for a full description of this bug.
    
    Comment added to Greg Price's patch by Roger Leigh:
    
    Note that flock is used here to prevent races reading /proc/mounts,
    which on current (Linux 2.6.32) kernels is racy.  If other processes
    are mounting or unmounting filesystems as we read it, we can miss
    mount entries due to the file changing as we read it.  This needs
    fixing in the kernel, but an exclusive lock surrounding the
    schroot-listmounts invocation is a partial fix.  This prevents racing
    when multiple schroot processes are running.  Note that this does not
    prevent the problem when programs other than schroot mount and unmount
    filesystems (since they don't create the lock).

commit 80c9fdea4ec5d6fc171f1b19bb9d76549c7684cb
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Aug 21 21:55:54 2010 +0100

    build: boost_filesystem depends upon boost_system
    
    Newer compilers (GCC 4.5) and linkers (gold) require that
    all required symbols are linked against directly, rather than
    allowing indirect linkage to satisfy the dependency.  This
    means that if you use the libboost_filesystem headers and
    link with -lboost_filesystem, you also need to add -lboost_system.
    The library has the appropriate DT_NEEDED entry, but this is due
    to exposing internal use of boost_system in the boost_filesystem
    headers, so our code is in fact dependent even though we are
    unaware of it.
    
    Hopefully boost will start using pkg-config in the future so we
    don't need to be aware of these internal details and worry about
    breakage when our assumptions about the internal details change
    in the future.

commit 8620107b946876668e54df9956c9e6e4ee828082
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Aug 21 18:56:56 2010 +0100

    README: Update configure options and document "make doc"

commit 08465328aa68a8b370ccca861ab252075be37ce9
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Aug 19 21:24:51 2010 +0100

    debian: Close #593622

commit d22ef7d16af87558c4ff126a4af017802478dfc8
Author: Joe Hansen <joedalton2@yahoo.dk>
Date:   Thu Aug 19 21:24:05 2010 +0100

    po: Update da translation

commit 3cdd38788ce27b7dd765a6dcf943003a36d4d944
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Aug 19 20:26:37 2010 +0100

    debian: Update zh_CN translation

commit 38a472fb73064c70cb469da9bfe1539a23b444c0
Author: Ji ZhengYu <zhengyuji@gmail.com>
Date:   Thu Aug 19 20:25:53 2010 +0100

    po: Update zh_CN translation

commit c44add7db75ba75229c886215c37fdbf3760b6dd
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Aug 19 20:24:56 2010 +0100

    debian: Update it translation

commit afe45ff3921ba69cf3300c7f1c7fd173ee4f6460
Author: Vincenzo Campanella <vinz65@gmail.com>
Date:   Thu Aug 19 20:23:22 2010 +0100

    po: Update it translation

commit 8e7760439ac0cc394350281e519daf73aaaf5e51
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Aug 19 20:02:29 2010 +0100

    po: Update en translation

commit 425fac01b3c7c46f3b56e0886557ed274cb992a5
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Aug 18 23:12:12 2010 +0100

    debian: Split build into build-arch and build-indep rules
    
    Also split intall into install-arch and install-indep.
    Add doxygen and graphviz to Build-Dep-Indep.

commit db59cd237154f589a3a11a576da7caae6cc34d94
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Aug 18 23:08:00 2010 +0100

    debian: Bump version to 1.4.9-1 and close #593256

commit 45f9b661914f911a4d1f1e90d8d169ca2252bc79
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Aug 18 23:06:17 2010 +0100

    NEWS: Bump version to 1.4.9

commit 76ee21128e8b73d63d44dcb0a30e58d2c4ed05ff
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Aug 18 23:04:50 2010 +0100

    sbuild::chroot: Hide priority deprecation warning on session reload

commit 02eec685339552ac7cbfd239acbc6d217eedc109
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Aug 18 22:16:49 2010 +0100

    build: Add separate doc rule to build API references
    
    Done in order to allow skipping doxygen doc build for binary-
    only builds.

commit 8e87e4247b6bc16794ce60f121db36de44a8c18e
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Aug 15 11:34:45 2010 +0100

    debian: Upgrade to Standards Version 3.9.1

commit e5680481289e50c0955f7b8b2adf1ac44a1bf673
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Aug 15 11:28:09 2010 +0100

    NEWS: Document environment fixes

commit 45eed223b0d2da3b3fb13b971fceb74432b83fcb
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Aug 15 11:27:23 2010 +0100

    debian: Close #512131

commit 40ee70b8fc7050adc2357217aa5e773c725fc8e0
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Aug 15 10:26:09 2010 +0100

    debian: Close #589082 and #589079

commit 5b1c4d1db0bc6bb0d421dab8b2c89c0bb5d4ac2a
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Aug 15 10:24:44 2010 +0100

    po: Update

commit 61a9d0eaac49d1c0f127b05d6356d5172ddfbc9c
Author: Thomas Blein <tblein@tblein.eu>
Date:   Sun Aug 15 10:24:18 2010 +0100

    po: Update fr translation

commit 1972179f4b2e28be5c5d6fda5aee18e950dfe2ef
Author: Joe Hansen <joedalton2@yahoo.dk>
Date:   Sun Aug 15 10:23:27 2010 +0100

    po: Add Danish translation

commit ba43fa82afa46aaf7b51876bb3806879322c7084
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Aug 7 12:03:05 2010 +0100

    debian: Close #589658

commit e92c795f66f78e7f5f85f3bfa2324e9cd3d83fba
Author: Zach Carter <z.carter@f5.com>
Date:   Sat Aug 7 12:01:26 2010 +0100

    build: Fix check for boost::program_options::variables_map
    
    Use boost::program_options::variables_map rather than
    boost::program_options::variables_map::variables_map.  For
    some reason the latter worked on Debian but not on Fedora.
    The former is correct on all systems.

commit 8350c91acd8403a210b006a92fa050f44df3fa9d
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Aug 7 10:21:21 2010 +0100

    sbuild::chroot: Validate chroot name with is_valid_sessionname

commit f7cee33ce2c4bb983e6fc263a117e0d8f309333b
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Aug 7 10:17:27 2010 +0100

    schroot::options_base: Validate session name with is_valid_sessionname

commit ebc193e16954857bf2868dd41d8f354f45e0c92a
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Aug 7 09:58:36 2010 +0100

    debian: Close #589889

commit 8c1c93708397bc08519a9415da96fbdd9e26315e
Author: Zach Carter <z.carter@f5.com>
Date:   Sat Aug 7 09:56:00 2010 +0100

    sbuild::chroot_config: Replace is_valid_filename with is_valid_sessionname
    
    Add is_valid_sessionname to sbuild-util.cc.  The matching is
    less strict than is_valid_filename.

commit c45d25a0c098bcc41548480ff269abfd3389222e
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Jul 28 21:12:53 2010 +0100

    debian: Close #589830 and #589917

commit a2029fefed80015c617854e73166a0c48bd23361
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Jul 28 21:11:20 2010 +0100

    sbuild::auth: Always preserve HOME and SHELL

commit 77bd5e2803a58904d696da7cfa299179fb7959dd
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Jul 13 23:34:50 2010 +0100

    debian: Close #588963

commit fa951b83591f5d3efee4eddb21e535822333ae10
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Aug 22 10:16:40 2010 +0100

    debian: rules: Explicitly specify LVREMOVE

commit 2b9d2a0cae768dbc6112bc50d7c10bf91cd1b312
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Aug 22 09:47:40 2010 +0100

    build: Simplify doxygen conditional usage

commit aac02089498bb1f18f6ddd5ab2dcc4de59e97012
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Aug 22 09:46:41 2010 +0100

    debian: Bump version to 1.4.10-1 and don't enable doxygen explicitly

commit 1343b985e61a107398962e2714a0692deb91b5a4
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Aug 22 09:45:36 2010 +0100

    NEWS: Bump version to 1.4.10

commit fef602761cf14def7043fafda0a8d9dc14711c43
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Aug 22 09:44:25 2010 +0100

    build: Conditionally enable features if present
    
    Existing logic for automatic enabling of features was broken

commit 1dc79078c401f7bf727d676a4acfbf0c7ed0f9f9
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Aug 21 23:51:45 2010 +0100

    debian: rules: Run dh_install separately for install-arch and -indep
    
    Also install arch-indep files separately in install-indep rule

commit 48693fa4adb23d22fee99326dbe813852a4b748f
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Aug 21 23:25:48 2010 +0100

    debian: rules: Use -a and -i arguments for dh_prep

commit 2fcd3c781def59bc3d2d55af347b3079b9873806
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Aug 21 23:03:23 2010 +0100

    po: Update

commit 79557b454a56c757a6ece32a0f2469e56e29d8d0
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Aug 21 23:02:56 2010 +0100

    debian: rules: Add build rule to call build-indep and build-arch

commit 8a65a3426da512bba036f4ac02ee588765e1bcc4
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Aug 21 22:45:48 2010 +0100

    debian: Close #593516

commit 806466870c810332fc6a5e932598e339029992bf
Author: Greg Price <price@ksplice.com>
Date:   Sat Aug 21 22:37:45 2010 +0100

    setup: 10mount: Use flock to prevent race reading /proc/mounts
    
    See Debian #593516 for a full description of this bug.
    
    Comment added to Greg Price's patch by Roger Leigh:
    
    Note that flock is used here to prevent races reading /proc/mounts,
    which on current (Linux 2.6.32) kernels is racy.  If other processes
    are mounting or unmounting filesystems as we read it, we can miss
    mount entries due to the file changing as we read it.  This needs
    fixing in the kernel, but an exclusive lock surrounding the
    schroot-listmounts invocation is a partial fix.  This prevents racing
    when multiple schroot processes are running.  Note that this does not
    prevent the problem when programs other than schroot mount and unmount
    filesystems (since they don't create the lock).

commit e737fd5b7867828695892097db5d1d8804392318
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Aug 21 21:55:54 2010 +0100

    build: boost_filesystem depends upon boost_system
    
    Newer compilers (GCC 4.5) and linkers (gold) require that
    all required symbols are linked against directly, rather than
    allowing indirect linkage to satisfy the dependency.  This
    means that if you use the libboost_filesystem headers and
    link with -lboost_filesystem, you also need to add -lboost_system.
    The library has the appropriate DT_NEEDED entry, but this is due
    to exposing internal use of boost_system in the boost_filesystem
    headers, so our code is in fact dependent even though we are
    unaware of it.
    
    Hopefully boost will start using pkg-config in the future so we
    don't need to be aware of these internal details and worry about
    breakage when our assumptions about the internal details change
    in the future.

commit 6872eb10b00b6afd65ae2b76e06790687376a335
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Aug 21 18:56:56 2010 +0100

    README: Update configure options and document "make doc"

commit 400bb1d8b203c37911379900e0a6451be0adf7d5
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Aug 19 21:24:51 2010 +0100

    debian: Close #593622

commit 78be5a21522b45e27b5f89cca858d22a520237ee
Author: Joe Hansen <joedalton2@yahoo.dk>
Date:   Thu Aug 19 21:24:05 2010 +0100

    po: Update da translation

commit 1f30498f3bd3912617bbd901d1ae060c4246dbf3
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Aug 19 20:26:37 2010 +0100

    debian: Update zh_CN translation

commit 4ccaa0feff96b5854783b5c331304538713be9d0
Author: Ji ZhengYu <zhengyuji@gmail.com>
Date:   Thu Aug 19 20:25:53 2010 +0100

    po: Update zh_CN translation

commit 3728a244ce92a2cfa3e0611bad10e58726695a91
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Aug 19 20:24:56 2010 +0100

    debian: Update it translation

commit e653e77e5fb690a2face518a99b9ffc3c5eb922a
Author: Vincenzo Campanella <vinz65@gmail.com>
Date:   Thu Aug 19 20:23:22 2010 +0100

    po: Update it translation

commit d6a01118b84a9eecf7b7e266ac36ac566fc5a2fe
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Aug 19 20:02:29 2010 +0100

    po: Update en translation

commit 2cf10c624140a5e05c6beee1198ea776981bfd92
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Aug 18 23:12:12 2010 +0100

    debian: Split build into build-arch and build-indep rules
    
    Also split intall into install-arch and install-indep.
    Add doxygen and graphviz to Build-Dep-Indep.

commit d1e6868d184f26ed8c1e695c68ce2d5792853571
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Aug 18 23:08:00 2010 +0100

    debian: Bump version to 1.4.9-1 and close #593256

commit 912075ed3227777a9621b497ecee714eff64ebf6
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Aug 18 23:06:17 2010 +0100

    NEWS: Bump version to 1.4.9

commit c8f20e2cd14b648c30f90f09cf592fc85acb480e
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Aug 18 23:04:50 2010 +0100

    sbuild::chroot: Hide priority deprecation warning on session reload

commit d116377ab66e817215aa34c9454170768527f261
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Aug 18 22:16:49 2010 +0100

    build: Add separate doc rule to build API references
    
    Done in order to allow skipping doxygen doc build for binary-
    only builds.

commit 47e4c8b75ffb9189c0955e12fe77ba927f589dac
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Aug 15 11:34:45 2010 +0100

    debian: Upgrade to Standards Version 3.9.1

commit f2a48bdb70dde3769f63f31a08dc723bd1832448
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Aug 15 11:28:09 2010 +0100

    NEWS: Document environment fixes

commit b51f5d9de4b827759c577079653324acb306fabd
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Aug 15 11:27:23 2010 +0100

    debian: Close #512131

commit a32bcf7a0151090f5cf927525c8591e504a7f0b1
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Aug 15 10:26:09 2010 +0100

    debian: Close #589082 and #589079

commit 89966ed56b226373013963614df68e8b4a37946b
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Aug 15 10:24:44 2010 +0100

    po: Update

commit f5228ef3f93bb3c13993272ddddeef63c930dcfa
Author: Thomas Blein <tblein@tblein.eu>
Date:   Sun Aug 15 10:24:18 2010 +0100

    po: Update fr translation

commit aedcb4a74373ed4956151ce60dc1bfe93dc63e42
Author: Joe Hansen <joedalton2@yahoo.dk>
Date:   Sun Aug 15 10:23:27 2010 +0100

    po: Add Danish translation

commit 41a4ffd211591ffad4e13aaa245e33aa0d3fe80d
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Aug 7 12:03:05 2010 +0100

    debian: Close #589658

commit a6d507bed81acc6f6d7af99edbca5483fb1f1426
Author: Zach Carter <z.carter@f5.com>
Date:   Sat Aug 7 12:01:26 2010 +0100

    build: Fix check for boost::program_options::variables_map
    
    Use boost::program_options::variables_map rather than
    boost::program_options::variables_map::variables_map.  For
    some reason the latter worked on Debian but not on Fedora.
    The former is correct on all systems.

commit d9fea721349f255685258542f0e0a519666f7c49
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Aug 7 10:21:21 2010 +0100

    sbuild::chroot: Validate chroot name with is_valid_sessionname

commit 52bc81179c776994bc9cf73c2083f2b79afd9940
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Aug 7 10:17:27 2010 +0100

    schroot::options_base: Validate session name with is_valid_sessionname

commit c96f162a52ac12d36116117b282a9c4a2b9c2350
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Aug 7 09:58:36 2010 +0100

    debian: Close #589889

commit 92e6ffc5f6a5f72a3c397b57de0e3fc7aba856e7
Author: Zach Carter <z.carter@f5.com>
Date:   Sat Aug 7 09:56:00 2010 +0100

    sbuild::chroot_config: Replace is_valid_filename with is_valid_sessionname
    
    Add is_valid_sessionname to sbuild-util.cc.  The matching is
    less strict than is_valid_filename.

commit c474ad3469facfe025e21529d4b8041c07e0fb6b
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Jul 28 21:12:53 2010 +0100

    debian: Close #589830 and #589917

commit e929986ed0dad40c1609376a1b2fb5d9ffad7edc
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Jul 28 21:11:20 2010 +0100

    sbuild::auth: Always preserve HOME and SHELL

commit 5acf843a24ea77cb6a9c2ac47c972d3f22b053e6
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Jul 13 23:34:50 2010 +0100

    debian: Close #588963

commit d67dd9a2920c6403438d1ff32c7acf6740786bc7
Author: Holger Wansing <linux@wansing-online.de>
Date:   Tue Jul 13 23:34:03 2010 +0100

    po: Update de translation

commit 3bb2ed47e3db8df3ec2ffdc3bbdba0a17fbc2e97
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 11 22:11:26 2010 +0100

    NEWS: Document priority obsoletion and compatibility alias removal

commit 2bdb6fee46bec4a433397ec40f627abfe829254f
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 11 22:11:11 2010 +0100

    sbuild::chroot: Obsolete priority

commit a4d7eb543f4f4f19c42648b6a62a152919968713
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 11 22:10:52 2010 +0100

    sbuild::chroot_config: Remove compatibility names

commit 03be815da8ffc7c40442cfb1dc3f876616cff9c3
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 11 21:08:13 2010 +0100

    po: Merge changes from schroot-1.4 branch
    
    Note line numbers have been dropped.

commit 12600ccfcffd9c36b51026783794651274424b4c
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 11 20:46:37 2010 +0100

    man: Document chroot namespaces

commit c1353d69f478ba67fe3666666bce3b07293aa5e2
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 11 19:46:04 2010 +0100

    schroot::main_base: Remove debugging statement

commit f6e9001a0a33cce4c04ee8b80d2a9ae54818ea0b
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 11 19:39:54 2010 +0100

    sbuild::chroot_config: Add get_namespace helper
    
    Add helper function to split a name into namespace and chroot.

commit e10fe551a4e9b87a2e8cc4617c529672169b226a
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 11 19:39:07 2010 +0100

    schroot::main_base: Use find_alias rather than find_chroot
    
    This is to cope with compatibility names which are stored
    only in the alias table.

commit 705e7f014d341530f4232e0cd7e08ed1da332790
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 11 18:29:39 2010 +0100

    man: Document deprecation of priority

commit bcf89047340c60d852ffd98835a880f55a4806d7
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 11 18:29:18 2010 +0100

    etc: Remove priority from schroot.conf examples

commit 0e8dfae26212e7fc2f2f567ac25785464119b4a4
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 11 18:29:02 2010 +0100

    debian: Bump version to 1.4.8-1

commit 57edc7d5ec6be9e3ae7969c615fed8971281b33d
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 11 18:14:22 2010 +0100

    Document namespaces and undocumented return types

commit 7e9e296c47f85b02a0b09469b2054d30bca2807f
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 11 18:12:30 2010 +0100

    sbuild::session: Don't use sbuild::chroot_config
    
    Previously a chroot_config object was used to look up chroots, but
    now we simply pass it a list of chroot objects to operate on.  This
    means name lookups can't fail, since they all get done much earlier.
    Alter dependent session and session-using code to provide a chroot
    object list rather than a name list.

commit 4bf25bdf26006ac9814747a01aedb5afb7756f38
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 11 12:23:49 2010 +0100

    TODO: Remove completed namespace work

commit 0f21e11f22b75a2b1e1c7c5dca986c11da841c2d
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 11 12:22:41 2010 +0100

    sbuild::chroot_facet_session: Remove completed todo item

commit 05643252cfe89eb6eeb46b4a210a4ba332434445
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 11 11:52:56 2010 +0100

    doc: Update doxygen configuration to 1.6.3

commit d1d4aba2e4e5392a7529d2dbfa14156264d83db0
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 11 10:51:10 2010 +0100

    doc: Explicitly list missing documentation

commit f21a1b292e609e54ed8b188d8d613e946cea432d
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 11 10:50:25 2010 +0100

    sbuild: Update doxygen comments
    
    Also adjust sbuild::chroot_block_device_base to match the docs.

commit b4bacc6ce9b90be377c4e898ff25c59e7ec11575
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 11 09:41:08 2010 +0100

    sbuild::chroot: Remove session_id
    
    This had exactly the same function as the chroot name, so merge
    into a single property.

commit 06d2feac42cd65c577269a0ee50d68587e214658
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 11 01:15:23 2010 +0100

    sbuild::chroot: Deprecate "priority" key

commit 4b1ab2b33462386536733165643b6334af40a6aa
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 11 01:14:50 2010 +0100

    NEWS: Update descriptions

commit 9368d663d437d347dbf5a17c0d1ddd3a3b5e5887
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 11 00:59:05 2010 +0100

    NEWS: Bump version to 1.4.8 and document namespace changes

commit 8c326637b963a1c71fc3fdcd60d75d97ef69fe38
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 11 00:46:36 2010 +0100

    sbuild::chroot_config: validate canonicalises namespace
    
    This means all chroot names in use have a valid namespace.
    schroot can use the session namespace for searching when
    running sessions etc.

commit 6faf4172f05cb57a914a59dec33b2c89d06f404a
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 11 00:45:34 2010 +0100

    sbuild::chroot_config: Add session chroot compatibility alias

commit c592061b4bb6fb79be7ea30d3475c563836bb748
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 11 00:42:53 2010 +0100

    sbuild::session: Use chroot_config::find_alias correctly
    
    Always throw an error if the chroot wasn't found.  This
    failed (or rather didn't fail) in the case of the root user
    where authentication can't fail and so only a warning was
    issued, followed by a segfault due to the chroot being
    invalid.

commit 4c36b620868bac054cf7070c1d45f82cbd0d4748
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jul 10 23:57:43 2010 +0100

    sbuild::chroot_config: Move -source alias handling here
    
    No longer manage in sbuild::chroot_facet_source_clonable,
    which doesn't need to care about these details.  chroot_config
    places the aliases in the source namespace, and the -source
    compatibibility aliases in the chroot namespace.

commit 26a94215574c13f74c3425429844d17a850416be
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jul 10 23:34:08 2010 +0100

    test::sbuild_chroot_config: Drop old comment

commit da86b4defddab3c236a9a162d7136f4faaa22f94
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jul 10 23:33:28 2010 +0100

    test: Use new chroot_config interface

commit 8b905aa41c3573c857143f629326a2553139cf11
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jul 10 23:33:13 2010 +0100

    dchroot: Use new chroot_config interface

commit a63d70e5cfdf9571aa1ab996f71505a72bf04c0d
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jul 10 21:47:35 2010 +0100

    sbuild: Remove unnecessary use of sbuild namespace qualifiers

commit ead0fe16f0a6e0b279056db8c533b04af0967a1a
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jul 10 21:33:48 2010 +0100

    sbuild::chroot: Replace use of get_active with facet checking

commit 64227ffa8d1435db150778bdc10fcbc099e8bb64
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jul 10 21:24:54 2010 +0100

    schroot::options_base: --info displays sources by default

commit 46222de1618589409dc4f35e7b8d2a867a2ad580
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jul 10 17:04:23 2010 +0100

    sbuild::chroot_config: Add namespaces

commit 1dcc47f3c15934479f547e08d9638e0a39981333
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jul 10 16:43:49 2010 +0100

    schroot::options_base: --chroot-name only works with --begin-session

commit 04968ad77b371fc0ec0444e74df8e06ff8429cc2
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Jul 6 23:35:13 2010 +0100

    debian: Document translation updates

commit 35947fc074d383463b8a2dc1718ef06389c5dcff
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Jul 6 23:24:53 2010 +0100

    NEWS: Document SCHROOT_SYSCONF_DIR bug

commit a347a29791b1339e30a7f63c9e23b5e8a23629df
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Jul 6 23:23:13 2010 +0100

    debian: Close #588247

commit 1a9faa2832abc310b00ca242100e3c45a2633780
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Jul 6 23:19:48 2010 +0100

    build: Distribute VERSION

commit f40e55dd292b11af1ee77d5a732a2b003e5a3337
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Jul 6 23:19:12 2010 +0100

    Complete change to SCHROOT_SYSCONF_DIR from PACKAGE_SYSCONF_DIR

commit 162679401c00592ab87dc2c80d7df12e161cb80f
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Jul 6 00:27:42 2010 +0100

    debian: Bump version to 1.4.7 and standards version to 3.9.0

commit 5ee403fbd7e3fd8ef77a345b57ab86ab0d8b462b
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Jul 6 00:27:23 2010 +0100

    NEWS: Bump version to 1.4.7

commit b809652b2565e40d3509e68ab2642b2bc7fd1fb3
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jul 5 22:58:51 2010 +0100

    NEWS: Document /dev bind mounting

commit b546e9476f6f4cda2ca6aa3ade30bd997c5bc9d3
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 11 20:46:37 2010 +0100

    man: Document chroot namespaces

commit 643e39c9510a352d92f2cc525a24d9799e104804
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 11 19:46:04 2010 +0100

    schroot::main_base: Remove debugging statement

commit 439ee78157266b5a46583271d587144233619aa3
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 11 19:39:54 2010 +0100

    sbuild::chroot_config: Add get_namespace helper
    
    Add helper function to split a name into namespace and chroot.

commit 009bb3f3084af08e99634fd3f888b2495fe67839
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 11 19:39:07 2010 +0100

    schroot::main_base: Use find_alias rather than find_chroot
    
    This is to cope with compatibility names which are stored
    only in the alias table.

commit 8a5b06a1650e57118f7970a81980810842e73a79
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 11 18:29:39 2010 +0100

    man: Document deprecation of priority

commit 4797341bf9ee2216dba640ffa041528266def183
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 11 18:29:18 2010 +0100

    etc: Remove priority from schroot.conf examples

commit 7147631ff75ba7139ff95c6affa16a052022ba57
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 11 18:29:02 2010 +0100

    debian: Bump version to 1.4.8-1

commit 508379c549aa1bc6032330a8a8721b86d547b15e
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 11 18:14:22 2010 +0100

    Document namespaces and undocumented return types

commit d02a2f506899a20756baf51b3ed597e2f03c6d42
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 11 18:12:30 2010 +0100

    sbuild::session: Don't use sbuild::chroot_config
    
    Previously a chroot_config object was used to look up chroots, but
    now we simply pass it a list of chroot objects to operate on.  This
    means name lookups can't fail, since they all get done much earlier.
    Alter dependent session and session-using code to provide a chroot
    object list rather than a name list.

commit 98b2597bc4be030f1dbb8a905f0b6c7c9d5d8ae5
Author: Miroslav Kure <kurem@debian.cz>
Date:   Sun Jul 11 18:02:48 2010 +0100

    po: Update cs translation

commit 78f1b6a5db0464412713d983286f0e9743e36566
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 11 13:12:54 2010 +0100

    po: Remove redundant line numbering
    
    Should reduce diff sizes and make merging vastly easier.

commit 23a6a6936f920661785a0b1e23439dadbae6c139
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 11 13:03:44 2010 +0100

    po: Update

commit 43b1c7e5fb409261f77783d1847eff0b09a8fa60
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 11 12:23:49 2010 +0100

    TODO: Remove completed namespace work

commit 613d65e294dc6e3e768ecf70ebff28c04b6caa31
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 11 12:22:41 2010 +0100

    sbuild::chroot_facet_session: Remove completed todo item

commit 1b9902c79749ce05c28fb5749026fb8721088a93
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 11 11:52:56 2010 +0100

    doc: Update doxygen configuration to 1.6.3

commit 820213870ac6f8fdeae4fc7b75c6d4bbe2ad1cfe
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 11 10:51:10 2010 +0100

    doc: Explicitly list missing documentation

commit 227869e7fe2a931f2c31727c66fbb7e503801efe
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 11 10:50:25 2010 +0100

    sbuild: Update doxygen comments
    
    Also adjust sbuild::chroot_block_device_base to match the docs.

commit 094043a4ef0aa5d92d5744f0527f46c5ded3822a
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 11 09:41:08 2010 +0100

    sbuild::chroot: Remove session_id
    
    This had exactly the same function as the chroot name, so merge
    into a single property.

commit 4d7c9edd0975d5f9ae1e1bf222cd9fe9469c5ef4
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 11 01:15:23 2010 +0100

    sbuild::chroot: Deprecate "priority" key

commit 23fffeaa238cb01a573f0b41a4a463455f5bc3f0
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 11 01:14:50 2010 +0100

    NEWS: Update descriptions

commit 4d4a37a7532fbf154ba4f0348ba3b960757282b1
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 11 00:59:05 2010 +0100

    NEWS: Bump version to 1.4.8 and document namespace changes

commit 8773e4ca298cb03f459b3a0f5d18004f31a6b4c9
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 11 00:46:36 2010 +0100

    sbuild::chroot_config: validate canonicalises namespace
    
    This means all chroot names in use have a valid namespace.
    schroot can use the session namespace for searching when
    running sessions etc.

commit 5bfe4d6f665c8ff2725f1f78cbe8677d519fe862
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 11 00:45:34 2010 +0100

    sbuild::chroot_config: Add session chroot compatibility alias

commit 03509b86c3d378340c36dd8bdb749238a91d6799
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 11 00:42:53 2010 +0100

    sbuild::session: Use chroot_config::find_alias correctly
    
    Always throw an error if the chroot wasn't found.  This
    failed (or rather didn't fail) in the case of the root user
    where authentication can't fail and so only a warning was
    issued, followed by a segfault due to the chroot being
    invalid.

commit 13fd685b1f7e87f3387dc6be7061cf34ad424d86
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jul 10 23:57:43 2010 +0100

    sbuild::chroot_config: Move -source alias handling here
    
    No longer manage in sbuild::chroot_facet_source_clonable,
    which doesn't need to care about these details.  chroot_config
    places the aliases in the source namespace, and the -source
    compatibibility aliases in the chroot namespace.

commit 55515dcad8f39df5c46097fe605fe9773b04e29e
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jul 10 23:34:08 2010 +0100

    test::sbuild_chroot_config: Drop old comment

commit d98be5b49c08dd521002b458b118530d90a8eee0
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jul 10 23:33:28 2010 +0100

    test: Use new chroot_config interface

commit aa4e8b08855960e01e551e96e0ae5fdfa6a4406e
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jul 10 23:33:13 2010 +0100

    dchroot: Use new chroot_config interface

commit 71e82a3003ce27be9f2b9d7e866f5277c1f21e40
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jul 10 21:47:35 2010 +0100

    sbuild: Remove unnecessary use of sbuild namespace qualifiers

commit 6b5bf7d74ed17d2a31b021dcfea8984b7a4beee2
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jul 10 21:33:48 2010 +0100

    sbuild::chroot: Replace use of get_active with facet checking

commit 24c7730b0b688702d80070662612fe4af1d50f01
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jul 10 21:24:54 2010 +0100

    schroot::options_base: --info displays sources by default

commit 80d430bb738d61a3cf4502a7a26f407cd8dde577
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jul 10 17:04:23 2010 +0100

    sbuild::chroot_config: Add namespaces

commit 95f0367e0b68f7e823d1bbcd7847b02045ac797f
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jul 10 16:43:49 2010 +0100

    schroot::options_base: --chroot-name only works with --begin-session

commit bc876777a316c0c19f5077794be3594f3b698f9d
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Jul 6 23:35:13 2010 +0100

    debian: Document translation updates

commit f26e19b97be023c11477955fd0da954bd830e98e
Author: Ji ZhengYu <zhengyuji@gmail.com>
Date:   Tue Jul 6 23:34:17 2010 +0100

    po: Update zh_CN translation

commit d1440fd676dfdb9690574b67b86ae88ee6520300
Author: Vincenzo Campanella <vinz65@gmail.com>
Date:   Tue Jul 6 23:33:31 2010 +0100

    po: Update it translation

commit 0e1571fb2272f52c026ffe285ba86a8fbde804d8
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Jul 6 23:24:53 2010 +0100

    NEWS: Document SCHROOT_SYSCONF_DIR bug

commit 87708a23a2097aa28caf9f308dfff4bed5f37f82
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Jul 6 23:23:13 2010 +0100

    debian: Close #588247

commit db69bcd3a3be5289744cd913fe19025b1f27d942
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Jul 6 23:19:48 2010 +0100

    build: Distribute VERSION

commit a567f4db595314e8fa6e7bb02a2f4449d0ab09bd
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Jul 6 23:19:12 2010 +0100

    Complete change to SCHROOT_SYSCONF_DIR from PACKAGE_SYSCONF_DIR

commit f13977630c74237bd3b44feea7b155f8a18f1597
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Jul 6 00:27:42 2010 +0100

    debian: Bump version to 1.4.7 and standards version to 3.9.0

commit b5a5f93fed89c6df05fe8cae6b7ee65f460701e0
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Jul 6 00:27:23 2010 +0100

    NEWS: Bump version to 1.4.7

commit 6493ac2987bdf56680c919aa83a3a128a8e6bc12
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jul 5 22:58:51 2010 +0100

    NEWS: Document /dev bind mounting

commit 7c56db33e989fb91710f59fdfdbcf9804640864a
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jul 5 22:54:32 2010 +0100

    NEWS: Update from schroot-1.4 branch

commit d22bb383653df5d4506a2c783fa5505d6840553e
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jul 5 22:52:17 2010 +0100

    po: Update from schroot-1.4 branch

commit 56dd345b69c696a442614ab70680db42475906f6
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jul 5 22:32:16 2010 +0100

    sbuild::chroot_config: Initialise aliases in constructor

commit 90023a817682cafbc069edc62bb81a22f3d00cdb
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jul 5 22:31:33 2010 +0100

    dchroot_dsa::session: Correct get_login_directories prototype
    
    Must be the same as sbuild::session.

commit 5f3f696eb7c7a8fe34ef44edc0a6ca900c6d1650
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jul 5 22:20:59 2010 +0100

    debian: Close #588155

commit 454da327bfdc1b1b2d6746edebad2c8cdcdfd0f8
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jul 5 22:12:32 2010 +0100

    schroot::main_base: Don't allow session names to duplicate chroot or alias names
    
    This was previously possible, but broken because sbuild::chroot_config
    can't handle the duplicate names.  Forbid until chroot_config has
    separate namespaces.

commit 1414347e9283b44992fba16081b2565cd7b8d4cb
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jul 5 22:11:34 2010 +0100

    sbuild::session: Don't allow running or ending a new session
    
    It doesn't make sense to run or end a new session unless also
    beginning with SESSION_AUTOMATIC.

commit f7bb21b327691330ffda6f8adea1cbf6cf2ff070
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 4 22:56:47 2010 +0100

    setup.d: Move FreeBSD device portability code to common-data

commit 03af3815394030a003e5f01b46421067a3621dda
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 4 11:50:16 2010 +0100

    setup.d: Reorganise 10mount mount options setting
    
    Fix loopback options for mounting
    Move checks into setup-start/setup-recover block so they don't
    get done on setup-stop.

commit a3e9925ec3ca0987a07de6f3524781fd23b0007b
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 4 11:46:26 2010 +0100

    sbuild::chroot_loopback: Always create session file

commit b7d5a5020e46168a12103a9c55a428a18bb6bbac
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 4 00:47:55 2010 +0100

    debian: Close #587757 and #587769

commit d41d0ccc919c6f3f399da7da0059d4a395aae248
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 4 00:31:58 2010 +0100

    setup.d: Use common data and functions and fix sanity checks
    
    Use common-data and common-functions
    Replace VERBOSE checks with logging functions
    Correct device checks in all scripts (for GNU/kFreeeBSD compatibility)
    Move sanity checks from 00check to exactly where they are needed,
    which means scripts won't fail prematurely and especially on stop
    where they may no longer be needed.  This makes session ending in the
    face of removed resources much more reliable.

commit 33089fa6bc65877b9bc94aed24012be06cacc989
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 4 00:17:07 2010 +0100

    debian: Include common-data and common-functions

commit ca60699ff0c3dc52a9eda7e39749cc0babdf5371
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 4 00:16:13 2010 +0100

    debian: Package common-data and common-functions

commit f4b6178366f487136b66cf5f81bcfa9f5cdf2beb
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 4 00:15:15 2010 +0100

    setup: Add common-data and common-functions files
    
    These are for sourcing by individial setup scripts and
    contain common data and shell functions, respectively.

commit 1ba092f090668c8f63b9a789c875d1d4ce4c2dc1
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 4 00:11:32 2010 +0100

    build: Remove maintainer mode and add additional defines
    
    Remove maintainer mode.
    Add SCHROOT_DATA_DIR, SCHROOT_SETUP_DATA_DIR and replace
    PACKAGE_SYSCONF_DIR with SCHROOT_SYSCONF_DIR.
    Export into the setup script environment as SYSCONF_DIR,
    DATA_DIR and SETUP_DATA_DIR.

commit b4bfa0b0f44e2bd0afe58b4ac58a1a0246f797d7
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jul 3 23:55:35 2010 +0100

    sbuild::run_parts: Remove shadowing errdata variable
    
    This was causing the poll loop to terminate prematurely
    after the first input on stderr due to the shadowed
    variable always showing zero data returned.

commit fffc33b6b98244f38168ea8fbf10e87a23c3c594
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jul 3 20:43:23 2010 +0100

    sbuild::chroot_file: Add location configuration key
    
    Allows use of chroots packed with the system in a subdirectory.

commit 9bbf64b843ac366350098f1e6be4f31c62f72e02
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jul 5 22:45:47 2010 +0100

    po: Unfuzzy one string

commit f2af6fd34ee3f9db9124a911ebba1cdc8750e6dc
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jul 5 22:42:42 2010 +0100

    po: Update

commit 7f860f521fd4103118ae787e3660bce0a59964af
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jul 5 22:32:16 2010 +0100

    sbuild::chroot_config: Initialise aliases in constructor

commit 8fe019d11b952ab448596318853d9ca2fc214e0b
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jul 5 22:31:33 2010 +0100

    dchroot_dsa::session: Correct get_login_directories prototype
    
    Must be the same as sbuild::session.

commit 0f5e5874173620275c84e9076e3ceed3fa34d26b
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jul 5 22:20:59 2010 +0100

    debian: Close #588155

commit 501f8a6c11b61423fbce52c512ec162711bf8c5a
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jul 5 22:12:32 2010 +0100

    schroot::main_base: Don't allow session names to duplicate chroot or alias names
    
    This was previously possible, but broken because sbuild::chroot_config
    can't handle the duplicate names.  Forbid until chroot_config has
    separate namespaces.

commit 1251dfb76e30e188218b14d47804fccf0b31ccbf
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jul 5 22:11:34 2010 +0100

    sbuild::session: Don't allow running or ending a new session
    
    It doesn't make sense to run or end a new session unless also
    beginning with SESSION_AUTOMATIC.

commit e707c8dfe8c4a07a0b58c0a7b80991f64dd2723d
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 4 23:00:40 2010 +0100

    po: Fix fuzzy en strings

commit dddf501010a0e4e69c6ed44f7af1201e62940ad3
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 4 22:59:44 2010 +0100

    po: Update

commit 88da2f4531e3feb7304afb486f38c8c54de6ff9b
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 4 22:57:35 2010 +0100

    NEWS: Document loopback session changes and setup script work
    
    Also tidy up early typos and whitespace

commit f6461a5d637b804356b600272bfbade846defda8
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 4 22:56:47 2010 +0100

    setup.d: Move FreeBSD device portability code to common-data

commit c1c835b1bf6dcbf0f3b790c99f867705f57b05c7
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 4 11:50:16 2010 +0100

    setup.d: Reorganise 10mount mount options setting
    
    Fix loopback options for mounting
    Move checks into setup-start/setup-recover block so they don't
    get done on setup-stop.

commit 72f5c41a901c94f9e4cc18b01e24668bc8f442bb
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 4 11:46:26 2010 +0100

    sbuild::chroot_loopback: Always create session file

commit 4c206768530ecaf2ab32ed1cebdf04bb7c12e3dd
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 4 00:47:55 2010 +0100

    debian: Close #587757 and #587769

commit d122e87d08b47e1582bacbf10102c4f74ae05a96
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 4 00:31:58 2010 +0100

    setup.d: Use common data and functions and fix sanity checks
    
    Use common-data and common-functions
    Replace VERBOSE checks with logging functions
    Correct device checks in all scripts (for GNU/kFreeeBSD compatibility)
    Move sanity checks from 00check to exactly where they are needed,
    which means scripts won't fail prematurely and especially on stop
    where they may no longer be needed.  This makes session ending in the
    face of removed resources much more reliable.

commit 468ab11ec8a9295218ad331bce3869b708dd5a95
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 4 00:17:07 2010 +0100

    debian: Include common-data and common-functions

commit abb1b28d139a837b2944b86fb7d974011d5fd38e
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 4 00:16:13 2010 +0100

    debian: Package common-data and common-functions

commit 49848fb1d6f00aafac3bffa16c5a9a55d84514ce
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 4 00:15:15 2010 +0100

    setup: Add common-data and common-functions files
    
    These are for sourcing by individial setup scripts and
    contain common data and shell functions, respectively.

commit 89dd25429036762f3b1fb979a7534ed5d1740a3a
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 4 00:13:54 2010 +0100

    po: Update

commit d4e72630444ff75b74e43830639aaf1e8d03e4e5
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 4 00:11:32 2010 +0100

    build: Remove maintainer mode and add additional defines
    
    Remove maintainer mode.
    Add SCHROOT_DATA_DIR, SCHROOT_SETUP_DATA_DIR and replace
    PACKAGE_SYSCONF_DIR with SCHROOT_SYSCONF_DIR.
    Export into the setup script environment as SYSCONF_DIR,
    DATA_DIR and SETUP_DATA_DIR.

commit e3c8bfe3453885074deda1c2d2e617020523e1c2
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 4 00:03:19 2010 +0100

    NEWS: Document file chroot location option

commit f5428f637ab27bd2cc69c1f225e1f7b09d877d01
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jul 3 23:55:35 2010 +0100

    sbuild::run_parts: Remove shadowing errdata variable
    
    This was causing the poll loop to terminate prematurely
    after the first input on stderr due to the shadowed
    variable always showing zero data returned.

commit f2520a4947ef4818ce7f62e597fbcf2362790df4
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jul 3 20:43:23 2010 +0100

    sbuild::chroot_file: Add location configuration key
    
    Allows use of chroots packed with the system in a subdirectory.

commit 727f2514dce1f5a3ff385acb3ebf3e8471d23b6e
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Jun 29 20:21:01 2010 +0100

    po: Update

commit 4cb81c904b7dd904eac0c7c4cab85eba2d6af5b1
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Jun 29 19:23:14 2010 +0100

    sbuild::auth and sbuild::session: Improve environment handling

commit 0d876fcda072170eba7cecea464dcc30496312d5
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Jun 29 19:23:14 2010 +0100

    sbuild::auth and sbuild::session: Improve environment handling

commit 212bc22119cd471982ccfa72ac1ad7e0f99e6130
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 27 21:06:27 2010 +0100

    debian: Document 1.4.6 changes

commit 44168b47c981f29ef92390c578edb5d6a537af02
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 27 21:01:07 2010 +0100

    NEWS: Merge changes from 1.4.6

commit 6e80663108b493b7bd0f044a1bb2804b50a76062
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 27 20:56:12 2010 +0100

    man: Document desktop setup in schroot.conf

commit 650ca861d71f4cd4616e1d58e0cbb69f39516b97
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 27 20:59:19 2010 +0100

    po: Update

commit 925d377579826764ae04bf0585926cc5f341a853
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 27 20:56:35 2010 +0100

    NEWS: Document preserve-environment key

commit 0f90ef81125b017dbedb25c490baad4420fdc065
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 27 20:56:12 2010 +0100

    man: Document desktop setup in schroot.conf

commit 46e0ec1c6158154d3e0062c277eef2adf2c069cf
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 27 20:04:27 2010 +0100

    profile-templates: Bind /var/run/gdm3 rather than /var/run
    
    Binding /var/run is dangerous since it might make services in the
    chroot interfere with services on the host, particularly when
    installing and removing packages.
    
    Since gdm3 might not be installed, we need to leave it commented out.

commit 3d54360911bb8405b9b6c05235f1c0e6f9ebb754
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 27 20:04:27 2010 +0100

    profile-templates: Bind /var/run/gdm3 rather than /var/run
    
    Binding /var/run is dangerous since it might make services in the
    chroot interfere with services on the host, particularly when
    installing and removing packages.
    
    Since gdm3 might not be installed, we need to leave it commented out.

commit 713064aae506233c7179d5190a556e4b9f459de6
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 27 19:50:13 2010 +0100

    sbuild::chroot: Add preserve-environment key
    
    Move handling complete environment out of sbuild::auth;
    the minimal environment and auth_environment are now only
    PAM-provided environment variables.  These are merged with
    the user environment only when required.
    
    Functions using the environment for HOME and PATH now need
    explicitly providing with an environment.

commit be6fcb0ef926a3298e43b6e3df251fc1f0a8e3cb
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 27 19:50:13 2010 +0100

    sbuild::chroot: Add preserve-environment key
    
    Move handling complete environment out of sbuild::auth;
    the minimal environment and auth_environment are now only
    PAM-provided environment variables.  These are merged with
    the user environment only when required.
    
    Functions using the environment for HOME and PATH now need
    explicitly providing with an environment.

commit c5fbd66e27cc6d95f09263d4ac154acd57d9b63d
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 27 02:19:54 2010 +0100

    Bump version to 1.4.6

commit 13ee4e1f3af0e4fe3e7024a1bba1a285c9e9bfa1
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 27 02:19:03 2010 +0100

    NEWS: Fix typo

commit f0d29b5d50735e5ddde2891faa660b85795ad1ae
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 27 02:19:03 2010 +0100

    NEWS: Fix typo

commit 0874e2c8cd6ea72328b430cc12cee97e98abb69b
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 27 01:20:20 2010 +0100

    debian: changelog: Merge changes from 1.4.5-1

commit b9ddd520bc81b4f463fdd2e86e8386fd361551f7
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 27 01:19:35 2010 +0100

    NEWS: Merge changes from 1.4.5

commit 27e5e24f9de785752de531742003a1cea0f18de1
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 27 00:20:52 2010 +0100

    build: Distribute profile-templates

commit c932af386094816312607090bb0ef5166e237588
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 27 01:02:20 2010 +0100

    build: Install profile files with INSTALL_DATA, not INSTALL

commit f741d2d1bd7b5d1e193db780cddd4bc372ff39fc
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 27 00:21:14 2010 +0100

    profile-templates: Use /sys not /sysfs

commit 375eccb95a82d5ad61d1c198d4c89976add47f0c
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 27 01:02:20 2010 +0100

    build: Install profile files with INSTALL_DATA, not INSTALL

commit aafc442bfe77cbc890fb7a61cedee94b6e83cc2a
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 27 00:21:14 2010 +0100

    profile-templates: Use /sys not /sysfs

commit f611150e62360499bf148f8ee8c59faee14a6ebe
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 27 00:20:52 2010 +0100

    build: Distribute profile-templates

commit dba286e503e1862111ca3992929fc77a950fb199
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jun 26 23:52:27 2010 +0100

    po: Update

commit ab212a42f0c19a545733b8d85abbc5ba3d96d15a
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jun 26 23:49:33 2010 +0100

    po: Update

commit 8f5be524e492b291d9b14a3f198167880ac2d482
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jun 26 23:47:17 2010 +0100

    debian: Close #462453

commit 46b827b0b4fc35c164304c0a90b6f89b96cc0e67
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jun 26 23:45:52 2010 +0100

    NEWS: Document message-verbosity

commit 22f8353c160aba346f6b7be3078948e7b60621f7
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jun 26 23:44:34 2010 +0100

    man: Document message-verbosity

commit ca7abda825488d5ea788e72bb2b2e5ff7d365044
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jun 26 23:44:34 2010 +0100

    man: Document message-verbosity

commit 4e7da4b79d977bddb0aae165567c628b416253b7
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jun 26 23:38:41 2010 +0100

    sbuild::session: Retain AUTH_VERBOSITY for 1.4 compatibility

commit 2d165787a816f9be1c7bd992ef59eeec47b6e87a
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jun 26 13:30:35 2010 +0100

    sbuild: Move verbosity from auth to chroot and session
    
    Add message-verbosity configuration key.

commit 75f1f2606c5addf9a7a37ff0d930eeedcd49357f
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jun 26 13:30:35 2010 +0100

    sbuild: Move verbosity from auth to chroot and session
    
    Add message-verbosity configuration key.

commit 11739ca2481d99c96b37f9b838cfb310002b0aef
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jun 26 23:19:16 2010 +0100

    debian: Close #586198

commit de8003c2384f1e6e738fd8c5889aba57b2fa9776
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jun 26 23:16:37 2010 +0100

    setup.d: 20copyfiles: Copy with files not existing in chroot

commit 9f2368d65f852872b6435909d45340fce238db89
Author: Bastian Blank <waldi@debian.org>
Date:   Sat Jun 26 23:16:01 2010 +0100

    setup.d: 20nssdatabases: Cope with database not existing in chroot

commit dd87b872150a8032661dafb0d8e1ad5a3e4f0c0d
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jun 26 23:17:19 2010 +0100

    po: Update

commit df34d136695c04c24b892d3dfa454fb77dfd092f
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jun 26 23:16:37 2010 +0100

    setup.d: 20copyfiles: Copy with files not existing in chroot

commit dcfa33af62646cf5b7081b5417c289d160fa77ce
Author: Bastian Blank <waldi@debian.org>
Date:   Sat Jun 26 23:16:01 2010 +0100

    setup.d: 20nssdatabases: Cope with database not existing in chroot

commit b49acf996eed1ad888ec3d54d25b5540c9b22708
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jun 26 22:57:28 2010 +0100

    debian: Close #583504

commit e1f0725f6bc9ab33f7c653e6cdb4c344fd26d6b8
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jun 26 22:48:09 2010 +0100

    debian: Close #576541, #477788 and #586333

commit 3ecdb375bf69d8dd4d675ed0bac73f8edcf4d597
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jun 26 22:26:36 2010 +0100

    NEWS: Document source-clone, profiles and schroot-faq(7)

commit eb8caea26b1ecac8ca41a4c8b503a3a44c1e5e76
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Apr 13 12:45:03 2010 +0100

    sbuild::chroot_facet_source_clonable: Add source-clone option

commit b39f53dcfeaa69b0f2009d3fe15c2b7b5ab98e1b
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jun 26 19:51:15 2010 +0100

    debian: schroot: Install schroot-faq.7

commit 79e59cb8573ad56aa951eb64b80e4a16d5f5406a
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jun 26 19:51:15 2010 +0100

    debian: schroot: Install schroot-faq.7

commit 23325bd18a20466338c9210a5fc6914634931828
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jun 26 19:47:56 2010 +0100

    man: Add schroot-faq(7)
    
    Also restore PDF and PS manual building.

commit bc0fe17ff780eff06b2aff32e1daa1021656ee76
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jun 26 19:47:56 2010 +0100

    man: Add schroot-faq(7)
    
    Also restore PDF and PS manual building.

commit 522754d0ffb776a2f7e83c3acf5dcd6cd630310d
Merge: 932b0b2 5142bd2
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jun 26 10:46:17 2010 +0100

    Merge branch 'schroot-1.4' of ssh+git://git.debian.org/git/buildd-tools/schroot into schroot-1.4

commit c0a04fe77fcaacd1111dbd282674cb38284a2a47
Merge: d3f56c4 e84e9cb
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jun 26 10:45:22 2010 +0100

    Merge branch 'master' of ssh+git://git.debian.org/git/buildd-tools/schroot

commit 932b0b2567031c68a5c7b312c439c56f6bc6eebf
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jun 26 00:02:44 2010 +0100

    man: Document new profiles

commit 64cf8bbd30246ba13cece91f6fd79edbc05abe45
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Jun 25 23:52:33 2010 +0100

    etc: Add freebsd and linux profiles
    
    Add profiles: default, desktop, minimal and sbuild

commit 6088e24e78376fd7770ba2e3c251c6693b1b2490
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Jun 23 00:28:03 2010 +0100

    genprofile: Set paths from make

commit 4223c8b73aa71af490cad621678e1820a2fe30db
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Jun 22 23:53:30 2010 +0100

    build: Remove generated profiles

commit d8bdedbdc507bd66497ccd8cee4f9372393b3997
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Jun 22 23:45:29 2010 +0100

    build: Remove default directory

commit ddb64a0294c849675eac1eb9f479b9ef999ebd11
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Jun 22 23:44:57 2010 +0100

    etc: Install profiles

commit f9947797831111a0be6285d7090678560acd59c3
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Jun 22 23:18:09 2010 +0100

    etc: Genprofile parses all existing file fragments

commit d3b08b0e2b2b9c91643712555767e6e1e3c4ca6a
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Jun 22 23:17:43 2010 +0100

    Remove old default profile

commit f3d1e648e1bafd8013f4d541a8a47e33e69451c2
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Jun 22 23:13:25 2010 +0100

    Add genprofile tool

commit d3f56c4a38f459baf1898202b31f740ad81216e5
Merge: 4d00f28 cd0040a
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jun 26 00:02:56 2010 +0100

    Merge branch 'usage-profiles'

commit cd0040a6c40f633d9236cef88e95a1dc966d934b
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jun 26 00:02:44 2010 +0100

    man: Document new profiles

commit 4d00f28fca74e400d0142908d36a0c5fd9075bab
Merge: fa7b49d 3f56ee2
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Jun 25 23:54:58 2010 +0100

    Merge branch 'usage-profiles'

commit 3f56ee257af7ce525580b0207fb5b23b52b126f4
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Jun 25 23:52:33 2010 +0100

    etc: Add freebsd and linux profiles
    
    Add profiles: default, desktop, minimal and sbuild

commit 5142bd2151b6520f0bd8711aa4d37d329361c12e
Author: Yaroslav Halchenko <yoh@debian.org>
Date:   Wed Jun 23 11:30:11 2010 +0100

    05lvm: Fix indentation

commit e84e9cbba9c8e1d471111068e2d8ddedf6fddf84
Author: Yaroslav Halchenko <yoh@debian.org>
Date:   Wed Jun 23 11:30:11 2010 +0100

    05lvm: Fix indentation

commit a26bc972991558111bfe17b19978a775693793bb
Author: Yaroslav Halchenko <yoh@debian.org>
Date:   Wed Jun 23 10:41:44 2010 +0100

    NEWS: Correct misspellings

commit ff6571bed73a8ef74b31f093468baf5a2b51ff8f
Author: Yaroslav Halchenko <yoh@debian.org>
Date:   Wed Jun 23 10:41:44 2010 +0100

    NEWS: Correct misspellings

commit c937e9b7e3f1addff278e5b46c78048b81cea9fc
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Jun 23 00:28:03 2010 +0100

    genprofile: Set paths from make

commit fd3f0b2c8ac5af68f249db12be39d0c952112b6f
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Jun 22 23:46:03 2010 +0100

    test: Add btrfs-snapshot checks

commit 1fd882de1a6b5eef0bf553017216dc643b492814
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Jun 22 23:48:11 2010 +0100

    .gitignore: Ignore sbuild-chroot-btrfs-snapshot

commit 7c21d3698ac0f2a83fe49212b74e727b778ae5c6
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Jun 22 23:53:30 2010 +0100

    build: Remove generated profiles

commit fa7b49d621872cca3f491d70027e2b3b844922dc
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Jun 22 23:48:11 2010 +0100

    .gitignore: Ignore sbuild-chroot-btrfs-snapshot

commit a7715a83581c5dc02ea1c5e9bde5125912b7ccc9
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Jun 22 23:48:11 2010 +0100

    .gitignore: Ignore sbuild-chroot-btrfs-snapshot

commit 27f5a56771d77415a8048daeb75ae58db1f22ffa
Merge: efe0202 6a2841b
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Jun 22 23:46:40 2010 +0100

    Merge branch 'schroot-1.4-btrfs' into schroot-1.4

commit 6a2841bd7e5413ebe824e91c3eba6a643d163090
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Jun 22 23:46:03 2010 +0100

    test: Add btrfs-snapshot checks

commit 4b2aa984e03972dc1806c90f09e6c843529921df
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Jun 22 23:46:03 2010 +0100

    test: Add btrfs-snapshot checks

commit ea494abff4ce1c6e63840a0246e0e8f773e608fd
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Jun 22 23:45:29 2010 +0100

    build: Remove default directory

commit 9fb88b8d9de3194dd88bba500b767e80deaf8af3
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Jun 22 23:44:57 2010 +0100

    etc: Install profiles

commit 09189107f49323b8d3d003a58359077eb7c3415b
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Jun 22 23:18:09 2010 +0100

    etc: Genprofile parses all existing file fragments

commit 727c9f1e9529563cabfda23349593d821b9c5567
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Jun 22 23:17:43 2010 +0100

    Remove old default profile

commit c7742cd6761d022846d24d47495d22b7334acb3c
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Jun 22 23:13:25 2010 +0100

    Add genprofile tool

commit efe0202c94f12525efa5e385d8b0cf41732c5ebb
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Jun 22 22:10:50 2010 +0100

    debian: Document btrfs support

commit 033803d945c1eac45d26629abc188a3dd42cfc7c
Merge: dc8f6df 4f8bb22
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Jun 22 22:06:50 2010 +0100

    Merge branch 'schroot-1.4-btrfs' into schroot-1.4

commit dc8f6df253adb2d2ce1c4264cbecb31b703509f0
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Jun 22 22:06:25 2010 +0100

    Bump version to 1.4.5

commit b2dad6ec795302268a45ef61d6ec42159b7d7b7e
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jun 14 18:54:50 2010 +0100

    man: Document restrictions of plain chroots

commit 4f8bb22a6e9366b2fb91c5c0d4d8a07344fb9062
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Jun 18 00:14:38 2010 +0100

    debian: Add needed programs to configure
    
    This saves installing arch-specific build-dependencies since
    dpkg-architecture wildcard support isn't quite supported yet.

commit 5d908e9bfc923e786e002aa26b74323aa577a5db
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Jun 18 00:08:08 2010 +0100

    debian: Enable btrfs-snapshot and lvm-snapshot only on Linux

commit 404485847b787e211823f13f1879b7cc9c161a0e
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 13 23:51:34 2010 +0100

    sbuild::chroot_btrfs_snapshot: Only display set properties

commit 9daed529c84ec558849a1e60701a727bb67690d8
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 13 23:14:03 2010 +0100

    debian: schroot suggests btrfs-tools

commit 0d8308573d06f48fa7b6a820f2b84acd274376a1
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 13 23:04:45 2010 +0100

    setup.d: Fix bugs in btrfs support

commit 6503ca4253bc967b3fdec81acb463b1c5c7e7f22
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 13 22:46:33 2010 +0100

    setup.d: 05btrfs: Add debugging messages

commit a395913f63e6028e6be9e3f59b7e24a62ab40d5d
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 13 22:46:10 2010 +0100

    setup.d: 00check: Add btrfs-snapshot debugging messages

commit a3c0f6345ed48a7ae1c67c01df6f77c84d14c4b5
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 13 22:45:27 2010 +0100

    etc: Add btrfs example to schroot.conf
    
    Also remove obsolete run-* options

commit e448f1cfbf6280cddcf5067007f5546e2bb4e669
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 13 22:44:54 2010 +0100

    sbuild::chroot_btrfs_snapshot: Don't require btrfs-snapshot-name

commit c9e2e04dd9e6864c1b81f3cd24d47e6d36524d70
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 13 22:29:28 2010 +0100

    sbuild::chroot: Instantiate btrfs-snapshot chroots

commit e5faa9386dad40cd17303a607b5b49f1ca6d9909
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 13 22:03:55 2010 +0100

    sbuild::chroot_btrfs_snapshot: Add snapshot-name property
    
    Also rename snapshot-path to snapshot-directory

commit f83a64dc7d718b6fc6140a211a74d6f56689a438
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 13 22:01:47 2010 +0100

    setup.d: Add btrfs support

commit 2f8d6db602eecefc13169fea076a397d286ed825
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 13 15:25:26 2010 +0100

    sbuild: Add initial Btrfs snapshot support
    
    Add initial implementation of chroot_btrfs_snapshot.
    Add documentation.
    Add tests.

commit 039be7c5f9b024b46bd1128277faad9fefdd9037
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 13 00:55:47 2010 +0100

    build: Add configure checks for BTRFS

commit b9945d6852b221b3b598e7cb0166c10fd1feedde
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Jun 18 00:14:38 2010 +0100

    debian: Add needed programs to configure
    
    This saves installing arch-specific build-dependencies since
    dpkg-architecture wildcard support isn't quite supported yet.

commit 52be03e85f4907cc7d80af6679341f3ed3c1c9cf
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Jun 18 00:08:08 2010 +0100

    debian: Enable btrfs-snapshot and lvm-snapshot only on Linux

commit 8f28cac316e7c3dba92afe640d73ec32ba9ad70f
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Jun 18 00:04:42 2010 +0100

    debian: Use source format v3

commit c827d2aee7187976a0ded48a58e6a72e8ae520e1
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Jun 18 00:04:29 2010 +0100

    debian: Add schroot.postrm

commit e1ece400649ae91b9e1100167c84281e2ab402c3
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Jun 17 23:03:12 2010 +0100

    NEWS: Document btrfs-snapshot chroot type

commit ee9a2cc56c8aa769b0c76d8689e5341c7b5dc8a8
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jun 14 18:54:50 2010 +0100

    man: Document restrictions of plain chroots

commit bb1d411e879251bfb10edb422d2395adf35f68ba
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 13 23:51:34 2010 +0100

    sbuild::chroot_btrfs_snapshot: Only display set properties

commit 3ff90b6d7745b693596099c37e2a9f6acc1a5f5f
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 13 23:14:03 2010 +0100

    debian: schroot suggests btrfs-tools

commit fbabb17b64902bcf0841ec2c05e16be48dcfa208
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 13 23:04:45 2010 +0100

    setup.d: Fix bugs in btrfs support

commit 299c4e0826e81b545ff4ae870c2a31ab81cd7f76
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 13 22:46:33 2010 +0100

    setup.d: 05btrfs: Add debugging messages

commit a6dd48ef1e3cb55afe3a656294a15f3b708c80c1
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 13 22:46:10 2010 +0100

    setup.d: 00check: Add btrfs-snapshot debugging messages

commit 937e5430a16d45cadd9ce0245f646c76169eb34b
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 13 22:45:27 2010 +0100

    etc: Add btrfs example to schroot.conf
    
    Also remove obsolete run-* options

commit b704cac4db9a0e420f252eb5c561af028623f162
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 13 22:44:54 2010 +0100

    sbuild::chroot_btrfs_snapshot: Don't require btrfs-snapshot-name

commit 0eca77ca3f70a20387e60a754cde72fc4404dd5c
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 13 22:29:28 2010 +0100

    sbuild::chroot: Instantiate btrfs-snapshot chroots

commit 49b419068fcde22ebeb27da995182c26c72aac08
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 13 22:17:54 2010 +0100

    po: Update

commit 01599fc3fd7321c69d4582a12baaeab7901ef65c
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 13 22:17:27 2010 +0100

    NEWS: Merge changes from 1.4 branch

commit a132c22d966b6d777d4a9cbd74b5ed6f21c58009
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 13 22:17:19 2010 +0100

    debian: Bump version to 1.5.0-1

commit 1320a1a78c27ab27e148298fa06ed1c07030bc41
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 13 22:16:51 2010 +0100

    debian: Merge changes from 1.4 branch

commit c19673af0b893cf0d3aff0c7c59b5c2892db747d
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 13 22:03:55 2010 +0100

    sbuild::chroot_btrfs_snapshot: Add snapshot-name property
    
    Also rename snapshot-path to snapshot-directory

commit 39ea0f7475a33ba4838bdf6b900edc0bb4435280
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 13 22:01:47 2010 +0100

    setup.d: Add btrfs support

commit 68cbd3a66c9336386b583f8e253b9673d1874f16
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 13 15:25:26 2010 +0100

    sbuild: Add initial Btrfs snapshot support
    
    Add initial implementation of chroot_btrfs_snapshot.
    Add documentation.
    Add tests.

commit bcf786a329cda476b80d418d552d77f6aacfc48a
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 13 00:55:47 2010 +0100

    build: Add configure checks for BTRFS

commit 21a51109980db4880621eb7bed271c86a8186cde
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jun 12 23:25:39 2010 +0100

    debian: Bump version to 1.4.4-1

commit 7f056134ab43739f178b912986db434229404c34
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jun 12 23:25:22 2010 +0100

    NEWS: Bump version to 1.4.4

commit e869d8e83b3d7c42bc65c94eea200864031deb73
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jun 12 23:22:19 2010 +0100

    test: Correct personality checks for non-Linux arches

commit 1f0fe84ed07882d6b1e55e5c8af68a4a29cf4348
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jun 12 23:22:19 2010 +0100

    test: Correct personality checks for non-Linux arches

commit 4c8fbb1afed970ee64a426c2d1dca3dd0370c599
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jun 12 16:14:47 2010 +0100

    po: Update

commit b8b45fef58a6150b73c61fe31e9f5dc2c8f79b2c
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jun 12 16:02:38 2010 +0100

    debian: Use the 3.0 (quilt) source format

commit beddd24c0194c838eb99301443ddc15095e2b2de
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jun 12 15:53:22 2010 +0100

    man: Add overview of schroot and update plain config notes
    
    Conflicts:
    
    	man/schroot.conf.5.in

commit 618d918b4aed7bb11da5c6f15c3fc22f3ac3f7f4
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jun 12 15:50:18 2010 +0100

    man: Add overview of schroot and update plain config notes

commit cd640907f6aa7cba59f38813c6aea913077bb122
Author: Martin F. Krafft <madduck@debian.org>
Date:   Sat Jun 12 14:57:34 2010 +0100

    contrib: Add 09fsck setup script

commit a339e52a82d28e5783028f4e59f42e56ec42f304
Author: Martin F. Krafft <madduck@debian.org>
Date:   Sat Jun 12 14:57:34 2010 +0100

    contrib: Add 09fsck setup script

commit 592db562aa82b814d4aba5558b19ca9c642f9e86
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jun 7 00:48:27 2010 +0100

    schroot-mount: Check mountpoint exists rather than is directory
    
    This allows file mountpoints e.g. for bindmounts

commit b38cdfd6cd98f6bf931b2766fd6762225fc73a8d
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jun 7 00:48:00 2010 +0100

    20nssdatabases: Don't use $db for stat results

commit 4936f0abcc39980b32a5c7a5427ecd8f81fc66b4
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jun 7 00:48:27 2010 +0100

    schroot-mount: Check mountpoint exists rather than is directory
    
    This allows file mountpoints e.g. for bindmounts

commit 7a6bea4c13cea985380009131ea214e2164d27e8
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jun 7 00:48:00 2010 +0100

    20nssdatabases: Don't use $db for stat results

commit 22a92b753d5304b750780b2fc115a19a417634de
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 6 23:46:17 2010 +0100

    TODO: Document issues with host filesystems in chroot

commit b3059afb25502d5e32ba4bd83b89ec7861836f5b
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 6 23:41:30 2010 +0100

    debian: Close #492316

commit 3bbf7e565db3e3f320a742d4ac6dd53a397f0315
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 6 23:35:22 2010 +0100

    debian: Install 09fsck setup script in schroot package

commit d37e8394c04269f1c5fd14d23d0a01984f010899
Author: Martin F. Krafft <madduck@debian.org>
Date:   Sun Jun 6 23:34:33 2010 +0100

    contrib: Add 09fsck setup script

commit dcbaea1797a22fdf5635d8165d44e0a06160de41
Author: Martin F. Krafft <madduck@debian.org>
Date:   Sun Jun 6 23:34:33 2010 +0100

    contrib: Add 09fsck setup script

commit db67bb1b9194f6738a27cd4a9fd7f831fbaf9bff
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 6 23:08:50 2010 +0100

    20nssdatabases: Check database inodes inside and outside the chroot
    
    If the NSS database files inside and outside the chroot have the
    same device and inode number, we risk blanking the file when
    piping the output of getent.  stat both and check prior to
    writing.

commit 79c923a7275bf7da2c5f17c116ccbc63fc5a45fc
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 6 23:08:50 2010 +0100

    20nssdatabases: Check database inodes inside and outside the chroot
    
    If the NSS database files inside and outside the chroot have the
    same device and inode number, we risk blanking the file when
    piping the output of getent.  stat both and check prior to
    writing.

commit 5c547fda8bac738f7e307617902816b749b52aff
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 6 23:06:57 2010 +0100

    debian: Bump version to 1.4.3-1

commit 4be0177a4364bc9743b094a833fac1fc04da9f54
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 6 23:06:32 2010 +0100

    NEWS: Bump version to 1.4.3

commit 44c72e2176de89808144667b7d9dd986a0db0dde
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 6 22:54:37 2010 +0100

    debian: Install contrib setup script in schroot package

commit 2f026e2ce633c33d80237c9f1dab3681cd40615e
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 6 22:52:08 2010 +0100

    contrib: Minor tidying of 10mount-ssh

commit 57b62724e40ef993739ba87c338583efd14cd629
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 6 22:52:08 2010 +0100

    contrib: Minor tidying of 10mount-ssh

commit 582fdb74dba40ac6ac49c7473f57a2cb6debee0c
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 6 21:55:07 2010 +0100

    debian: Close #477770

commit ef2d7cfafdbe689ff5dc0e104cd2ed8cc3e3f3a7
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 6 21:41:24 2010 +0100

    AUTHORS: Add Nathaniel W. Turner

commit bec045e8533a30519e7648a0aa7d8048bb67f4bf
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 6 21:41:24 2010 +0100

    AUTHORS: Add Nathaniel W. Turner

commit 79b040c875b67571a2d9a196ca1d3914fea56c86
Author: Nathaniel W. Turner <nate@houseofnate.net>
Date:   Sun Jun 6 19:52:24 2010 +0100

    sbuild::session: Add SIGINT handler
    
    This addresses the case where a Ctrl-C is intended for a process
    running in the chroot; before, schroot would always exit without
    cleaning up (the most visible symptom being left-over bind-mounts
    in /var/lib/schroot/mount).  Now, cleanup occurs, and an
    appropriate error message is displayed
    ("E: Child terminated by signal ‘Interrupt’").
    
    This patch does not cover all the cases described by bug #477770,
    but I think it is a step in the right direction.
    
    Bug-Debian: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=477770
    
    Signed-off-by: Nathaniel W. Turner <nate@houseofnate.net>
    Signed-off-by: Roger Leigh <rleigh@debian.org>

commit 9e03d39517533f839bb8957a5fbac8cd7494abf7
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 6 17:00:40 2010 +0100

    sbuild::util: unique_identifier should not contain odd characters
    
    Using isodate in this function caused problems with LVM snapshots
    due to lvcreate being fussy about valid LV names.  Use time(2)
    instead, which is rather simpler but a plain number doesn't cause
    problems.

commit 2d3a5f7be370997ae0eb5b58c3e08be6ede83e5f
Author: Nathaniel W. Turner <nate@houseofnate.net>
Date:   Sun Jun 6 19:52:24 2010 +0100

    sbuild::session: Add SIGINT handler
    
    This addresses the case where a Ctrl-C is intended for a process
    running in the chroot; before, schroot would always exit without
    cleaning up (the most visible symptom being left-over bind-mounts
    in /var/lib/schroot/mount).  Now, cleanup occurs, and an
    appropriate error message is displayed
    ("E: Child terminated by signal ‘Interrupt’").
    
    This patch does not cover all the cases described by bug #477770,
    but I think it is a step in the right direction.
    
    Bug-Debian: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=477770
    
    Signed-off-by: Nathaniel W. Turner <nate@houseofnate.net>
    Signed-off-by: Roger Leigh <rleigh@debian.org>

commit bccfd62debca59ebc23758c3e812e2a63ef3cd6f
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 6 17:00:40 2010 +0100

    sbuild::util: unique_identifier should not contain odd characters
    
    Using isodate in this function caused problems with LVM snapshots
    due to lvcreate being fussy about valid LV names.  Use time(2)
    instead, which is rather simpler but a plain number doesn't cause
    problems.

commit 381cc480f9bc8df2a864dbe9a76aba5da8c39d98
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 6 12:29:25 2010 +0100

    debian: Close #580136

commit f6ffe558420ffeb7f4315bf80421bf7e1f723edc
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 6 12:16:22 2010 +0100

    debian: schroot init script requires $syslog

commit 287f50468eda836b0e2cba3c350fbc6bd6385470
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 6 10:49:34 2010 +0100

    sbuild::personality: Don't introspect personality
    
    Setting the personality using the PER_ macros in
    <sys/personality.h> is reliable.  Getting the personality
    is not, because additional flags may be set by the kernel,
    so direct comparsion to the original PER_ value will fail.
    We now cache the desired personality, making introspection
    to retrieve the personality unnecessary.

commit 4c93eb785204b66fc3e51e8d7d3613e19f3ec390
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 6 12:16:22 2010 +0100

    debian: schroot init script requires $syslog

commit 452d38293e778e4b8dd6a8f0eb55f430d905cc3c
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 6 10:49:34 2010 +0100

    sbuild::personality: Don't introspect personality
    
    Setting the personality using the PER_ macros in
    <sys/personality.h> is reliable.  Getting the personality
    is not, because additional flags may be set by the kernel,
    so direct comparsion to the original PER_ value will fail.
    We now cache the desired personality, making introspection
    to retrieve the personality unnecessary.

commit 555347f4be63922b7f10e35d0e585808ed66f61f
Merge: 3e9b74a b1e3763
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun May 2 13:07:41 2010 +0100

    Merge branch 'master' of ssh+git://git.debian.org/git/buildd-tools/schroot

commit eb5486a62fd3ca8983070685f62bee788fcd3998
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun May 2 13:06:07 2010 +0100

    po: Update

commit aba67b4ab3cdb88f60cd5b3aac0c4041aa7f94ee
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun May 2 13:01:58 2010 +0100

    Bump version to 1.4.2 and Debian version to 1.4.2-1

commit e38f75a03ed77ee4b39a0a4e531d6a8b8237b6a7
Author: Sascha Silbe <sascha-pgp@silbe.org>
Date:   Sun May 2 12:55:37 2010 +0100

    contrib: Add 10mount-ssh script to mount SSH auth socket into chroot

commit 428eab120daf92e8617d3e3ba8c4ccec8c4c9d17
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun May 2 12:53:56 2010 +0100

    contrib: Add directory for user-contributed scripts and other files

commit 5c061adfbbf3b0244d711cf336ac7d70835fb28e
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun May 2 12:15:20 2010 +0100

    bin: Add support for Boost 1.42

commit 3e9b74a026b3932d42a76befb6cf08039df30b51
Author: Sascha Silbe <sascha-pgp@silbe.org>
Date:   Sun May 2 12:55:37 2010 +0100

    contrib: Add 10mount-ssh script to mount SSH auth socket into chroot

commit ccc7aeb2f33ce7e5e7d67ff7c3734e1d63a804e5
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun May 2 12:53:56 2010 +0100

    contrib: Add directory for user-contributed scripts and other files

commit 3503f53a846334f94b06c63f365c3fc26ee41c11
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun May 2 12:15:20 2010 +0100

    bin: Add support for Boost 1.42

commit 89738bdd7a25107df388e62496c73b048d5f6bbb
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Mar 14 20:37:58 2010 +0000

    debian: Remove inactive maintainers from uploaders

commit ded9f8af7ddaf783a555948ce590b05e7b465cf6
Author: Thomas Blein <tblein@tblein.eu>
Date:   Sun Feb 28 11:06:25 2010 +0000

    po: Update fr translation

commit 90e75a379f84c9ef24872c63f24a0811ea9047b6
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Apr 13 14:23:13 2010 +0100

    debian: Close #566513

commit ee8b3bcc9dac72c8f5786b36dde4585b8352f6b1
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Apr 13 12:49:58 2010 +0100

    debian: Close #577554

commit 0503ed436463f68b6ec60bcf818934a56952cec8
Author: Holger Wansing <linux@wansing-online.de>
Date:   Tue Apr 13 12:44:45 2010 +0100

    po: Update de translation

commit df1dc59150943df8398cb0ab1eb8c95df4e4c276
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Apr 13 12:39:23 2010 +0100

    sbuild::chroot_facet_source_clonable: Fix incorrect key name

commit c68cced1fe5a5dc33fab84e000a72dd99b770ce2
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Apr 13 12:24:58 2010 +0100

    man: Remove obsolete options from examples

commit b1e3763a16f930aa2ae126360e23e484810504cf
Merge: 77ba624 cec1e67
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Apr 13 12:46:13 2010 +0100

    Merge branch 'master' of ssh+git://git.debian.org/git/buildd-tools/schroot

commit 77ba6244807a2f280ccf2ed6e01c87a0b215a71e
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Apr 13 12:45:03 2010 +0100

    sbuild::chroot_facet_source_clonable: Add source-clone option

commit c119416f49e4a90fa328448d2f7b0459c941e6e4
Author: Holger Wansing <linux@wansing-online.de>
Date:   Tue Apr 13 12:44:45 2010 +0100

    po: Update de translation

commit e31a3ce479d351f94ab2ee0247bc877eb5df94bf
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Apr 13 12:39:23 2010 +0100

    sbuild::chroot_facet_source_clonable: Fix incorrect key name

commit 2674603d39b5babf09b2ff736b0bf2ecd15d2aac
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Apr 13 12:24:58 2010 +0100

    man: Remove obsolete options from examples

commit e963c175489fb2b1fc3af11e54f59ccda7873541
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Apr 13 11:56:10 2010 +0100

    sbuild::chroot: Obsolete existing deprecated 1.4.x options

commit 81db5895393ef0ed25acad92daf1692382026376
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Mar 14 20:41:06 2010 +0000

    debian: Close #573869

commit 41fc6c3b081c4edc90512cb07fd5d138c7c289bb
Merge: 66c2f7f cec1e67
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Mar 14 20:39:48 2010 +0000

    Merge branch 'master' into schroot-1.4
    
    Conflicts:
    
    	NEWS
    	debian/changelog

commit cec1e67eb7d0cacb7d697b9ca09b43089f40fce6
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Mar 14 20:37:58 2010 +0000

    debian: Remove inactive maintainers from uploaders

commit 66c2f7f7d51d96dbbfc99a3f2487b8b599c2af18
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Feb 28 11:10:49 2010 +0000

    debian: Close #571328

commit fdfa05faeecd6c12ace55e5a273f1e0b5336f505
Author: Thomas Blein <tblein@tblein.eu>
Date:   Sun Feb 28 11:06:25 2010 +0000

    po: Update fr translation

commit 9096bd6aed2bc8ef7425ee74485d3ebfbc61659a
Author: Thomas Blein <tblein@tblein.eu>
Date:   Sun Feb 28 11:06:25 2010 +0000

    po: Update fr translation

commit 35d1425dba3778ece05db48d4171851009847860
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Feb 21 11:20:41 2010 +0000

    debian: Correct version for compat symlink creation

commit 7037c52cdb2517f662113f103bc7754c521bd673
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Feb 21 11:03:23 2010 +0000

    debian: Add schroot postrm script

commit f3535c4332bb9c0da30451cf991c84ea313e7d2d
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Feb 21 10:58:57 2010 +0000

    debian: Create compatibility symlinks

commit 9ec1efc82d1ee38f4c89e0c247b010073cd57198
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Feb 20 23:21:32 2010 +0000

    build: Use LC_TIME=C for date formatting

commit 35222c21717250b581c01b76f885e1986b5b04c5
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Feb 20 22:50:27 2010 +0000

    man: Use RELEASE_DATE_S rather than RELEASE_DATE

commit 4122080fc8a32e7c5111348a7f69ac6f26765c88
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Feb 20 22:28:22 2010 +0000

    debian: Merge schroot-1.4 changes

commit 668c71dafe61042c2e0f18cd92ae22a3560a3fe7
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Feb 20 22:28:11 2010 +0000

    NEWS: Merge schroot-1.4 changes

commit 78028143ae1c75dc5978405e62f2782571d1232a
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Feb 20 22:27:45 2010 +0000

    po: Merge schroot-1.4 changes

commit c85c9efd8c1c83b8b14d7185e4148fcec96ae255
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Feb 20 20:17:54 2010 +0000

    debian: Remove trailing space

commit 43dfa97754333f8491d19495fff15466955bc549
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Feb 20 20:17:22 2010 +0000

    debian: Update to Standards Version 3.8.4

commit 23612b0ea4b961ae07476e27140c8c7b916af14c
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Feb 20 20:09:26 2010 +0000

    po: Update

commit 4ab01c4cd8b40c7ffb15ecaddb0a6e432363b22b
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Feb 20 19:58:45 2010 +0000

    NEWS: Document file renaming

commit 0cc8ad5ea1c67e78d97cb194b6b851c1bf8b7f29
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Feb 20 19:58:28 2010 +0000

    debian: Add missing full stop

commit f452e48103ec46a6a58a56c14ed0ecfc4ce8a866
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Feb 20 19:51:02 2010 +0000

    debian: Update README for file renaming

commit 69940ce71e7cc4bcb1f6ef56722b978fd0603792
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Feb 20 19:37:20 2010 +0000

    debian: Close #566141

commit 52805001eb86267c2afc63e3e3453f1d08581f9f
Merge: f707122 55196a5
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Feb 20 19:36:16 2010 +0000

    Merge branch 'master' into schroot-1.4

commit 55196a54115825d94ac26c4451788bc8f15f1860
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Feb 20 19:35:49 2010 +0000

    man: Update copyright dates

commit 25a2c15dffbbc4c5e525d64b315a260ad73c4aeb
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Feb 20 19:33:21 2010 +0000

    man: Document setup script configuration files

commit 48c7e5babdd63ffa8f247f3333471cc2cbd5427c
Author: Ji ZhengYu <zhengyuji@gmail.com>
Date:   Sat Feb 20 18:57:21 2010 +0000

    po: Update zh_CN translation

commit c8bd5e4d4cc0959e915ac4838eb2d65770771518
Author: Clytie Siddall <clytie@riverland.net.au>
Date:   Sat Feb 20 18:55:16 2010 +0000

    po: Update vi translation

commit f707122a0730f5d0a23e334d1ad5e7323aedb129
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Feb 20 18:12:57 2010 +0000

    debian: Close #567409

commit f3662137f75e2fa77eb844beb5c98cde399b3fc6
Merge: e2b386e eb37abf
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Feb 20 18:11:56 2010 +0000

    Merge branch 'master' into schroot-1.4

commit eb37abfecf608ada183c4c78a98abd0acde67263
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Feb 20 18:11:31 2010 +0000

    NEWS: Document chroot.d naming changes for 1.4.0

commit 2f6d10d949e4b20e0ce056d03990784c2a64be50
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Feb 20 13:52:23 2010 +0000

    etc/default: Add comments to copyfiles and nssdatabases

commit e2b386e1cb80449121dfc24659ac6770d3795dd8
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Feb 20 13:44:18 2010 +0000

    debian: Close #569671

commit 220aadcaf29c01c198d2d4e0db7666e522ec0368
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Feb 20 13:42:34 2010 +0000

    debian: Close #565625 and #566941

commit 40d55542c588148e3a2f7fb0dc70edb02676e4d2
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Feb 20 12:42:26 2010 +0000

    debian: Close #567416

commit 12c512476254870547694a548d3a6f660584f98b
Merge: ab47067 e981d84
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Feb 20 12:41:00 2010 +0000

    Merge branch 'master' into schroot-1.4

commit e981d845815a413c758751f821fe95d1d510f04f
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Feb 20 12:40:23 2010 +0000

    schroot::main_base: Set PAM conversation handler

commit 08dc32bf62e74936752873c7fcd0fd0a75e0b955
Author: Sascha Silbe <sascha-debian-bugs-schroot-2010-02-13@silbe.org>
Date:   Wed Feb 17 22:53:15 2010 +0000

    setup: Allow comments and newlines in copyfiles and nssdatabases

commit 71e79457fe42d331ea31640710afcb050f56866f
Author: Pedro Ribeiro <p.m42.ribeiro@gmail.com>
Date:   Wed Feb 17 22:22:27 2010 +0000

    po: Update pt translation

commit a6a21fc4d7997c09b403313eb5628f13211eecd3
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Wed Feb 17 22:17:35 2010 +0000

    po: Add missing space to de translation

commit 28672759cb0f5918c10563bfb12c0a6c100a605e
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Feb 17 22:15:49 2010 +0000

    build: Correctly distribute platform-specific files

commit aba4e67263aa62350d394146772ae2cf45ccbe68
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Feb 9 23:54:28 2010 +0000

    AUTHORS: Add Aurelien Jarno

commit ab470672605c286c2f57a4dc89e4e42517d14b4b
Merge: dbbeee7 29071fb
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Feb 9 23:51:06 2010 +0000

    Merge branch 'master' into schroot-1.4
    
    Conflicts:
    	NEWS

commit 29071fb940bbe505c317a17d1d825266becb3a57
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Feb 9 23:38:53 2010 +0000

    NEWS: Bump version to 1.5.0 and document recent changes

commit c23344a426ce89bcbbc18816fef147f726c7b7a9
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Feb 9 23:38:31 2010 +0000

    debian: Document conffile movement in README

commit 1a35d9a5d39833363142c543f08edc52a0cedd62
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Feb 9 23:38:07 2010 +0000

    debian: Move conffiles in pre and postinst

commit 50c5035487e2b7d7d7bea2655b475de76a1b0f64
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Feb 9 23:16:51 2010 +0000

    sbuild::auth_pam: Fix logic error in destructor
    
    Don't call pam_end if this->pam is NULL.  Also add
    PAM_END error code, since pam_strerror isn't callable
    once PAM is shut down.

commit c2d1130aa98445d69dbfa8106a4d3f50cbc21144
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Feb 9 23:16:07 2010 +0000

    Add AUTH* environment variables storing host triplet
    
    Use in setup scripts in place of PLATFORM

commit 6423cb722625edd89ae0514ba9a3229b91da3808
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Feb 9 23:14:54 2010 +0000

    build: Install generic config

commit 88aa7e0e7531da50d7a6c3366019034f31d3a19c
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Feb 9 00:33:05 2010 +0000

    man: Document PLATFORM setup script variable

commit ac7bd6665c8dfbc3e26a23db6e826640f0f3520b
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Feb 9 00:22:18 2010 +0000

    etc: Add freebsd-specific fstab

commit 03d7fe5ebe13c8367a0cadd0d291571a22eeda39
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Feb 9 00:07:44 2010 +0000

    sbuild::chroot_block_device: kfreebsd uses character devices

commit 68ff3259f07eefbad805cec6d6299e747f7eeba6
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Feb 9 00:07:13 2010 +0000

    sbuild::chroot: Default script-config to default/config

commit d5d4144bdd52d1fb7c8bbae27b188340307cf75f
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Feb 9 00:03:11 2010 +0000

    test: Update for new script-config default

commit f5b74baab4c850c85e3b3d928be9044acb0104b0
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Feb 9 00:02:50 2010 +0000

    setup.d: Add freebsd-specific setup

commit 897c53e8d04a9a996b173587486cacb75969985e
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Feb 9 00:01:47 2010 +0000

    build: Install generic files first

commit c21aa0d4c9b6deebceb7fc343e48205ae89e1ab0
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Feb 8 23:53:14 2010 +0000

    Add support for multiple platforms: initial kfreebsd support
    
    build: configure checks for platform type.  Currently three types are
           supported: generic (unspecified), linux and freebsd.  Install
           defaults files specific for the specified platform.
    sbuild::session: set PLATFORM in the setup script environment.
    setup.d: use PLATFORM to conditionally use freebsd-specific features.

commit fc48dceda2f95dca6987645535c6041f54d927b8
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Feb 5 21:50:25 2010 +0000

    debian: Document stricter file naming requirements

commit dbbeee7eded24bb810a6689b9aed02a549dde57b
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Feb 5 21:08:02 2010 +0000

    debian: Close #568187

commit 835a6175a98f00789b406b6bb1350aba5ba95fda
Merge: 6109691 de45bb9
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Feb 5 20:58:22 2010 +0000

    Merge branch 'master' into schroot-1.4

commit de45bb94970aaaa16e23f76e26e84268e99640fc
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Feb 5 20:57:47 2010 +0000

    sbuild::chroot_config: Only clone sessions for session clonable chroots

commit 61096918896b5952b0393a1adca11f5c6ed33b37
Merge: 4a299d7 4af1146
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Feb 2 21:49:06 2010 +0000

    Merge branch 'master' into schroot-1.4
    
    Conflicts:
    	sbuild/sbuild-auth-null.cc

commit 4af11466a208abc70cadcc4fd6abd40bf4663622
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Feb 2 21:47:58 2010 +0000

    man: Document schroot authentication

commit ea712ce9e6c4361c348656a611373d80174fb663
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Feb 2 21:39:24 2010 +0000

    sbuild::session: Use PAM if available
    
    Rather than defaulting to auth_null in all circumstances,
    default to auth_pam if available, otherwise fall back to
    using auth_null.

commit 2834df966ef6e1a88e6f9b49e423ff08ea39f7fc
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Jan 28 22:28:30 2010 +0000

    schroot: dchroot and dchroot-dsa also use PAM
    
    Add PAM authentication handler installation into common setup code.
    schroot overrides this to also configure user switching.

commit 97317788e86ee0fa8e16f526b44de87136883d62
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Jan 28 22:27:31 2010 +0000

    sbuild::auth_pam: Remove unneeded header

commit d059b78cdee7b1b01bb41db88275a2ec7d7bdbc2
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Jan 28 22:25:47 2010 +0000

    sbuild::auth_null: Only root can authenticate
    
    Throw an error if the user is not root.  i.e. Only root->root is
    permitted.  All other authentication attempts fail.  Note that this
    could be used to escape pam_rootok restrictions on systems with PAM
    also available and pam_rootok not enabled.

commit 4a299d7a3c7387cd4d3e215fbaada4679074268a
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Jan 28 21:15:26 2010 +0000

    debian: Bump version to 1.4.1 and Close #566879

commit c8a6953ddb5697832158d29b247b0911607d3bf0
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Jan 28 21:10:10 2010 +0000

    NEWS: Bump version to 1.4.1 and note bug fix

commit 553183a211fd3822059c84b426351d717f2f8626
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Jan 28 21:06:30 2010 +0000

    sbuild::auth_null: Allow authentication skip if local and remote match
    
    If the local and remote uids are the same, don't throw and error.
    This allows root to run in a chroot where not specifically
    authorised by the configuration.

commit 615b8ebc2a32f4619bb08618cf0bb458e656b1bd
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Jan 28 21:06:30 2010 +0000

    sbuild::auth_null: Allow authentication skip if local and remote match
    
    If the local and remote uids are the same, don't throw and error.
    This allows root to run in a chroot where not specifically
    authorised by the configuration.

commit 3c95bc468e1af00d98795b0381b5c502bb27115d
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jan 16 15:53:01 2010 +0000

    debian: Finalise changelog for 1.4.0-1

commit 2fc0696ba622798ca980e501834d3296619b50fc
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jan 16 15:52:26 2010 +0000

    NEWS: Finalise for 1.4.0

commit 08d971a54daf4fc317c05e910a0ca0d8df16092a
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jan 16 15:46:47 2010 +0000

    po: Update copyright notice

commit 6a071d5237d08cd577f5a8251aba40117f21534a
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jan 16 15:46:27 2010 +0000

    schroot_base::main: Update copyright notice

commit 9eb7739d4b02c2d6830f6824dc2b3aec643f34b2
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jan 16 15:33:29 2010 +0000

    sbuild::chroot_facet_session_clonable: Use basename correctly

commit faae6d8d17ff089ae348bed442dd08ffc30d5273
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jan 16 15:33:16 2010 +0000

    debian: Add ${misc:Depends}

commit 580142dbfab068b753b24bf763cbb104a32da3d1
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jan 16 15:12:22 2010 +0000

    po: Update

commit 4c57bea8f882f465c1d40be58ce5458276a1c7ab
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jan 16 15:11:59 2010 +0000

    po: Remove sbuild-dirstream.cc from POTFILES.in

commit 810725e28c11705cd199fad52c9fc1d323395214
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jan 16 15:06:59 2010 +0000

    sbuild: Remove separator argument from path functions

commit 548200a4c1fb47b1d4887b34d8833dfcb704d887
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jan 16 14:55:44 2010 +0000

    .gitignore: Don't ignore test/sbuild-dirstream

commit 986b516a2ece888d858e54b0bc541f13966ee2aa
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jan 16 12:59:52 2010 +0000

    debian: Bump version to 1.4.0 and close fixed bugs

commit 063e32f3c62a7f26b7390b6e706f072478292ba8
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jan 16 12:59:30 2010 +0000

    NEWS: Bump version to 1.4.0

commit 138745a15b38f969d698e0e2ffe798fe09a3c5a3
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jan 16 12:57:44 2010 +0000

    sbuild::dirstream: Replace with boost::filesystem
    
    Fixes issue with path length restrictions.

commit ed8f1696bd84838091ccabc62eb614e61258f4a3
Author: Tim Abbott <tabbott@MIT.EDU>
Date:   Fri Jan 15 23:40:38 2010 +0000

    etc: Update bash completion for schroot

commit 546b04dc2f3745229e6abcffe4df79ecea27dc51
Author: Holger Wansing <linux@wansing-online.de>
Date:   Fri Jan 15 23:32:32 2010 +0000

    po: Update de translation

commit 64d4fed0183a742f9e11a5ebbcffaa973d10469e
Author: Ji ZhengYu <zhengyuji@gmail.com>
Date:   Fri Jan 15 22:04:02 2010 +0000

    po: Update zh_CN translation

commit fd22eef5b97a621fc84e99e16da29059e4c7cc4f
Author: Vincenzo Campanella <vinz65@gmail.com>
Date:   Fri Jan 15 22:02:25 2010 +0000

    po: Add it translation

commit 432e381fe6fb6b6b7819132a4bf3d53a8c2f02b5
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Dec 21 22:58:41 2009 +0000

    po: Update

commit 2b7972008b35b2f5f4eff4e634fd5ad667067aee
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Dec 21 21:19:57 2009 +0000

    debian: Close #561033

commit 096ee1edd69091e673c09b54618ecdc38fa2fab4
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Dec 21 21:18:23 2009 +0000

    sbuild::chroot_block_device: Create session file when using union

commit 3775225ff516fdb2c2c2af5d75da7d71d049bcbc
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Dec 13 22:32:06 2009 +0000

    sbuild::chroot: Remove obsolete EXEC_START and EXEC_STOP

commit 5e9a520df47be4dee9533b1a233b2919055c171d
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Dec 13 19:24:15 2009 +0000

    po: Update

commit 1771e6b5899948b7b05c106162ad832c35ea762e
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Dec 13 19:23:55 2009 +0000

    20copyfiles: Remove debug line

commit 49ba6764b8ed5fd95cf1e28f07366a31b27183ea
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Dec 13 17:34:56 2009 +0000

    debian: Close #559019

commit 2f83302b9c426f598d3afe45f49ebad08aa3cc92
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Dec 13 17:33:22 2009 +0000

    20copyfiles: Allow copying of special files

commit 2ac672598fbcd7a1f22c2d2f27632a54209c075b
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Dec 13 14:37:20 2009 +0000

    debian: Close #557197

commit f6861681aef2728f12823911a4c17810d6f34445
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Dec 13 14:35:02 2009 +0000

    sbuild::chroot_block_device: Create session file

commit 2d576ba33dce63c38d4d85c9568b1e2161a830f8
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Dec 13 01:31:01 2009 +0000

    debian: Close #560832

commit b2322fa86aeb45435743270a495aeb19dbb8e5c7
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Dec 13 01:29:48 2009 +0000

    Bump version to 1.3.2

commit 810e282f515e59394ccbae6ef6e531789d1926a1
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Sun Dec 13 01:26:45 2009 +0000

    po: Update de translation
    
    Signed-off-by: Roger Leigh <rleigh@debian.org>

commit 1c0bc8e0abacd4e0af8c67952da052f2840c5944
Author: Jonathan Callen <abcd@gentoo.org>
Date:   Sat Dec 12 13:53:19 2009 +0000

    sbuild::chroot_block_device: Build correctly when LVM snapshot support is not available
    
    Signed-off-by: Roger Leigh <rleigh@debian.org>

commit 67abc7560e62fe2916c27330875238846deb7a10
Author: Geoffrey Thomas <geofft@mit.edu>
Date:   Fri Nov 20 20:32:04 2009 -0500

    etc/setup.d/00check: Permit union chroots on the root directory
    
    It's only unsafe for the chroot directory to be the root directory if
    we're not doing a union mount on top of it.
    
    Note that aufs won't let you do a union mount of a parent directory of
    /var/lib/schroot/union/overlay, so you'll need to make that directory a
    separate filesystem, e.g., by mounting a tmpfs there.
    
    Signed-off-by: Geoffrey Thomas <geofft@mit.edu>
    Signed-off-by: Roger Leigh <rleigh@debian.org>

commit 45e28cef927366943b43bae317299f8792f87d7a
Author: Geoffrey Thomas <geofft@mit.edu>
Date:   Fri Nov 20 20:32:03 2009 -0500

    build: Auto-detect whether -mt is needed for Boost libs
    
    This makes compiling on older distributions easier.
    
    Signed-off-by: Geoffrey Thomas <geofft@mit.edu>
    Signed-off-by: Roger Leigh <rleigh@debian.org>

commit b48c7a3b0d1af280e83d02ea06fd4d0d1e433cc9
Author: Geoffrey Thomas <geofft@mit.edu>
Date:   Fri Nov 20 20:32:02 2009 -0500

    scripts/git-version: Ask git for date differently
    
    --date=iso appears to be broken in lenny's git (1.5.6.5). This code is
    simpler anyway.
    
    Signed-off-by: Geoffrey Thomas <geofft@mit.edu>
    Signed-off-by: Roger Leigh <rleigh@debian.org>

commit 57ea00ec1a2f656a80f13698256c200786c50987
Author: Geoffrey Thomas <geofft@mit.edu>
Date:   Fri Nov 20 20:32:01 2009 -0500

    build: Only use silent-rules if it's available
    
    This permits compiling with an older automake.
    
    Signed-off-by: Geoffrey Thomas <geofft@mit.edu>
    Signed-off-by: Roger Leigh <rleigh@debian.org>

commit 021904c07d0f4513110b65d2a2aaa1d63cb548a1
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Nov 7 11:39:52 2009 +0000

    NEWS: Document personality fix

commit 913b48cd4ff9bc2626bd70af0b7f51c1bf52384b
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Nov 7 11:14:20 2009 +0000

    TODO: Remove completed items

commit fb1b19fa35044a9af40619b595ddf2b937437c07
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Nov 7 11:13:34 2009 +0000

    scripts: git-version uses version from NEWS

commit 1dc012bf47a80143e13f0e8a9f3be2933d8449b0
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Nov 7 10:48:12 2009 +0000

    NEWS: Bump version to 1.3.1

commit 11f852474962c43c2cc80d235ea19b1c5a9ddb2a
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Nov 7 10:47:59 2009 +0000

    debian: Close #554907

commit 807a7d07cf7e38ae2dab7400a8be3ba268cd9377
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Nov 7 10:25:53 2009 +0000

    sbuild::session: Set child_status to EXIT_SUCCESS following authentication
    
    If not done at this point, ending sessions etc. can return failure
    even though they completed.

commit c840bc363d63f714778cff774980c158a200a00c
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Oct 17 10:10:34 2009 +0100

    test: Fix sbuild-personality to support non-Linux architectures

commit 345826d0edf7aefd57fb2246a0f7ef0fe4774aba
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Oct 16 23:09:38 2009 +0100

    po: Update

commit 9ec6d78fee4fb3cf94c64910ae2e727f82e7194a
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Oct 16 23:08:28 2009 +0100

    sbuild::session: When run with --begin-session, exit status must be success

commit b978d7ed824fbb615e9c3c0daa0b1842c43e353c
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Oct 16 21:45:00 2009 +0100

    debian: Remove empty lines from changelog

commit 9e2d41a2f1766daac53e3085841b90c38f4c6536
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Oct 16 21:43:55 2009 +0100

    po: Update en.po

commit 90eb2cad2fa69313bf5572cd89b54edafe1f2f3b
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Oct 16 21:16:30 2009 +0100

    build: Replace SCHROOT_RELEASE_DATE with m4_esyscmd

commit 97f253b800c917f8ff62ce4ec7e76da585ce1325
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Oct 16 20:31:26 2009 +0100

    po: Update po files and en translation

commit 7aac0cea37b2eff26b06f79ca285a17bfeb494cc
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Oct 16 19:04:46 2009 +0100

    debian: Use Standards-Version 3.8.3 and Boost >= 1.39

commit 9d75a50252d4fd7f487f807929b8486107f3932a
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Oct 16 09:29:06 2009 +0100

    NEWS: Bump version to 1.3.0

commit 11653f7e7df4998d00e53c5a1e0d81b28b5d0512
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Oct 16 09:12:26 2009 +0100

    debian: changelog: Add 1.2.x changelog entries

commit a4ba507b1771cb56da818dc17ee7a63e053d4d65
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Oct 16 09:10:59 2009 +0100

    NEWS: Add 1.2.x changes

commit d533f019d030b1739784ca27b2ee3e95b7fff9f6
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Oct 11 13:53:27 2009 +0100

    sbuild::stat: Support C string constructor

commit 11ea9932e8d90e4e0681f3062f26b494842e675d
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Sep 27 22:52:44 2009 +0100

    sbuild: Add reentrant passwd and group wrappers
    
    In order to make the library thread-safe, use the reentrant
    getpw*_r and getgr*_r functions in place of the older unsafe
    functions which use static buffers.  The passwd and group
    structures are inherited by C++ classes of the same name which
    allow handling of dynamic memory allocation while at the same
    time allowing use of RAII and passing to C functions.

commit 6fe0df0c4cb22e81e3850384fd3b208b8848bbe7
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Sep 27 21:02:35 2009 +0100

    test: Add root-user preservation check to chroot-directory

commit 15f37205a1ac958eb94cf23e30042455d85af049
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Sep 27 20:54:49 2009 +0100

    sbuild::chroot_facet_session_clonable: Only allow session creator to access session
    
    Previously, any user who had access to a chroot automatically gained
    access to any sessions created from the chroot.  This has now changed.
    Only the user creating the session will be granted access, in order
    to improve the security of sessions.
    
    The chroot clone_session method takes two additional arguments: the
    user who will own the session, and whether or not the user is to
    have root access.  This is used by the session code, and eventually
    passed to the session clone_session_setup method which will update
    the properties to match what was requested.

commit 4cf19754d5225f516898ead8644255aeb40d12bb
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Sep 27 20:15:34 2009 +0100

    sbuild::chroot_facet_session: Remove unused clone_session_setup
    
    clone_session_setup is now in chroot_facet_session_clonable.

commit c41b52a2a58d1c793cba23eeda63053eece5663e
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Sep 27 20:13:43 2009 +0100

    sbuild: Validation of chroot properties allows strings to be empty
    
    Before a chroot is fully initialised, it is possible for some
    properties to be empty strings.  Don't fail in this case.

commit 43caff2968a412abeebfa386c96c675f2f89e117
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Sep 27 12:39:27 2009 +0100

    build: Remove -mt suffix from Boost library names
    
    This matches changes upstream and in Debian

commit bb99a14ecd929324d1d4d97250fe74ead819969e
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Sep 27 12:33:56 2009 +0100

    bin: schroot_base_main: action_version prints configured options
    
    schroot::main_base additionally prints configured chroot types.

commit 6b13c94d56a5d5d1d25cf01640ca51b04425a0cc
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Sep 20 11:19:51 2009 +0100

    csbuild: Update option group description

commit 82a89e791735a1184239341fa94f56f4d289ea39
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Sep 20 11:19:29 2009 +0100

    csbuild: Fail following exec failure

commit 8aa73e3278edeaa456efa56015a7787bb3b79be2
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Sep 20 00:26:17 2009 +0100

    csbuild: Add all sbuild options and wrap sbuild
    
    All sbuild options are supported.
    Excutes sbuild following options parsing.
    Initially csbuild is simply a thin wrapper around the perl
    implementation of sbuild, and does nothing that a direct
    invocation does not do.  It may be possible to move logic
    into the csbuild implementation in the future.

commit 8bd31862e2339508f2e49f9df4bf5b3fb26030b3
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Sep 19 18:15:05 2009 +0100

    build: Use MKDIR_P in place of mkinstalldirs

commit a09167ff1be49eddbb18a134c09c97881ca532bd
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Sep 14 20:32:14 2009 +0100

    debian: Close #545706

commit 869bc1ae63dfd92ac69fb6a1d6c1ae39724b8059
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Sep 11 11:17:30 2009 +0100

    sbuild::session: Default child_status to EXIT_FAILURE
    
    Previously, the default of 0 (EXIT_SUCCESS) would result in
    a zero exit status on authentication failure.  By defaulting
    to failure, a nonzero exit status is returned for all failure
    conditions.

commit 57c2ce78e6f4eaa31e05f354445676a0e562cc82
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Sep 9 21:50:26 2009 +0100

    sbuild::chroot_facet_source_clonable: Remove source_clonable member

commit 6826d5cdff99be9469aada0a7d7a6413e2a4156d
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Aug 23 13:58:35 2009 +0100

    build: Require automake 1.10 and use silent-rules

commit fb9c16f18e82b016a50895262852b86b38725f1f
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Aug 13 21:48:30 2009 +0100

    sbuild::chroot_facet_session_clonable: Remove source keyfile deprecation

commit 30bf30e3500d6192be08ac2ecba2620aaf47a728
Author: Jan-Marek Glogowski <glogow@fbihome.de>
Date:   Thu Aug 13 21:21:00 2009 +0100

    doc: Fix some doxygen class headers
    
    Signed-off-by: Roger Leigh <rleigh@debian.org>

commit 8095714d69e3b321a116c9d63cfdbc5aea98be29
Author: Jan-Marek Glogowski <glogow@fbihome.de>
Date:   Thu Aug 13 20:52:22 2009 +0100

    schroot: Document session usage relating to --chroot
    
    Also warn if --session-name is used inappropriately.
    
    Signed-off-by: Roger Leigh <rleigh@debian.org>

commit 01fb0738d264c47a55721fa1318051ad0dfbd94a
Author: Jan-Marek Glogowski <glogow@fbihome.de>
Date:   Mon Aug 10 23:21:14 2009 +0100

    test: Cleanup keyfile and environment tests
    
    Signed-off-by: Roger Leigh <rleigh@debian.org>

commit e0005ca5bd530673db7f4c43d2b835ccde8f0e0d
Author: Jan-Marek Glogowski <glogow@fbihome.de>
Date:   Mon Aug 10 23:11:15 2009 +0100

    test: Print key and value for keyfile and env
    
    When checking keyfiles and environments print the value of the
    missing or additional key and value pairs.
    
    Signed-off-by: Roger Leigh <rleigh@debian.org>

commit 1a3720699ec9c3ce20e90852e16233922fad9c66
Author: Jan-Marek Glogowski <glogow@fbihome.de>
Date:   Mon Aug 10 23:09:06 2009 +0100

    sbuild::chroot_block_device_base: Don't lock union block devices
    
    Signed-off-by: Roger Leigh <rleigh@debian.org>

commit bdf80af0fa323f09253dc1971f4d9a2353d9c808
Author: Jan-Marek Glogowski <glogow@fbihome.de>
Date:   Mon Aug 10 23:07:05 2009 +0100

    .gitignore: Add VERSION and .gdb_history
    
    Signed-off-by: Roger Leigh <rleigh@debian.org>

commit 5650787b8f0f0c2e33be4b4d411917add55ff7a9
Author: Jan-Marek Glogowski <glogow@fbihome.de>
Date:   Mon Aug 10 23:06:15 2009 +0100

    sbuild::chroot_facet_union: Really use own error messages
    
    Signed-off-by: Roger Leigh <rleigh@debian.org>

commit 5bdfde2bdebd69e30ac6670a440db1b5575815d0
Author: Jan-Marek Glogowski <glogow@fbihome.de>
Date:   Mon Aug 10 23:05:24 2009 +0100

    etc/setup.d: Cleanup union handling in scripts
    
    Signed-off-by: Roger Leigh <rleigh@debian.org>

commit a76b43792cacb0cf27eb7e78c602594f58ff80d0
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Aug 8 23:14:28 2009 +0100

    TODO: Distinguish between chroot, source and session

commit 78c21735a84ff63515582765f6fd4d4efc091491
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Aug 8 23:08:43 2009 +0100

    sbuild::chroot_facet_mountable: Only serialise mount-device for sessions

commit 1bb9bd6f4334a42322461a3a9fcde004f5a39b52
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Aug 8 22:44:04 2009 +0100

    test: Add mount-device to keyfile checks

commit 3f93c650e2ddb338d515713a01d584ea6c3f9cb0
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Aug 8 13:26:53 2009 +0100

    sbuild::chroot_facet_session: Split into chroot_facet_session_clonable
    
    This is the same as the chroot_facet_source split.  Basic chroots
    have the chroot_facet_session_clonable facet if they support
    session cloning.  Once cloned, this is replaced by the
    chroot_facet_session facet.
    
    The session facet no longer has session_managaeable and session_active
    properties; these are implicit based upon the presence of the
    chroot_facet_session_clonable and chroot_facet_session facets,
    respectively.
    
    get_active now just checks for the presence of the chroot_facet_session
    facet.  set_active is no longer supported, and has been removed.

commit d6645ac9dfdacda98ae73fd26d28e9f3c45f8e29
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Aug 6 22:07:42 2009 +0100

    etc: Remove SBUILD script default
    
    50sbuild was removed from both schroot and sbuild, so SBUILD is now
    redundant.

commit e1e1156f904007a2f4574a8a9186ae6022fe0298
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Aug 6 22:06:57 2009 +0100

    man: Document NSSDATABASES

commit 5394988549e0c8f13f1989a1b5f909e8c1a3c73a
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Aug 6 00:22:54 2009 +0100

    sbuild::run_parts: Correct poll conditional
    
    Use 'revent & POLLIN' rather than 'revent | POLLIN' which is always
    true, to prevent blocking indefinitely on reads.

commit 463e9bddb66b8def7438b6bd99a58f85fa88dfff
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Aug 5 23:55:24 2009 +0100

    sbuild::run_parts: Handle EINTR during reads

commit 81a14a9f4b9d526c58ceff35af903b40dc127817
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Aug 5 23:33:07 2009 +0100

    po: Update

commit 9a5292e6dead8021d8dcb5213a36da466b3ae44c
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Aug 5 23:11:24 2009 +0100

    po: Add .tcc files

commit 1342c21c0185d7ab16050940aed22d30ca24b134
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Aug 5 23:10:39 2009 +0100

    etc/setup.d: Set file unpack directory and add extra logging

commit bc695fa6c8e6cb600a2f4280c4a2c01f04cee3ca
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Aug 4 23:23:43 2009 +0100

    TODO: Remove done and add pending changes

commit 1644447f06ef0c1273cc660e2e9619f3bfef1e25
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Aug 4 23:19:24 2009 +0100

    sbuild::session: Split UUID generation into support function

commit d5fb5daaaab816a3d8394acfcea1e3927e13b567
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Aug 4 21:35:45 2009 +0100

    sbuild::chroot_facet_session: Use correct class name for null method pointers

commit 46a99ea9e16626905358afbfc6af96adc2878452
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Aug 4 21:34:21 2009 +0100

    sbuild::chroot_facet_mountable: Serialise mount-device to keyfile

commit a526955cac959d2fde5700197fe57e74c224f6b0
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Aug 4 21:32:44 2009 +0100

    sbuild::basic_keyfile: Ask user to update deprecated keys

commit 45364d48302ab5a4f3152159955c217306146a8c
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Aug 2 23:58:46 2009 +0100

    sbuild::chroot_facet_session: Move deserialisation code from chroot_facet_source

commit ecef43fd08506c3ab071bd6b5348534d3b9ba11d
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Aug 2 18:24:49 2009 +0100

    sbuild::chroot: clone_session is pure virtual and chroots always clone
    
    All types of chroot except plain support session cloning in all
    circumstances.  Previously, block-device and loopback types only
    cloned a session when union support was active.
    
    Update tests to reflect the change.

commit 61d81581994dc1c562dd9f0911d71e604c7f9b7c
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Aug 2 18:21:29 2009 +0100

    etc/setup.d/10mount: Comma-separate loop mount option

commit 5d326a300617724d140da35041e01f09ad2de5de
Author: Tim Abbott <tabbott@ksplice.com>
Date:   Sun Aug 2 18:20:05 2009 +0100

    etc/setup.d/10mount: Properly quote do_mount calls in 10mount
    
    Signed-off-by: Tim Abbott <tabbott@ksplice.com>
    Signed-off-by: Roger Leigh <rleigh@debian.org>

commit 42eafc2fabb7b9c7b0d0b106ebe30b9ecaa91fad
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Aug 2 18:15:51 2009 +0100

    build: Build static library by default

commit 4bf986a593950a5d5e1ad1294e3cd17d57bec8c7
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Aug 1 15:27:33 2009 +0100

    etc/mount-defaults: Add /dev and /proc/bus/usb (but commented out)

commit 97e3ab2c8e86762fc42c4dcab89e688fbd325c55
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Aug 1 15:27:11 2009 +0100

    po: Update

commit 89f76a2e05ecc01e3a9ca2a75927f38f47e19a3f
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Aug 1 15:25:29 2009 +0100

    po: Update POTFILES.in for new sources

commit e0ea93c0ef4b2e0cf8122147add98f382fa66004
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Aug 1 15:14:25 2009 +0100

    scripts/git-version: Allow hyphens in version number

commit 88c68712abeef2c30cac98f280d5612de6c5bc50
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Aug 1 14:54:27 2009 +0100

    NEWS: Update to 1.3.0-rc1

commit dd3f92d076b8bed1b7e0d93d24923c750d9206bf
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Aug 1 14:53:58 2009 +0100

    build: Add git tagging code

commit fd1dd4f9e5b972f054d230e1875efe6bac1e0945
Author: Jan-Marek Glogowski <glogow@fbihome.de>
Date:   Sat Aug 1 12:47:31 2009 +0100

    sbuild::chroot: Don't write 'active' key
    
    Signed-off-by: Roger Leigh <rleigh@debian.org>

commit c86463b94ca36626eb80111e9c7c8eb96f40e1e9
Author: Jan-Marek Glogowski <glogow@fbihome.de>
Date:   Sat Aug 1 12:44:57 2009 +0100

    debian: control: Add better schroot-dbg package dependencies
    
    Changes dependencies and adds conflicts to allows installation
    of a single binary package together with the -dbg package.
    
    Signed-off-by: Roger Leigh <rleigh@debian.org>

commit 64a0d8b31a39ecaeab9620778e7414bdd1c4adf2
Author: Jan-Marek Glogowski <glogow@fbihome.de>
Date:   Sat Aug 1 12:42:09 2009 +0100

    sbuild::chroot Convert facets from vector to list
    
    For chroots implementing the union facet a source facet is added
    dynamically to the facet. This happens on load depending on the
    configured union type and renders most iterators invalid.
    
    So we use list as its iterators won't invalidate except if their
    list item is freed.
    
    Signed-off-by: Roger Leigh <rleigh@debian.org>

commit 6b9c69188e1d6e5f0e4ca3ae26523fa5e89c7857
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Aug 1 11:53:52 2009 +0100

    etc/setup.d/10mount: Don't quote mount options

commit 2c12c3f204dba97abd98141fc46b42c71a8e6423
Author: Jan-Marek Glogowski <glogow@fbihome.de>
Date:   Sat Aug 1 11:52:54 2009 +0100

    etc/setup.d/10mount: Reuse loopback device
    
    Checks if any loopback device points to the file and reuses it.
    
    Signed-off-by: Roger Leigh <rleigh@debian.org>

commit 1a9a722761e5046d5f60c492a00c700559414afa
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Aug 1 11:27:00 2009 +0100

    sbuild::session: Only use session_id property for cloning sessions
    
    Only set from user options, and don't use for reporting or setting
    environment.  For these uses, use the session chroot's session_id
    instead.

commit fce481cf76cf7c30c0924a7534351ed4a0538ead
Author: Jan-Marek Glogowski <glogow@fbihome.de>
Date:   Sat Aug 1 11:13:58 2009 +0100

    sbuild: Some cleanup for directory and union chroots
    
    Introduces own error messages for session underlay and overlay
    directories.  Drop an unnecessary variable usage from the session code.
    
    Signed-off-by: Roger Leigh <rleigh@debian.org>

commit a7b8d4501bce399bc10edb26e443a757c6aed91e
Author: Jan-Marek Glogowski <glogow@fbihome.de>
Date:   Sat Aug 1 11:03:05 2009 +0100

    build: Use $(mkinstalldirs)
    
    Signed-off-by: Roger Leigh <rleigh@debian.org>

commit b18fb9aa88484f10ce096f018b3e3e4aff005c22
Author: Jan-Marek Glogowski <glogow@fbihome.de>
Date:   Sat Aug 1 10:59:54 2009 +0100

    etc/setup.d: Cleanup union handling in scripts
    
    The underlay directory should be empty after umounts, so it
    should be sufficient to remove it. This won't purge content
    if umount failed.
    
    Additionally cleanup 10mount to fail if union filesystem is
    missing and just cleanup underlay in union mode.
    
    Signed-off-by: Roger Leigh <rleigh@debian.org>

commit 51bf94f6a4675edcb7bd1e88d6e8e3cdb31ebdca
Author: Jan-Marek Glogowski <glogow@fbihome.de>
Date:   Sat Aug 1 01:32:48 2009 +0100

    test: Unify environment tests
    
    Signed-off-by: Roger Leigh <rleigh@debian.org>

commit a5c7ba9a86f898f9c063ce35770f8502b5f51f84
Author: Jan-Marek Glogowski <glogow@fbihome.de>
Date:   Sat Aug 1 00:09:52 2009 +0100

    test: Add set_run_setup_scripts tests
    
    Signed-off-by: Roger Leigh <rleigh@debian.org>

commit bcc4cfe6286744f58ca1920f5335ed50074986fa
Author: Jan-Marek Glogowski <glogow@fbihome.de>
Date:   Fri Jul 31 01:06:47 2009 +0100

    test: Use sbuild::getcwd to get abs_testdata_dir
    
    Signed-off-by: Roger Leigh <rleigh@debian.org>

commit 7d8fdb8b8cddcf4cab080613a374927c713bd605
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Jul 31 00:48:06 2009 +0100

    sbuild::chroot_facet: Update all facet uses to use ptr and const_ptr types

commit 2f4ddd9a192b95ed387a8222022252df48879af6
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Jul 31 00:31:07 2009 +0100

    sbuild::chroot_union: Replace with chroot_facet_union

commit d66c5c052424d286afa2a0a49608d134d866517e
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Jul 30 21:46:18 2009 +0100

    sbuild::chroot_mountable: Replace with chroot_facet_mountable

commit ad8cc140e83af2650473c3c5f799a9d445adab1e
Author: Roger Leigh <rleigh@debian.org>
Date:   Thu Jul 30 20:31:49 2009 +0100

    sbuild::chroot_source: Reimplement as facets
    
    Split into two facets, chroot_facet_source_clonable (for chroots
    providing clone_source functionality) and chroot_facet_source
    (for the resulting clone).  This separation means that a single
    class doesn't need to cater for two essentially separate uses.
    
    The ability to list the installed facets, and name each facet for
    human consumption has been added.

commit 9c4662296fd453af03be07797b3b70d068ddb10e
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Jul 29 23:52:47 2009 +0100

    sbuild::chroot: Add clone_source virtual method
    
    By default, return null.  Also make clone_session non pure,
    and remove it from chroot_plain since the default implementation
    works in place.

commit c9d6af6ac06578a4b2f6bb068c305440faca536d
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Jul 29 23:22:18 2009 +0100

    sbuild::chroot: Enable session facet
    
    Replace sbuild::chroot_session inheritance with
    sbuild::chroot_facet_session.
    
    Side effects are:
    - "active" keyfile is no longer used.  Deprecate and make non-functional.
      active status requires setting by hand.
    - SESSION_CREATE flag is now set consistently for all chroot types.
    - sbuild::chroot has a copy constructor to correctly copy chroots,
      including duplicating contained facets (or else it does a shallow
      copy of the pointers only).
    - sbuild::chroot {get,set}_active call sbuild::chroot_facet_session
      {get,set}_session_active methods, respectively.

commit 8f0bc6e4d26bba0d089f78173a2eed6590096328
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Jul 29 23:13:12 2009 +0100

    sbuild::chroot_facet_session: Add new session facet
    
    This will replace the current session code in chroot_session.

commit a743ad25bacde5494a3ed2f0c5241c8ac00cc037
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Jul 29 23:12:24 2009 +0100

    sbuild::chroot_facet*: Add ptr typedefs and create and clone methods

commit 83e49492e36e643e460198f3f3b46e8763200659
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed Jul 29 23:11:28 2009 +0100

    sbuild::chroot: Add const_ptr typedef

commit bafc393311aeb1ea044f865035a68eb789fd71a8
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 26 23:05:39 2009 +0100

    sbuild::session: Use common name for personality facet pointer

commit 8d07133fd784fff46b472f36cd7328f5fa7313df
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 26 21:05:13 2009 +0100

    sbuild::chroot: Call methods from facets in addition to virtual methods
    
    For all methods provided by the chroot_facet interface of installed
    facets, call the appropriate method for all installed facets in addition
    to calling the virtual class methods for the specific chroot type.
    
    Replace personality support directly in the base class with
    chroot_facet_personality to test facet support.

commit 863cd9e721a8171470fa014f08e749b6a60f622a
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 26 21:03:22 2009 +0100

    sbuild::chroot_facet_personality: Add personality support from sbuild::chroot
    
    Copy all personality code from chroot base class.

commit 435a946e08e32fe4a2d4d8714ada1deba3571eb2
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 26 17:47:04 2009 +0100

    sbuild::chroot: Pass chroot as parameter to facet functions
    
    This is the first step to separating all derived chroot functionality
    such that it will not be derived from the sbuild::chroot class, but
    instead be contained within the chroot.

commit 8147ea935fb54c5f8b9339a99e9649442de3fa4a
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 26 16:02:16 2009 +0100

    sbuild::chroot: Add interface to add, remove, replace and get facets

commit d6379763009c1b66f977aa0205e3db6742900d19
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 26 12:10:50 2009 +0100

    po: Update

commit cf0d610a5688c23318de28bbf2e24c4d64e6f895
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 26 12:08:40 2009 +0100

    sbuild::chroot: Session ID detail only printed if session is active

commit 9d5d449c3b246fda000ea9540e619d00d12a2452
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 26 12:08:03 2009 +0100

    sbuild::chroot: setup_env method is const

commit ea4881cda14bbb9482dd3f0a229d26912908d8f9
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 26 12:06:56 2009 +0100

    sbuild::chroot: Add initial chroot_facet support

commit c37ff4407743e15aa90fde1504cad813e1d85c3c
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 26 12:03:37 2009 +0100

    sbuild::chroot_source: Allow setting of source-* properties for non-clonable chroots
    
    Pointless, but needed for backward-compatibility with sessions written out
    by older schroot versions.

commit d9931d8c685476ef9b8c6fb8ef316d33109ff8c9
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 26 12:02:18 2009 +0100

    sbuild::basic_keyfile_parser: Constructor explicitly initialises all members

commit fedc7f9b861e36dd1173aa92d7c2248e51537384
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 26 11:59:51 2009 +0100

    sbuild::keyfile_parser is a class not a struct
    
    Explicitly default construct parent class.  This would have already
    been done implicitly, it's just for safety.

commit ce23707a79d98c0ce20721d8a841cd68fa4a1dff
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 26 11:58:40 2009 +0100

    sbuild::session: Search for command-prefix using search path
    
    An absolute path is no longer needed for the command.

commit d07479ec678a229f4e8edd6e6f643607f9e6cd78
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 26 11:55:10 2009 +0100

    .gitignore: Ignore new separate chroot-* tests

commit 6f78459d4de09a1821a9a41785e7dc905f34b723
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 26 11:53:10 2009 +0100

    sbuild::chroot_facet: Add chroot_facet interface and skeleton personality facet
    
    Facets are aspects of chroot functionality which are extensions to the
    functionality of the basic chroot class.

commit 52b88e78094098e0204c16d1c3fe4adea8d5dc99
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jul 20 20:20:26 2009 +0100

    [sbuild::chroot] setup_env is const

commit 5923ed6c2b66c8ef591bca22d9c3dea98f452af7
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 19 14:49:02 2009 +0100

    [po] Update translations

commit 49d8cda372494dac9bf08ee600908db2fd9dc0dc
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 19 14:47:34 2009 +0100

    [sbuild] Enable chroot_session in session
    
    sbuild::session creates sessions using clone_session.
    lvm_snapshot exports snapshot options into environment.
    tests updated for session creation.

commit bc54529b116097d9a77731dba4874863fe16d281
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 19 00:34:22 2009 +0100

    [sbuild] Update doxygen comments to fix missing or broken parts

commit 12b1ad5bd82991df0f4b5a6b20a1885ae753141e
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 19 00:33:09 2009 +0100

    [doc] Use .log files in place of -stamp files
    
    Make schroot depend on sbuild to avoid breaking parallel builds.

commit cb2db1b4a05f63566f7728cad07586f32b62652b
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jul 18 23:58:57 2009 +0100

    [doc] Update doxygen version to 1.5.9

commit 7b68a82f74b507b9952af927d54a66f50f48e950
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jul 18 23:55:48 2009 +0100

    [test] Add tests for keyfile and environment
    
    Add automatically created chroots for testing session and
    source as well as regular chroots, plus union variants of
    all three.
    
    Add checks for all usable variants of the above for
    keyfile and environment serialisation.
    
    Note: no tests for de-serialisation.
    Note: no tests for source->session, only chroot->session
    and union->session.
    
    Common test parameters added to base class.

commit 1f887ebf1ae73e9b4ef4d1a0efd1a0139326cc7f
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jul 18 23:51:38 2009 +0100

    [sbuild::chroot_session] setup_env is virtual

commit 5c1b68334c3002cf58cb6b77343fc03cca40452a
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jul 18 23:50:46 2009 +0100

    [sbuild::chroot_session] set_session_active chains up to base set_active
    
    Needed for compatibility until the main codebase uses the
    chroot_session functionality.

commit 870cbb053eefc5f7986a22991fda8608c99afa83
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jul 18 23:50:12 2009 +0100

    [sbuild::chroot_file] Reindent conditional statement

commit bff7df114e2488402f43a9b64179570fef7c10ae
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jul 18 23:45:13 2009 +0100

    [sbuild::chroot_file] Purge if active
    
    If session active (i.e. a clone) then mark as purgeable.

commit 9c2a2fd50020f576384be8805f071cda4eac8ecf
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jul 18 23:42:53 2009 +0100

    [sbuild] clone_ methods satisfy testcases
    
    Update all clone_source and clone_session methods to pass
    testsuite.
    Don't make temporary copies of shared_ptrs for no reason.
    Remove unnecessary nested #ifdefs.

commit 1bfe9677972b48441909766740c9b05beccc7075
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jul 18 23:40:08 2009 +0100

    [sbuild] define copy constructur in classes inheriting chroot_session
    
    Since chroot_session is temporarily using virtual inheritance
    until it can be refactored, copy constructurs much initialise
    it first in the initialiser list or else it gets default
    constructed.

commit 8b194667255b47a2d44b8889764dbcc6c6b400c1
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jul 18 23:02:53 2009 +0100

    [sbuild] sbuild::chroot inheritance is non-virtual
    
    Being virtual is no longer needed, and complicated
    copy constructors.

commit c935709ba1d6924db50569892b317fc666b8d0fa
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Jul 17 23:54:31 2009 +0100

    [test] Add session checks to sbuild::chroot_loopback

commit e8a3b112a62d42356237469ec4bc7c7aa1eb6016
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Jul 17 23:53:25 2009 +0100

    [sbuild::chroot_union] Set SESSION_PURGE session flag if a session

commit 3b25c7523b57fd09e0aff8fbf1bcdd27d1d66c64
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Jul 17 23:52:11 2009 +0100

    [sbuild::chroot_session] Set base chroot active and set source options
    
    Set the base chroot active property when cloning a session.
    If a source chroot, also disable cloning.

commit e030079e44a455a9f62a4347338c85050a32ac95
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Jul 17 23:08:11 2009 +0100

    [sbuild] Add support for chroot_session to all session-creating chroot types

commit 3c14e12b972ab57f6f81c9a78ea0157ab6562a49
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon Jul 13 23:26:09 2009 +0100

    [sbuild::chroot_session] New class for session handling
    
    Implement in sbuild::chroot_directory.
    
    Rather than handling chroot session logic in the general
    sbuild::session, this should be handled directly in chroots,
    which will remove the need for all the special-casing in
    sbuild::session.  Chroot setup can then be handled directly
    by chroots themselves.  Sessions will then be cloned from
    chroots in exactly the same manner as source chroots.

commit 6aeff726fbe487c7180ec2618a3358cccb7a07a4
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 12 01:30:28 2009 +0100

    [test] Test source environment

commit 9b4c05c69d1531a83c3711c92ad540a4f425f8b2
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 12 01:08:15 2009 +0100

    [sbuild] Don't call specific clone_source_setup
    
    Calling specific class implementation precludes virtual
    functions being overridden in derived classes such as
    chroot-union.

commit fc82935922dcc04b8748463e3e8c2ca68c9eb5cd
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 12 01:06:53 2009 +0100

    [sbuild::chroot_union] Display union type

commit 9e0959ee69ea357b0813f56da84a50b0b5f7927c
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 12 01:06:17 2009 +0100

    [sbuild::chroot_block_device] Chain up to virtual base in all copy constructors

commit 7d1625f7161ceb890d229ba5d6309c62ed0c0502
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jul 11 23:08:31 2009 +0100

    [test] setup_env_chroot adds common environment

commit 06559fbfed0b9c84a1549725e504fee190ae3ee2
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jul 11 21:30:47 2009 +0100

    [TODO] Remove virtual inheritance

commit cd45e35e903396a66f163cba6931b8e5cf85c9ce
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jul 11 21:28:25 2009 +0100

    [test] Test keyfile serialisation
    
    This has picked up a number of subtle issues with the code,
    which were fixed in the previous commits.

commit 7d3826b77d31033131b73e7be1ac426dd3bbf42d
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jul 11 21:27:47 2009 +0100

    [sbuild::chroot] Make some methods public for testing
    
    get_details, print_details, get_keyfile and set_keyfile are public

commit 3206495531a5580b572cb91681069de0649f08a8
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jul 11 21:24:45 2009 +0100

    [sbuild::chroot_source] Replace is_source with source_clonable
    
    This fits the use-case for is_source rather better, and allows
    it to be overridden by chroot_union (since source options aren't
    available when union is not enabled).

commit 98e38238674878dd665a05f819c0bcb616905970
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jul 11 21:22:35 2009 +0100

    [sbuild::chroot_lvm_snapshot] Only inactive sessions serialise lvm-snapshot-options
    
    Not used by active sessions since the LVM snapshot device has
    already been created.  The same applies vice-versa for
    lvm-snapshot-device.

commit b494804d6334e701cec491b35c243216002f3b3a
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jul 11 00:25:11 2009 +0100

    [sbuild::chroot_block_device] Chain up to chroot in copy constructor
    
    Since chroot is pure virtual, it must be chained up to in the
    copy constructor of the most derived class or else it gets
    default constructed.  This is needed for lvm-snapshot source
    chroot construction (which worked previously due to block_device
    being a direct base).
    
    Long-term, the virtual public chroot inheritance needs removing.

commit ff341cd1474cedf9e98f3cd065b0e4fa7a2ad06c
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jul 11 00:24:41 2009 +0100

    [sbuild::environment] get method is const

commit 589b26fa174e9810f3a04735c2cfe2d9e16888bc
Author: Roger Leigh <rleigh@debian.org>
Date:   Fri Jul 10 20:22:48 2009 +0100

    sbuild/sbuild-config.h.in: Get default environment filter from configure

commit b46335ecfa4d0beb5ad5f6856a793e93568f1c4c
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 5 23:46:49 2009 +0100

    [sbuild] Rename chroot_plain_base to chroot_directory_base

commit ee45beabf3212707c4492aedf4df7597f3d516d5
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 5 23:37:17 2009 +0100

    [sbuild::chroot] get_mount_location is not virtual
    
    Not overridden in any derived classes, and of no benefit.

commit b2b97969b33d7e9be6de49597ca33a87e7b15c66
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 5 23:34:17 2009 +0100

    [sbuild::chroot_mountable] get|set_mount_device are pure virtual

commit 1176d3aacf3ed7f9783e036d47bcdc3ae1e34f02
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 5 23:33:11 2009 +0100

    [setup] 15killprocs doesn't abort if there's no mount location set
    
    Not all chroot types set it, so just exit without error if not present.

commit 7ac6634d4ec672868694f72070e2aa60aff95f78
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 5 23:32:52 2009 +0100

    [setup] 05union doesn't abort for non-union supporting chroots

commit 775db410ec04bd92878e17542796b712ef2237d2
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 5 23:31:32 2009 +0100

    [sbuild::session] Correct check for plain chroot type
    
    Inverse check caused mount location to not be set for non-plain
    chroot types.

commit 6347d1102aaf5b77a2bf756733b107e9db5a44d7
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 5 23:26:36 2009 +0100

    [sbuild] Split chroot_plain into chroot_plain_base
    
    chroot_plain and chroot_directory inherit from chroot_plain_base.
    This allows dynamic_cast to chroot_plain from chroot_directory to
    fail due to not being in the inheritance hierarchy for directory.

commit 0b4a5118386ab83197a209c597abebb416f0935e
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 5 17:50:37 2009 +0100

    [po] Update translations

commit 969731a65d52c40edb72a5f4182a4bab4b0e0310
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 5 17:47:31 2009 +0100

    Update copyright message for 2009

commit 4efeb8e1b0b63df278fdc27f196626fc2369b6bc
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 5 17:44:21 2009 +0100

    [po] Update translations

commit a5eeb29243a3beb82dd316072793762ba506d764
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 5 17:43:11 2009 +0100

    [sbuild::session] Don't special-case handing of union mount location
    
    Union can use the same mount location as all other types; the 10mount
    script can alter which of the variables is used for mounting at which
    point.

commit 116b57a499cb70abb0571f5342832b63d31bbde7
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 5 17:41:25 2009 +0100

    [setup] 10mount union mounting uses underlay directory
    
    CHROOT_SESSION_PURGE logic removed; it is not required for union support.
    Don't modprobe modules by hand, since it's automatic.

commit 9b486bd93bddd8b39635ba27db7865b587159a75
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 5 17:40:33 2009 +0100

    [setup] Rename 05fsunion to 05union

commit b255369875d6e208a6a171537a4fec8c9fb16112
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 5 17:38:44 2009 +0100

    [setup] 15killprocs adds sanity check for CHROOT_MOUNT_LOCATION

commit fda09dc8474301af4cb125a2d22c01b9d9ecafc7
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 5 17:38:03 2009 +0100

    [setup] Add 99check symlink to 00check to run on setup-stop

commit 8f2eb3ed7e496b6ff3c64a9a2ab3aaf5692a5973
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 5 17:25:17 2009 +0100

    [sbuild::run_parts] Fix script stream buffering
    
    Give stderr priority over stdout.
    Always flush buffer to the maximum possible.
    Use split_string_strict to avoid losing newlines.

commit ce38ce45588fff9c7b812d516902728fc40fecb8
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 5 17:24:32 2009 +0100

    [sbuild::chroot_union] Only set keyfile keys if union is configured

commit 43cfe200c2f00f36476c704739c061c993c40b8f
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 5 17:22:48 2009 +0100

    [sbuild::util] Add split_string_strict
    
    split_string splits a string into chunks separated by the
    specified separator.  split_string_strict doesn't eliminate
    empty strings when the separator appears at the string start
    or end, or if multiple separators are joined together.

commit 4801d8ac4c3975a6be488ee0577f1a36f3945acf
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 5 17:22:03 2009 +0100

    [sbuild::session] Only display command/shell if verbose

commit e86d4dc045f4e4764a3c03dd4a740992ebaa0262
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 5 16:31:44 2009 +0100

    [NEWS] Document filesystem union support

commit 5c85dec311d9a298a2bab8fcddb319d483ff1422
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 5 12:13:21 2009 +0100

    [debian] Update to Standards-Version 3.8.2

commit dba8eba033b5912c10b0b2a552da51a15e2fc1bb
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 5 12:12:09 2009 +0100

    [man] Disable adjustment on long line to fix groff warning

commit 0f30b3a1b9d2775c443b85c14842dff05c682b14
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 5 11:07:21 2009 +0100

    [sbuild::session] Correct logic for setting mount location
    
    Set mount location if:
    - the mount location is not already set AND
    - the chroot type is NOT plain
    - AND additionally, if union support is available, if union is
      configured.

commit fa0183e6997c150b0f4177eaa692b3c710dd9f0a
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 5 10:43:14 2009 +0100

    [sbuild::chroot_directory] Always chain up to union methods
    
    Union itself handles whether or not it is enabled, so directory
    doesn't need to handle it specially.

commit 4a7fe3f8c0eda5c30e07b0d04d5122c17fcbb802
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 5 10:42:43 2009 +0100

    [sbuild::chroot_union] Only print union details if configured

commit ce842934c2e05646823df5e4d00c8d2d0ab530f2
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 5 02:05:20 2009 +0100

    [sbuild::chroot] set_run_setup_scripts is protected

commit 766e881ec392612b6aa5354847847a2af157665c
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 5 02:03:41 2009 +0100

    [sbuild::chroot*] Remove duplicated source methods and members

commit 4a19a112e56e03af929061b5bef038cf263d7ce7
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jul 5 00:17:51 2009 +0100

    [sbuild::chroot_source] Re-unify source member variables and methods

commit ac237e1d3d6685628186756207a2d51505f02064
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jul 4 23:54:36 2009 +0100

    [sbuild::chroot_block_device_base] Simplify session flags

commit beae18c3245a46b2e21a19f6be276c4fff3203f1
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jul 4 23:52:39 2009 +0100

    [test] Remove obsolete run_setup_scripts checks

commit 86cc0c5b0c23756999aae9b9f8d199670d40bde4
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jul 4 23:51:07 2009 +0100

    [test] Make filesystem union tests conditional
    
    Also add tests for session flags when unions are enabled

commit eaa9b086be62fd26afb521ab22eb31a9ac04bc69
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jul 4 23:28:42 2009 +0100

    [sbuild::chroot] Reindent session flags

commit 22b2b21f6dc86fb9519030581deb98e5c0be2137
Author: Jan-Marek Glogowski <glogow@fbihome.de>
Date:   Sat Jul 4 23:27:53 2009 +0100

    [sbuild::chroot] set_session_id sets session ID

commit a6b821f798033e4d4be403caaa92d055d89bee80
Author: Jan-Marek Glogowski <glogow@fbihome.de>
Date:   Sat Jul 4 23:26:56 2009 +0100

    [sbuild::chroot_loopback] Add locking

commit 1247adea3fbcff8e77d8e12062ada3387f3be741
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jul 4 23:22:28 2009 +0100

    [sbuild] Reindent sbuild::util operator functions

commit f4ed0a80c7d63b24d9f3b4d6276018313a52d062
Author: Jan-Marek Glogowski <glogow@fbihome.de>
Date:   Sat Jul 4 23:21:36 2009 +0100

    [sbuild] Move getcwd from sbuild-session.cc to sbuild-util.cc

commit e71a686cfa65927460afff06ffaba5e6e0ac8bd1
Author: Jan-Marek Glogowski <glogow@fbihome.de>
Date:   Sat Jul 4 23:19:36 2009 +0100

    [setup] Remove plain chroot type
    
    Plain chroots don't run setup scripts, so remove all special-casing
    for plain chroots.  Add a check to 00check to ensure the scripts
    abort if plain chroots attempt to run them.

commit 2b9aa33ee2e84c708853daf5e1b6af0a392de367
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jul 4 23:18:40 2009 +0100

    [debian] Remove debian/install after running dh_prep

commit 5e694ee0d09dfca42af1213c9218327565f8d3ef
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jul 4 15:36:13 2009 +0100

    [build] Fix union configure check

commit c0b320da8a4fef15bfe9044650c21628adf28f14
Author: Jan-Marek Glogowski <glogow@fbihome.de>
Date:   Sat Jul 4 15:04:32 2009 +0100

    [build] Remove config.h.in~ when bootstrapping

commit a470e128144c555852765306f783dd27535cd45b
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jul 4 15:01:08 2009 +0100

    [test] sbuild_chroot_loopback: Update to use current union interface
    
    Remove use of get/set_container and chroot_strings.

commit 5cb078fac13fc117f4b34969146863846bc94730
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jul 4 15:00:44 2009 +0100

    [test] Remove whitespace

commit 41d4b203ecb896fb66f726106c75166858916a31
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jul 4 14:58:03 2009 +0100

    [test] Improve environment diagnostic
    
    Add observed and expected descriptions

commit 90a472a5251ab42a6ba6ee05622070a74075fc6a
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jul 4 14:57:22 2009 +0100

    [sbuild::chroot_union] Use dynamic_pointer_cast for tr1::shared_ptr

commit ba990e921c49f58af78b1e8b24e4a4cc8f579dbc
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jul 4 14:56:57 2009 +0100

    [test] Use dynamic_pointer_cast for shared_ptr types

commit 5dbc1de5ac11424de219f696bdbe38ccf42083a3
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jul 4 14:54:04 2009 +0100

    [test] Remove deprecated run-setup-scripts from tests
    
    Leave one instance of run-setup-scripts and run-exec-scripts
    in test/config-directory-deprecated.ex to test error messages.

commit 8d603e03603f9d6f8487c4e99db1be5e13d4ceec
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jul 4 14:34:25 2009 +0100

    [sbuild::chroot_union] Simplify conditional logic

commit eb2bdec96cf0c385e1e5569de9e9c3dd846e7a89
Author: Jan-Marek Glogowski <glogow@fbihome.de>
Date:   Sat Jul 4 13:38:06 2009 +0100

    [test] Add test for chroot_loopback

commit a1c80871a3ffd6abf778eaf522bb244a530010c9
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jul 4 12:09:50 2009 +0100

    [debian] Close #494481

commit 0fff8813ace96ace204274bb93f66c409400d196
Author: Tim Abbott <tabbott@mit.edu>
Date:   Sat Jul 4 12:07:17 2009 +0100

    [setup] 05lvm: Reorder lvm snapshot options to make more flexible

commit caabd26a5a5632c0597eb609b5e31a60a95ab96e
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Jun 30 08:03:00 2009 +0100

    [man] schroot.conf.5: Document block-device union support

commit 2d84eefa1b2f1ed5c0965003f3f99d77e7f4c2d5
Author: Jan-Marek Glogowski <glogow@fbihome.de>
Date:   Tue Jun 30 23:32:58 2009 +0100

    [build] Add missing whitespace

commit f436c608b8468a6b232dfa188c4574b46fac10bc
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Jun 30 08:03:00 2009 +0100

    [TODO] Add enum |= and &= operators

commit 8599085e15aa917cd8f24330e41febcfe5d11488
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Jun 30 23:28:10 2009 +0100

    [test] Update tests for filesystem unions

commit da59233d63c55379ea0eb4d20f6800e1949bc4e6
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Jun 30 23:26:40 2009 +0100

    [sbuild::chroot_union] Don't set SESSION_CREATE unless union in use

commit 534c32992916cf3aa9ff931228c8c5860c030b1f
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Jun 30 23:22:56 2009 +0100

    [sbuild::chroot_source] Move SESSION_PURGE into chroot_lvm_snapshot
    
    This was preventing making chroot_source more generally usable, due
    to not all source users being purgable.

commit 164ae1eb8ee40dd793c7e79947037a8b93dfca61
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Jun 30 08:03:00 2009 +0100

    [sbuild::chroot_directory] Set SESSION_CREATE in all cases

commit 8fff76aa9c898bac2de00d46ada32f9e39da03b7
Author: Jan-Marek Glogowski <glogow@fbihome.de>
Date:   Tue Jun 30 08:03:00 2009 +0100

    [sbuild::chroot_block_device] Add union filesystem support

commit bcda70b977fb2da33f28c5ce7037d6beca45d5bc
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Jun 30 08:03:00 2009 +0100

    [sbuild::chroot_loopback] Chain up to chroot::setup_env

commit 11ddb69cceb282ee4c7949a4eec8ab76f3d53f93
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Jun 30 08:03:00 2009 +0100

    [sbuild::chroot_loopback] Include config header for conditional building

commit 2b99f9317191f2cdf5c5d5b1cfcc5522067a3942
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Jun 30 08:03:00 2009 +0100

    [sbuild::chroot_directory] Add missing newline

commit ef34bd49cef0a050d040e2480aad30cc8cff2e59
Author: Jan-Marek Glogowski <glogow@fbihome.de>
Date:   Tue Jun 30 08:03:00 2009 +0100

    [sbuild::chroot_loopback] Add union filesystem support

commit eef7c76b4d43cc00fd5fe21260eff3bf91a54b5d
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Jun 30 21:23:06 2009 +0100

    [sbuild::chroot_source] clone_source_setup is virtual
    
    Needed to allow correct functioning when inherited by chroot_union.

commit f1a3d63391de7af03f5bed4a03c8a522dc043a51
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Jun 30 21:16:14 2009 +0100

    [sbuild::chroot_directory] Make chroot_union support configurable

commit a10882643f2ca00726eef6de2e0e78a50700d414
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Jun 30 21:14:11 2009 +0100

    [sbuild::chroot_union] Add clone_source_setup
    
    Because source chroots by definition won't support unioning in order
    to allow access to the underlying filesystem, explicitly disable
    union support on cloning a source chroot.

commit 5dc9d3afd3b0e970763218df4e7f64817f542d89
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue Jun 30 08:03:00 2009 +0100

    [sbuild::chroot:block_device] Split into block_device_base
    
    In order to support union mounts on block devices, it can't
    conflict with the chroot_source support for lvm_snapshot.
    Therefore split into a base class, block_device_base, from
    which block_device and lvm_snapshot derive.  Each can then
    implement chroot_source and/or chroot_union independently.
    block_device now has an explicit protected copy constructor
    for lvm_snapshot in order to allow its use as a source
    chroot type.
    
    This will prevent lvm_snapshot from gaining chroot_union
    support due to being directly derived from chroot_block_device.

commit d8ba8499cfee76c256356acb61b744395ea7c2da
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 28 23:46:25 2009 +0100

    [TODO] Add union items

commit 47105b0d7d1df93de98dff1b5596fadc95dd43e1
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 28 23:44:09 2009 +0100

    [sbuild::chroot_union] Synchronise with current master branch
    
    Replace CHROOT_UNION_RO_BRANCH with CHROOT_UNDERLAY_DIRECTORY.
    Updated tests.
    All chroots except plain run session scripts
    Split chroot from chroot_directory
    sbuild::session: Set chroot mount location for union chroots

commit 4796835c8ea60690633d99c8d6f147a60ad65d05
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 28 23:04:36 2009 +0100

    [sbuild::chroot_union] Rework union mounts
    
    Rename from fs_union to union.
    Make configuration options more user friendly.
    Update documentation to be more clear.

commit a35f53ab6d78748032ba16d3fb83ac0ab0009fb5
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 28 21:54:54 2009 +0100

    [sbuild::chroot_fs_union] Add underlay directory in addition to overlay
    
    This allows for mounting of both the read-only underlying filesystem
    and read-write overlaying filesystem independently of the mountpoint
    of the resulting union.  These are currently union/overlay and
    union/underlay.

commit c1d1a2d00dbbe2cceba0110f3fee55788c12e8a1
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 28 21:42:57 2009 +0100

    [sbuild::chroot_source] Don't inherit from chroot

commit de70b8fe75b7566ef10de4f09f561f7821a6f580
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 28 21:22:49 2009 +0100

    [sbuild::chroot_mountable] Don't derive from chroot
    
    chroot_mountable does not need any access to chroot methods or
    data, so don't derive from chroot.
    
    chroot::get_path is now pure virtual in order to permit this.

commit ea827d4f9fd9336e216f98a3855f19ebf2493d53
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 28 21:20:03 2009 +0100

    [sbuild::chroot_fs_union] get_path always returns the mount location
    
    Also remove trailing whitespace

commit 610e5fdad321c29fc42157db9392ba2d6c1bdbb6
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 28 21:14:11 2009 +0100

    [sbuild] chroot_mountable: Refactor as partial interface
    
    chroot_mountable now contains virtual functions.  This cleans up
    ambiguity in getting the mount device.

commit 8e48373634910694a91d23b85859434b827145fc
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 28 19:04:17 2009 +0100

    [setup] Simplify conditional to use cleaner syntax

commit d6e15f3c7b2100199194e722ea891d87e2ce781e
Author: Jan-Marek Glogowski <glogow@fbihome.de>
Date:   Sun Jun 28 18:47:15 2009 +0100

    [sbuild::chroot_directory] Add filesystem union support
    
    Change directory chroots to inheritate from chroot_fs_union
    instead of chroot and adapt setup scripts, documentation and
    tests.

commit 330fa7a5cdaf4229c8121594c7a78ca4dd18733b
Author: Jan-Marek Glogowski <glogow@fbihome.de>
Date:   Sun Jun 28 18:01:59 2009 +0100

    [sbuild::chroot_fs_union] New class to add filesysten union support
    
    Introduces a new type of chroot options.  This allows chroot
    sessions to be generated using an unioning filesystem like aufs
    or unionfs.  Per default this feature is disabled.  Check out
    schroot.conf.5 for further information.

commit 1477dddf327e8b23249179414fb66474331bde12
Merge: f72e33f e4ac2e7
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jun 27 10:48:41 2009 +0100

    Merge branch 'master' of ssh://git.debian.org/git/buildd-tools/schroot

commit f72e33ff5b0bbdd53f192946e15622098c2e032f
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Jun 27 10:47:59 2009 +0100

    [sbuild::chroot_directory] Include correct header for parent class

commit e4ac2e7f3eda14360d7af3b5a0bcdb27a8b57faa
Author: Jan-Marek Glogowski <glogow@fbihome.de>
Date:   Wed May 20 19:55:52 2009 +0200

    [sbuild::chroot_directory] Inherit from chroot_plain

commit 8a8ded0993e4a911c1a3f3ea6acf3022e1c60723
Author: Jan-Marek Glogowski <glogow@fbihome.de>
Date:   Wed May 20 19:55:52 2009 +0200

    [sbuild::chroot_directory] Inherit from chroot_plain

commit a3bb05057c34d04d32e6c005630d962dbcbc8f2c
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 14 21:26:16 2009 +0100

    [test] Update chroot_directory tests

commit 28ef09edfcbe92ef79a67725b1ec411ce3eb8613
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun Jun 14 20:15:27 2009 +0100

    [sbuild::chroot] Add session_id property
    
    Allow use of separate name and session_id chroot properties,
    and use get_keyfile_name to use the appropriate name for
    keyfile serialisation.

commit 8515d036a8da93ae20a65a3545a01f57542925b5
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue May 12 22:27:14 2009 +0100

    [TODO] Remove completed basic_keyfile string_list removal

commit e617b09810bfae0f1989a0a0aba2a3a9ecc6763a
Author: Roger Leigh <rleigh@debian.org>
Date:   Tue May 12 22:25:52 2009 +0100

    [sbuild::basic_keyfile] Replace last std::string usage with traits types

commit 42b83f0239f7309cabf7a4c5235b917b84527d2b
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon May 11 01:19:01 2009 +0100

    [sbuild::chroot_directory] Remove erroneously added clone_source

commit b69ae48242d31463175359ac5252e1ca5ff59e34
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon May 11 01:18:39 2009 +0100

    [schroot::main_base] Use new PAM header names

commit 15ce0e8ba65f80b1d49f79a38a8708d50019aee4
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon May 11 01:18:10 2009 +0100

    [sbuild::auth_pam] Add missing prototype

commit a217356bd76b527509af3accef53c304d3a57325
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon May 11 00:16:23 2009 +0100

    [sbuild::auth] Add split auth_null and auth_pam

commit 696512cd242ecd024051b3c15252605c735d2d59
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon May 11 00:15:58 2009 +0100

    [NEWS] Document major changes

commit fe21b3496fdabd57087c99eb08dc8e7adf91573f
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon May 11 00:15:29 2009 +0100

    [debian] Remove old checks for obsolete versions

commit 43fdf62b42d6cd2dd73a71f940233b5e0c38339e
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon May 11 00:15:05 2009 +0100

    [build] Remove last traces of exec.d

commit 6ee128c08793b06a026a308b493018a8e54c80e8
Author: Roger Leigh <rleigh@debian.org>
Date:   Mon May 11 00:14:02 2009 +0100

    [build] Remove duplicated checks for UUID support

commit 5ba4e8d5795ec2c6ffe1ee7e3ec6f79cd72ef72d
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun May 10 18:19:35 2009 +0100

    [build] Make UUID support configurable

commit 590c8e82d879d2e90f33adc097a3c3e65e430a48
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun May 10 17:21:32 2009 +0100

    [po] Update English translation

commit d9d9a98a6e884e704c3f8615b31e1a3fc1b020e6
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun May 10 17:22:23 2009 +0100

    [po] Add new source files

commit 8d26f733b79ce2cebd9683102b1649097015ea42
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun May 10 17:14:18 2009 +0100

    [debian] control: schroot-dbg is in section debug

commit 6657309ac7bf6e33460bc8379bc72153718f83f8
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun May 10 15:52:36 2009 +0100

    [sbuild] Add pam prefix to all pam auth names

commit 255ddb53001c5c62a548fa48d852b68cc28f7874
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun May 10 15:36:34 2009 +0100

    [sbuild::auth] Split into auth_pam and auth_null
    
    PAM conversation handling classes are now all smart pointer-based
    only.  Construction of base objects is not allowed.
    
    sbuild::session defaults to using auth_null, so dchroot and dchroot-dsa
    can't authenticate.  schroot specifically adds auth_pam if available.

commit 7d2491c82040e318688926cd3976600225afab16
Author: Roger Leigh <rleigh@debian.org>
Date:   Sun May 10 13:23:17 2009 +0100

    [sbuild] Make PAM support configurable
    
    On systems without PAM authentication, any attempt at authentication
    will fail.  If not switching users, the program will not require
    authentication and so will work for most common uses.

commit eef6520812d03e3532546a5b33a0373cf3aa4766
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat May 9 01:37:25 2009 +0100

    [build] Make UUID support configurable

